package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 评价状态(1.正常，2.删除，3.隐藏)枚举类
*
* @author zxfei
*/
public enum EvalStatusEnum {
    正常(1, "正常"),
    删除(2, "删除"),
    隐藏(3, "隐藏");
    private Integer value;
    private String desc;

    EvalStatusEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static EvalStatusEnum getByValue(Integer value) {
        for (EvalStatusEnum evalStatusEnum : EvalStatusEnum.values()) {
            if (evalStatusEnum.getValue() == value) {
                return evalStatusEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (EvalStatusEnum item : EvalStatusEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}