package com.mortals.xhx.module.declare.model;
import java.util.List;
import java.util.Date;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.declare.model.vo.DeclareVo;
import com.mortals.xhx.module.declare.model.DeclareFinImagesEntity;
import lombok.Data;
/**
 * 企业代办申报实体对象
 *
 * @author zxfei
 * @date 2025-04-27
 */
@Data
public class DeclareEntity extends DeclareVo {
    private static final long serialVersionUID = 1L;

    /**
     * 事项id
     */
    private Long matterId;
    /**
     * 事项名称
     */
    private String matterName;
    /**
     * 事项编码
     */
    private String matterCode;
    /**
     * 区域名称
     */
    private String areaName;
    /**
     * 办理单位ID
     */
    private Long deptId;
    /**
     * 办理单位名称
     */
    private String deptName;
    /**
     * 申请人姓名
     */
    private String applyName;
    /**
     * 所属园区id
     */
    private Long parkId;
    /**
     * 园区名称
     */
    private String parkName;
    /**
     * 分类ID
     */
    private Long categoryId;
    /**
     * 分类编码
     */
    private String categoryCode;
    /**
     * 分类名称
     */
    private String categoryName;
    /**
     * 提交诉求内容
     */
    private String content;
    /**
     * 提交申报时间
     */
    private Date submitTime;
    /**
     * 办理结果
     */
    private String result;
    /**
     * 办理完结时间
     */
    private Date finTime;
    /**
     * 申报状态(0.草稿,1.办理中,2.完结)
     */
    private Integer declareStatus;
    /**
     * 排序字段
     */
    private Integer sort;
    /**
     * 备注
     */
    private String remark;
    /**
     * 创建用户名称
     */
    private String createUserName;
    /**
     * 所属公司id
     */
    private Long companyId;
    /**
     * 公司名称
     */
    private String companyName;
    /**
     * 申请人id
     */
    private Long applyId;
    /**
     * 申请人openId
     */
    private String applyOpenId;
    /**
     * 企业代办申报办结图片信息
     */
    private List<DeclareFinImagesEntity> declareFinImagesList=new ArrayList<>();;
    public List<DeclareFinImagesEntity> getDeclareFinImagesList(){
        return declareFinImagesList;
    }

    public void setDeclareFinImagesList(List<DeclareFinImagesEntity> declareFinImagesList){
        this.declareFinImagesList = declareFinImagesList;
    }
    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof DeclareEntity) {
            DeclareEntity tmp = (DeclareEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
        this.matterId = null;
        this.matterName = "";
        this.matterCode = "";
        this.areaName = "";
        this.deptId = null;
        this.deptName = "";
        this.applyName = "";
        this.parkId = null;
        this.parkName = "";
        this.categoryId = null;
        this.categoryCode = "";
        this.categoryName = "";
        this.content = "";
        this.submitTime = null;
        this.result = "";
        this.finTime = null;
        this.declareStatus = 0;
        this.sort = 0;
        this.remark = "";
        this.createUserName = "";
        this.companyId = null;
        this.companyName = "";
        this.applyId = null;
        this.applyOpenId = "";
    }
}