package com.mortals.xhx.module.matter.model;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.matter.model.vo.MatterSubVo;
import lombok.Data;
/**
* 分类事项实体对象
*
* @author zxfei
* @date 2025-04-27
*/
@Data
public class MatterSubEntity extends MatterSubVo {
    private static final long serialVersionUID = 1L;

    /**
    * 分类ID
    */
    private Long categoryId;
    /**
    * 分类编码
    */
    private String categoryCode;
    /**
    * 分类名称
    */
    private String categoryName;
    /**
    * 事项id
    */
    private Long matterId;
    /**
    * 事项名称
    */
    private String matterName;
    /**
    * 事项编码
    */
    private String matterCode;
    /**
    * 区域编码
    */
    private String areaCode;
    /**
    * 区域名称
    */
    private String areaName;
    /**
    * 区域等级(1.省，2.地市州，3.区县，4.街道，5.社区)
    */
    private Integer areaLevel;
    /**
    * 办理单位ID
    */
    private Long deptId;
    /**
    * 办理单位名称
    */
    private String deptName;
    /**
    * 排序字段
    */
    private Integer sort;
    /**
    * 备注
    */
    private String remark;
    /**
    * 创建用户名称
    */
    private String createUserName;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof MatterSubEntity) {
            MatterSubEntity tmp = (MatterSubEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.categoryId = null;
            this.categoryCode = "";
            this.categoryName = "";
            this.matterId = null;
            this.matterName = "";
            this.matterCode = "";
            this.areaCode = "";
            this.areaName = "";
            this.areaLevel = 1;
            this.deptId = null;
            this.deptName = "";
            this.sort = 0;
            this.remark = "";
            this.createUserName = "";
    }
}