import Vue from "vue";
import App from "./App.vue";
import "./theme/index.less";
import Antd from "ant-design-vue";
import store from "./store";
import "animate.css/source/animate.css";
import "./assets/css/common.less";
import "./assets/css/relas.less";
import "./assets/css/use.less";
import Plugins from "@/plugins";
import { router } from "@/router";
import { i18n } from "@/utils/i18n";
import bootstrap from "@/bootstrap";
import "moment/locale/zh-cn";
import VueResource from "vue-resource";
//富文本插件
import VueQuillEditor from "vue-quill-editor";
import "quill/dist/quill.core.css";
import "quill/dist/quill.snow.css";
import "quill/dist/quill.bubble.css";
// 引入element 取色器组件
import { ColorPicker } from "element-ui";
import "element-ui/lib/theme-chalk/index.css";
Vue.use(ColorPicker);
import { VueJsonp } from "vue-jsonp";
Vue.use(VueJsonp);
// 公共样式
import "@/assets/css/common.css";
Vue.use(VueQuillEditor);
// 全局过滤器
import * as filters from "@/filters";
Object.keys(filters).forEach((key) => {
  Vue.filter(key, filters[key]);
});
// 引入注册全局指令
import * as directives from "@/directive";
Object.keys(directives).forEach((name) =>
  Vue.directive(name, directives[name])
);
// 中央事件总线
Vue.prototype.$bus = new Vue();
// 图片预览
import Viewer from "v-viewer";
import "viewerjs/dist/viewer.css";
Vue.use(Viewer);
// moment 时间处理
import moment from "moment";
Vue.prototype.$moment = moment;
// 引入lodash
import lodash from "lodash";
Vue.prototype.$_ = lodash;
// nanoid
import { nanoid } from "nanoid";
Vue.prototype.$nanoid = nanoid;
// echats
import * as echarts from "echarts";
Vue.prototype.$echarts = echarts;

Vue.use(Antd);
Vue.config.productionTip = false;
// Vue.use(Viser)
Vue.use(Plugins);
Vue.use(VueResource);
bootstrap({ router, store, i18n, message: Vue.prototype.$message });

new Vue({
  router,
  store,
  i18n,
  render: (h) => h(App),
}).$mount("#app");
