import api from "@/services/api"
import {request} from "@/utils/request"
export default{
    data(){
        return{
            formVisible:false,//显示隐藏模态
            formConfirmLoading:false,//保存进度加载动画
            formInfo:{},//表单提交数据
            tablename:"",//接口名称
        }
    },
    computed:{
        tableurl:function(vm){
            return api[vm.tablename]?api[vm.tablename]:{}
        }
    },
    methods:{
        /**
         * 重置表单数据
         */
        resetForm(){
            Object.assign(this.$data.formInfo,this.$options.data().formInfo)
        },
        /**
         * 数据提交之前
         */
        BeforeEachData(data){
            return data
        },
        /**
         * 表单保存
         */
        async formSave(){
            const isSubmit = await this.onSubmit()
            if(isSubmit){
                this.formConfirmLoading = true
                request(this.tableurl.save,'post',this.BeforeEachData(this.formInfo)).then(res=>{
                    const {code,msg} = res.data
                    if(code == 0){
                        this.$message.success('保存成功')
                        this.$emit('success')
                        setTimeout(()=>{
                            this.formVisible = false
                        },200)
                    }else{
                        this.$message.error(msg)
                    }
                    setTimeout(()=>{
                        this.formConfirmLoading = false
                    },200)
                })
                
            }
        },
        /** 
         * 表单验证
         */
        onSubmit() {
            const _this = this
            return new Promise(function(resolve){
                _this.$refs.ruleForm.validate(valid => {
                    if (valid) {
                        resolve(true)
                    } else {
                        resolve(false)
                        console.log('error submit!!');
                        return false;
                    }
                })
            })
            
        },
        /**
         * 表单详情接口
         * @param {int} id 
         */
        async onPageShow(id){
            await request(this.tableurl.info,'get',{id:id}).then(res=>{
                const {code,data,msg} = res.data
                if(code == 0){
                    this.formInfo = data
                }else{
                    this.$message.error(msg)
                }
            })
        }
    }
}