import Mock from 'mockjs'
import { Random } from 'mockjs'
import '@/mock/user/login'
import '@/mock/user/routes'

// 设置全局延时
Mock.setup({
  timeout: '300-600'
})

Date.prototype.format = function (fmt) {
  var o = {
    "M+": this.getMonth() + 1,                 //月份
    "d+": this.getDate(),                    //日
    "h+": this.getHours(),                   //小时
    "m+": this.getMinutes(),                 //分
    "s+": this.getSeconds(),                 //秒
    "q+": Math.floor((this.getMonth() + 3) / 3), //季度
    "S": this.getMilliseconds()             //毫秒
  };

  if (/(y+)/.test(fmt)) {
    fmt = fmt.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
  }

  for (var k in o) {
    if (new RegExp("(" + k + ")").test(fmt)) {
      fmt = fmt.replace(
        RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
    }
  }

  return fmt;
}


const list = []
const produceData = function () {
  for (let i = 0; i < 30; i++) {
    let newArticleObject = {
      key: i,
      hand: Random.ctitle(5),
      url: Random.dataImage('200x100', 'Mock.js'),
      type: Random.ctitle(5),
      date: Random.datetime(),
      use: Random.boolean()
    }
    list.push(newArticleObject)
  }
  return {
    status: 200,
    list
  }
}
// 获取表格信息
Mock.mock('/name', /post|get/i, produceData)
// 删除表格信息
Mock.mock('/del', /post|get/i, (opt) => {
  const delkey = JSON.parse(opt.body)
  const newlist = list.filter(val => val.key !== delkey.key)
  return {
    status: 200,
    newlist
  }
})
// 新增表格信息
Mock.mock('/add', 'post', (opt) => {
  const newdata = JSON.parse(opt.body)
  const newline = {
    key: list.length,
    hand: newdata.adtitle,
    url: newdata.url,
    type: newdata.type,
    date: Random.now('yyyy-MM-dd HH:mm:ss'),
    use: false
  }
  list.push(newline)
  return list
})

Mock.mock('/fatherData', 'get', () => {
  const data = []
  for (let i = 0; i < 5; i++) {
    const list = {
      key: i,
      name: Random.ctitle(5),
      sort: Random.ctitle(5),
      running: Random.ctitle(5),
      area: Random.ctitle(5)
    }
    data.push(list)
  }
  return data
})

Mock.mock('/sonData', 'post', (opt) => {
  const key = JSON.parse(opt.body)
  const data = []
  for (let i = 0; i < 2; i++) {
    const list = {
      key: key.key + '-' + i,
      name: Random.ctitle(5),
      sort: Random.ctitle(5),
      running: Random.ctitle(5),
      area: Random.ctitle(5)
    }
    data.push(list)
  }
  return data
})
const numList = []
Mock.mock('/getnum', 'post', () => {
  for (let i = 0; i < 2; i++) {
    const list = {
      key: i,
      name: Random.ctitle(5),
      running: i,
      allow: Random.Boolean,
      start: i,
      morningnum: i * 10,
      afternum: i * 20
    }
    numList.push(list)
  }
  return numList
})
Mock.mock('/setnum', 'post', (opt) => {
  const setkey = JSON.parse(opt.body)
  const keydata = numList.filter(item => item.key == setkey.key)
  return {
    status: 200,
    keydata
  }
})
Mock.mock('/usechange', 'post', (opt) => {
  const obj = JSON.parse(opt.body)
  console.log(obj.params)
  list.forEach(item => {
    if (item.key == obj.params.key) {
      item.use = obj.params.use
    }
  })
  return list
})

