// import TabsView from "@/layouts/tabs/TabsView";
// import BlankView from "@/layouts/BlankView";
import Layouts from "@/layouts/Layouts";
// import PageView from '@/layouts/PageView'

// 路由配置
const options = {
  routes: [
    {
      path: "/apppreview",
      name: "预览页面",
      component: () => import("@/pages/basicset/appmarket/AppPreview"),
    },
    {
      path: "/",
      name: "首页",
      component: Layouts,
      redirect: "/website",
      children: [
        {
          path: "/website",
          name: "站点管理",
          meta: {
            icon: "bank",
          },
          component: () => import("@/pages/basicset/site/website"),
        },
        {
          path: "/business",
          meta: {
            icon: "book",
          },
          component: () => import("@/pages/basicset/business/Index"),
          children: [
            {
              path: "",
              name: "业务事项管理",
              meta: {
                icon: "book",
                invisible: true,
              },
              component: () => import("@/pages/basicset/business/business"),
              redirect: "/business/businessmanage",
              children: [
                // 业务管理
                {
                  path: "businessmanage",
                  meta: {
                    invisible: true,
                  },
                  component: () =>
                    import(
                      "@/pages/basicset/business/components/businessTabs1"
                    ),
                },
                // 事项管理
                {
                  path: "mattermanage",
                  meta: {
                    invisible: true,
                  },
                  component: () =>
                    import(
                      "@/pages/basicset/business/components/businessTabs2"
                    ),
                },
                // 业务事项关联
                {
                  path: "businessinmanage",
                  meta: {
                    invisible: true,
                  },
                  component: () =>
                    import(
                      "@/pages/basicset/business/components/businessTabs3"
                    ),
                },
                // 办事指南事项管理
                {
                  path: "workguide",
                  meta: {
                    invisible: true,
                  },
                  component: () =>
                    import(
                      "@/pages/basicset/business/components/businessTabs4"
                    ),
                },
              ],
            },
            {
              path: "addmatter",
              name: "新增事项",
              component: () => import("@/pages/basicset/addmatter/AddMatter"),
              meta: { invisible: true },
            },
            {
              path: "synopsis",
              name: "事项概要",
              component: () => import("@/pages/basicset/addmatter/Synopsis"),
              meta: { invisible: true },
            },
          ],
        },
        {
          path: "/department",
          meta: {
            icon: "audit",
          },
          component: () => import("@/pages/basicset/dept/Index"),
          children: [
            {
              path: "",
              name: "部门及窗口管理",
              component: () => import("@/pages/basicset/dept/department"),
              meta: { invisible: true, keepAlive: true },
            },
            {
              path: "adddepartment",
              name: "新增窗口事项",
              meta: {
                invisible: true,
              },
              component: () => import("@/pages/basicset/dept/addWindowMatter"),
            },
          ],
        },
        {
          path: "/personnel",
          name: "工作人员管理",
          meta: {
            icon: "idcard",
          },
          component: () => import("@/pages/basicset/workman/personnel"),
        },
        {
          path: "/festival",
          name: "节假日管理",
          meta: {
            icon: "carry-out",
          },
          component: () => import("@/pages/basicset/holiday/festival"),
        },
        {
          path: "/deploy",
          name: "部署模块管理",
          meta: {
            icon: "appstore",
            roles: ["admin"],
          },
          component: () => import("@/pages/basicset/deploy/deploy"),
        },

        {
          path: "/hall",
          name: "大厅管理",
          meta: {
            icon: "gateway",
          },
          component: () => import("@/pages/basicset/hall/Hall"),
          redirect: "/hall/hallmanage",
          children: [
            {
              path: "hallmanage",
              name: "",
              component: () =>
                import("@/pages/basicset/hall/hallmanage/HallManage.vue"),
              meta: {
                invisible: true,
              },
            },
            {
              path: "hallwindow",
              name: "大厅窗口管理",
              meta: {
                invisible: true,
              },
              component: () =>
                import("@/pages/basicset/hall/hallwindow/HallWindow.vue"),
            },
          ],
        },

        {
          path: "/surface",
          component: () => import("@/pages/basicset/surface/index"),
          meta: {
            icon: "skin",
          },
          children: [
            {
              path: "",
              name: "皮肤管理",
              component: () => import("@/pages/basicset/surface/surface"),
              meta: { invisible: true },
            },
            {
              path: "addsurfacetemplate",
              name: "新增皮肤模板",
              component: () =>
                import("@/pages/basicset/surface/AddSurfaceTemplate"),
              meta: { invisible: true },
            },
          ],
        },
        {
          path: "/configurat",
          name: "短信配置",
          meta: {
            icon: "mail",
          },
          component: () => import("@/pages/basicset/sms/configurat"),
        },

        {
          path: "/appmarket",
          component: () => import("@/pages/basicset/appmarket/Index"),
          meta: {
            icon: "shop",
          },
          children: [
            {
              path: "",
              name: "应用集市",
              component: () => import("@/pages/basicset/appmarket/AppMarket"),
              meta: { invisible: true },
              redirect: "/appmarket/terminalapp",
              children: [
                {
                  path: "terminalapp",
                  component: () =>
                    import("@/pages/basicset/appmarket/components/TerminalApp"),
                  meta: {
                    invisible: true,
                    // keepAlive: true,
                  },
                },
                {
                  path: "moveapp",
                  component: () =>
                    import("@/pages/basicset/appmarket/components/MoveApp"),
                  meta: {
                    invisible: true,
                    // keepAlive: true,
                  },
                },
                {
                  path: "blackapp",
                  component: () =>
                    import("@/pages/basicset/appmarket/components/BlackApp"),
                  meta: {
                    invisible: true,
                  },
                },
                {
                  path: "appTheme",
                  component: () =>
                    import("@/pages/basicset/appmarket/components/AppTheme"),
                  meta: {
                    invisible: true,
                  },
                },
              ],
            },
            {
              path: "appdetails",
              name: "应用详情",
              component: () => import("@/pages/basicset/appmarket/AppDetails"),
              meta: { invisible: true },
              redirect: "/appmarket/appdetails/appdetailspage",
              children: [
                {
                  path: "appdetailspage",
                  component: () =>
                    import(
                      "@/pages/basicset/appmarket/components/AppDetailsPage"
                    ),
                  meta: {
                    invisible: true,
                  },
                },
                {
                  path: "dataupdate",
                  component: () =>
                    import("@/pages/basicset/appmarket/components/DataUpdate"),
                  meta: {
                    invisible: true,
                  },
                },
                {
                  path: "fieldconfig",
                  component: () =>
                    import("@/pages/basicset/appmarket/components/FieldConfig"),
                  meta: {
                    invisible: true,
                  },
                },
              ],
            },
          ],
        },
        {
          path: "/system",
          name: "系统设置",
          component: () => import("@/pages/basicset/system/System"),
          meta: {
            icon: "global",
          },
          redirect: "system/parameter",
          children: [
            {
              path: "user",
              name: "用户管理",
              component: () => import("@/pages/basicset/system/user/User"),
              meta: { invisible: true },
            },
            {
              path: "role",
              name: "角色管理",
              component: () => import("@/pages/basicset/system/role/Role"),
              meta: { invisible: true },
            },
            {
              path: "resource",
              name: "资源管理",
              component: () =>
                import("@/pages/basicset/system/resourceManage/Resource"),
              meta: { invisible: true },
            },
            {
              path: "dimension",
              name: "维度管理",
              component: () =>
                import("@/pages/basicset/system/dimension/Dimension"),
              meta: { invisible: true },
            },
            {
              path: "parameter",
              name: "系统参数",
              component: () =>
                import("@/pages/basicset/system/parameter/Parameter"),
              meta: { invisible: true },
            },
            {
              path: "task",
              name: "任务信息",
              component: () => import("@/pages/basicset/system/task/TaskSet"),
              meta: { invisible: true },
            },
            {
              path: "systemlogs",
              name: "操作日志",
              component: () =>
                import("@/pages/basicset/system/systemlogs/SystemLogs"),
              meta: { invisible: true },
            },
          ],
        },
      ],
    },
  ],
};

export default options;
