const BASE_URL =
  process.env.NODE_ENV === "development"
    ? "/api"
    : process.env.VUE_APP_API_BASE_URL;
module.exports = {
  loginapi: {
    login: `${BASE_URL}/base/login/login`,
    logout: `${BASE_URL}/base/login/logout`,
  },
  upload: {
    file: `${BASE_URL}/base/file/commonupload`,
  },
  // 模块
  model: {
    list: `${BASE_URL}/base/model/list`,
    edit: `${BASE_URL}/base/model/edit`,
    info: `${BASE_URL}/base/model/info`,
    save: `${BASE_URL}/base/model/save`,
    delete: `${BASE_URL}/base/model/delete`,
    saveStatement: `${BASE_URL}/base/model/census/save`,
    statementList: `${BASE_URL}/base/model/census/list`,
    delStatement: `${BASE_URL}/base/model/census/delete`,
  },
  // 区域
  area: {
    list: `${BASE_URL}/base/area/list`,
    edit: `${BASE_URL}/base/area/edit`,
    info: `${BASE_URL}/base/area/info`,
    getListByParentId: `${BASE_URL}/base/area/getListByParentId`,
    treeselect: `${BASE_URL}/base/area/treeselect`,
    save: `${BASE_URL}/base/area/save`,
    delete: `${BASE_URL}/base/area/delete`,
    init: `${BASE_URL}/base/area/genSubAreaByAreaName`,
    authAreaTree: `${BASE_URL}/base/area/authAreaTree`,
  },
  // 站点
  site: {
    list: `${BASE_URL}/base/site/list`,
    edit: `${BASE_URL}/base/site/edit`,
    info: `${BASE_URL}/base/site/info`,
    save: `${BASE_URL}/base/site/save`,
    delete: `${BASE_URL}/base/site/delete`,
    exportExcel: `${BASE_URL}/base/site/exportExcel`,
    siteTree: `${BASE_URL}/base/site/siteTree`,
    syncData: `${BASE_URL}/base/site/syncGovMatterBySiteId `,
  },
  // 站点事项
  sitematter: {
    list: `${BASE_URL}/base/site/matter/list`,
    edit: `${BASE_URL}/base/site/matter/edit`,
    info: `${BASE_URL}/base/site/matter/info`,
    save: `${BASE_URL}/base/site/matter/save`,
    delete: `${BASE_URL}/base/site/matter/delete`,
  },
  // 业务
  business: {
    list: `${BASE_URL}/base/business/list`,
    edit: `${BASE_URL}/base/business/edit`,
    info: `${BASE_URL}/base/business/info`,
    save: `${BASE_URL}/base/business/save`,
    delete: `${BASE_URL}/base/business/delete`,
    addBusinessToSite: `${BASE_URL}/base/business/addBusinessToSite`,
  },
  // 基础事项
  matter: {
    list: `${BASE_URL}/base/matter/list`,
    edit: `${BASE_URL}/base/matter/edit`,
    info: `${BASE_URL}/base/matter/info`,
    save: `${BASE_URL}/base/matter/save`,
    delete: `${BASE_URL}/base/matter/delete`,
    addMatterToSite: `${BASE_URL}/base/matter/addMatterToSite`,
    exportExcel: `${BASE_URL}/base/matter/exportExcel`,
    matterList: `${BASE_URL}/base/matter/sublist`,
  },
  //  事项申请材料
  matterdatum: {
    list: `${BASE_URL}/base/matter/datum/list`,
    edit: `${BASE_URL}/base/matter/datum/edit`,
    info: `${BASE_URL}/base/matter/datum/info`,
    save: `${BASE_URL}/base/matter/datum/save`,
    delete: `${BASE_URL}/base/matter/datum/delete`,
    exportExcel: `${BASE_URL}/base/matter/datum/exportExcel`,
  },
  // 事项受理条件
  matteraccept: {
    list: `${BASE_URL}/base/matter/accept/list`,
    edit: `${BASE_URL}/base/matter/accept/edit`,
    info: `${BASE_URL}/base/matter/accept/info`,
    save: `${BASE_URL}/base/matter/accept/save`,
    delete: `${BASE_URL}/base/matter/accept/delete`,
    exportExcel: `${BASE_URL}/base/matter/accept/exportExcel`,
  },
  // 事项收费标准
  mattercharges: {
    list: `${BASE_URL}/base/matter/charges/list`,
    edit: `${BASE_URL}/base/matter/charges/edit`,
    info: `${BASE_URL}/base/matter/charges/info`,
    save: `${BASE_URL}/base/matter/charges/save`,
    delete: `${BASE_URL}/base/matter/charges/delete`,
    exportExcel: `${BASE_URL}/base/matter/charges/exportExcel`,
  },
  // 材料附件
  matterdatumfile: {
    list: `${BASE_URL}/base/matter/datum/file/list`,
    edit: `${BASE_URL}/base/matter/datum/file/edit`,
    info: `${BASE_URL}/base/matter/datum/file/info`,
    save: `${BASE_URL}/base/matter/datum/file/save`,
    delete: `${BASE_URL}/base/matter/datum/file/delete`,
    exportExcel: `${BASE_URL}/base/matter/datum/file/exportExcel`,
  },
  // 事项办理流程
  matterflowlimit: {
    list: `${BASE_URL}/base/matter/flowlimit/list`,
    edit: `${BASE_URL}/base/matter/flowlimit/edit`,
    info: `${BASE_URL}/base/matter/flowlimit/info`,
    save: `${BASE_URL}/base/matter/flowlimit/save`,
    delete: `${BASE_URL}/base/matter/flowlimit/delete`,
    exportExcel: `${BASE_URL}/base/matter/flowlimit/exportExcel`,
  },
  // 事项中介服务
  matterintermediary: {
    list: `${BASE_URL}/base/matter/intermediary/list`,
    edit: `${BASE_URL}/base/matter/intermediary/edit`,
    info: `${BASE_URL}/base/matter/intermediary/info`,
    save: `${BASE_URL}/base/matter/intermediary/save`,
    delete: `${BASE_URL}/base/matter/intermediary/delete`,
    exportExcel: `${BASE_URL}/base/matter/intermediary/exportExcel`,
  },
  // 事项常见问题
  matterquestion: {
    list: `${BASE_URL}/base/matter/question/list`,
    edit: `${BASE_URL}/base/matter/question/edit`,
    info: `${BASE_URL}/base/matter/question/info`,
    save: `${BASE_URL}/base/matter/question/save`,
    delete: `${BASE_URL}/base/matter/question/delete`,
    exportExcel: `${BASE_URL}/base/matter/question/exportExcel`,
  },
  // 事项设定依据
  mattersetbase: {
    list: `${BASE_URL}/base/matter/setbase/list`,
    edit: `${BASE_URL}/base/matter/setbase/edit`,
    info: `${BASE_URL}/base/matter/setbase/info`,
    save: `${BASE_URL}/base/matter/setbase/save`,
    delete: `${BASE_URL}/base/matter/setbase/delete`,
    exportExcel: `${BASE_URL}/base/matter/setbase/exportExcel`,
  },
  // 部门
  dept: {
    list: `${BASE_URL}/base/dept/list`,
    edit: `${BASE_URL}/base/dept/edit`,
    info: `${BASE_URL}/base/dept/info`,
    save: `${BASE_URL}/base/dept/save`,
    delete: `${BASE_URL}/base/dept/delete`,
  },
  // 站点部门窗口
  window: {
    list: `${BASE_URL}/base/window/list`,
    edit: `${BASE_URL}/base/window/edit`,
    info: `${BASE_URL}/base/window/info`,
    save: `${BASE_URL}/base/window/save`,
    delete: `${BASE_URL}/base/window/delete`,
    template: `${BASE_URL}/base/window/downloadTemplate`, // 导入模板下载
    importData: `${BASE_URL}/base/window/importData`,
    subList: `${BASE_URL}/base/window/subHalllist`, // 查询当前站点所有没有在大厅配置的过的窗口
  },
  // 工作人员
  workman: {
    list: `${BASE_URL}/base/workman/list`,
    edit: `${BASE_URL}/base/workman/edit`,
    info: `${BASE_URL}/base/workman/info`,
    save: `${BASE_URL}/base/workman/save`,
    delete: `${BASE_URL}/base/workman/delete`,
    logicDelete: `${BASE_URL}/base/workman/logicDelete`,
    downloadTemplate: `${BASE_URL}/base/workman/downloadTemplate`,
    importData: `${BASE_URL}/base/workman/importData`,
    exportExcel: `${BASE_URL}/base/workman/exportExcel`,
    changePwd: `${BASE_URL}/base/workman/change/password`,
    doImportPic: `${BASE_URL}/base/workman/doImportPic`,
  },
  // 站点业务
  sitebusiness: {
    list: `${BASE_URL}/base/site/business/list`,
    edit: `${BASE_URL}/base/site/business/edit`,
    info: `${BASE_URL}/base/site/business/info`,
    save: `${BASE_URL}/base/site/business/save`,
    delete: `${BASE_URL}/base/site/business/delete`,
    exportExcel: `${BASE_URL}/base/site/business/exportExcel`,
  },
  // 业务事项关联
  businessmatter: {
    list: `${BASE_URL}/base/business/matter/list`,
    edit: `${BASE_URL}/base/business/matter/edit`,
    info: `${BASE_URL}/base/business/matter/info`,
    save: `${BASE_URL}/base/business/matter/save`,
    delete: `${BASE_URL}/base/business/matter/delete`,
    businesslist: `${BASE_URL}/base/business/matter/businesslist`,
    matterlist: `${BASE_URL}/base/business/matter/matterlist`,
    batchSave: `${BASE_URL}/base/business/matter/batchSave`,
  },
  // 窗口业务
  windowbusiness: {
    list: `${BASE_URL}/base/window/business/list`,
    edit: `${BASE_URL}/base/window/business/edit`,
    info: `${BASE_URL}/base/window/business/info`,
    addBusinessToWindow: `${BASE_URL}/base/window/addBusinessToWindow `,
    save: `${BASE_URL}/base/window/business/save`,
    delete: `${BASE_URL}/base/window/business/delete`,
  },
  // 窗口事项
  windowmatter: {
    list: `${BASE_URL}/base/window/matter/list`,
    edit: `${BASE_URL}/base/window/matter/edit`,
    info: `${BASE_URL}/base/window/matter/info`,
    save: `${BASE_URL}/base/window/matter/save`,
    delete: `${BASE_URL}/base/window/matter/delete`,
    batchSave: `${BASE_URL}/base/window/matter/batchSave`,
  },
  // 短信设置
  smsset: {
    list: `${BASE_URL}/base/sms/set/list`,
    edit: `${BASE_URL}/base/sms/set/edit`,
    info: `${BASE_URL}/base/sms/set/info`,
    save: `${BASE_URL}/base/sms/set/save`,
    delete: `${BASE_URL}/base/sms/set/delete`,
  },
  // 短信模板
  smsssmstemplateet: {
    list: `${BASE_URL}/base/sms/template/list`,
    edit: `${BASE_URL}/base/sms/template/edit`,
    info: `${BASE_URL}/base/sms/template/info`,
    save: `${BASE_URL}/base/sms/template/save`,
    delete: `${BASE_URL}/base/sms/template/delete`,
    exportExcel: `${BASE_URL}/base/sms/template/exportExcel`,
  },
  // 站点短信设置
  siteSmsset: {
    list: `${BASE_URL}/base/sms/set/list`,
    save: `${BASE_URL}/base/sms/set/save`,
  },
  // 节假日
  holiday: {
    list: `${BASE_URL}/base/holiday/list`,
    edit: `${BASE_URL}/base/holiday/edit`,
    info: `${BASE_URL}/base/holiday/info`,
    save: `${BASE_URL}/base/holiday/save`,
    delete: `${BASE_URL}/base/holiday/delete`,
    exportExcel: `${BASE_URL}/base/holiday/exportExcel`,
  },
  // 系统皮肤
  skin: {
    list: `${BASE_URL}/base/skin/base/list`,
    info: `${BASE_URL}/base/skin/base/info`,
    save: `${BASE_URL}/base/skin/base/save`,
    delete: `${BASE_URL}/base/skin/base/delete`,
  },
  // 皮肤分类
  category: {
    list: `${BASE_URL}/base/skin/category/list`,
    info: `${BASE_URL}/base/skin/category/info`,
    save: `${BASE_URL}/base/skin/category/save`,
    delete: `${BASE_URL}/base/skin/category/delete`,
  },
  // 产品
  product: {
    list: `${BASE_URL}/base/product/list`,
    info: `${BASE_URL}/base/product/info`,
    save: `${BASE_URL}/base/product/save`,
    delete: `${BASE_URL}/base/product/delete`,
  },
  // 系统皮肤模块
  template: {
    list: `${BASE_URL}/base/skin/template/list`,
    info: `${BASE_URL}/base/skin/template/info`,
    save: `${BASE_URL}/base/skin/template/save`,
    delete: `${BASE_URL}/base/skin/template/delete`,
  },
  // 皮肤属性字段
  field: {
    list: `${BASE_URL}/base/skin/field/list`,
    info: `${BASE_URL}/base/skin/field/info`,
    save: `${BASE_URL}/base/skin/field/save`,
    delete: `${BASE_URL}/base/skin/field/delete`,
  },
  // 应用集市
  App: {
    list: `${BASE_URL}/base/app/list`,
    info: `${BASE_URL}/base/app/info`,
    save: `${BASE_URL}/base/app/save`,
    batchSave: `${BASE_URL}/base/app/batchSave`,
    delete: `${BASE_URL}/base/app/delete`,
    distribute: `${BASE_URL}/base/app/appDistribute`,
    clone: `${BASE_URL}/base/app/cloneAppsBySites`,
    cloneData: `${BASE_URL}/base/app/cloneAppBySameSite`,
    common: `${BASE_URL}/base/app/appCommonDistribute`,
  },
  // 应用数据
  dataset: {
    list: `${BASE_URL}/base/app/dataset/list`,
    info: `${BASE_URL}/base/app/dataset/info`,
    save: `${BASE_URL}/base/app/dataset/save`,
    batchSave: `${BASE_URL}/base/app/dataset/batchSave`,
    delete: `${BASE_URL}/base/app/dataset/delete`,
  },
  // 应用信息字段配置
  appField: {
    list: `${BASE_URL}/base/app/info/field/list`,
    info: `${BASE_URL}/base/app/info/field/info`,
    save: `${BASE_URL}/base/app/info/field/save`,
    delete: `${BASE_URL}/base/app/info/field/delete`,
  },
  // 应用信息模板
  templete: {
    list: `${BASE_URL}/base/app/info/templete/field/list`,
    info: `${BASE_URL}/base/app/info/templete/field/info`,
    save: `${BASE_URL}/base/app/info/templete/field/save`,
    delete: `${BASE_URL}/base/app/info/templete/field/delete`,
  },
  // 应用历史版本
  version: {
    list: `${BASE_URL}/base/app/version/list`,
    info: `${BASE_URL}/base/app/version/info`,
    delete: `${BASE_URL}/base/app/version/delete`,
    used: `${BASE_URL}/base/app/version/used`,
    preview: `${BASE_URL}/base/app/version/preview`,
  },
  // 应用分类
  Appcategory: {
    list: `${BASE_URL}/base/app/category/list`,
    info: `${BASE_URL}/base/app/category/info`,
    save: `${BASE_URL}/base/app/category/save`,
    delete: `${BASE_URL}/base/app/category/delete`,
  },
  // 系统设置
  system: {
    // 系统日志
    logs: {
      list: `${BASE_URL}/base/oper/log/list`,
      info: `${BASE_URL}/base/oper/log/info`,
    },
    // 系统参数
    parameter: {
      list: `${BASE_URL}/base/param/list`,
      info: `${BASE_URL}/base/param/info`,
      save: `${BASE_URL}/base/param/save`,
      delete: `${BASE_URL}/base/param/delete`,
    },
    // 系统任务信息
    task: {
      list: `${BASE_URL}/base/task/list`,
      info: `${BASE_URL}/base/task/info`,
      save: `${BASE_URL}/base/task/save`,
      delete: `${BASE_URL}/base/task/delete`,
    },
    // 维度
    dimension: {
      list: `${BASE_URL}/base/dimension/list`,
      info: `${BASE_URL}/base/dimension/info`,
      save: `${BASE_URL}/base/dimension/save`,
      delete: `${BASE_URL}/base/dimension/delete`,
    },
    // 角色资源维度
    dimensionResource: {
      list: `${BASE_URL}/base/dimension/resource/rule/list`,
      info: `${BASE_URL}/base/dimension/resource/rule/info`,
      save: `${BASE_URL}/base/dimension/resource/rule/save`,
      delete: `${BASE_URL}/base/dimension/resource/rule/delete`,
    },
    // 用户
    user: {
      list: `${BASE_URL}/base/user/list`,
      info: `${BASE_URL}/base/user/info`,
      save: `${BASE_URL}/base/user/save`,
      delete: `${BASE_URL}/base/user/delete`,
    },
    // 角色
    role: {
      list: `${BASE_URL}/base/role/list`,
      info: `${BASE_URL}/base/role/info`,
      save: `${BASE_URL}/base/role/save`,
      delete: `${BASE_URL}/base/role/delete`,
      authList: `${BASE_URL}/base/role/auth/list`,
      distributionSource: `${BASE_URL}/base/role/auth/distributionSource`,
    },
    // 资源
    resource: {
      list: `${BASE_URL}/base/resource/list`,
      info: `${BASE_URL}/base/resource/info`,
      save: `${BASE_URL}/base/resource/save`,
      delete: `${BASE_URL}/base/resource/delete`,
      refreshUrl: `${BASE_URL}/base/resource/refreshUrl`,
    },
  },
  // 站点大厅
  hall: {
    list: `${BASE_URL}/base/site/hall/list`,
    info: `${BASE_URL}/base/site/hall/info`,
    save: `${BASE_URL}/base/site/hall/save`,
    delete: `${BASE_URL}/base/site/hall/delete`,
    window: `${BASE_URL}/window/hall/getBusinessByHall`, // 根据大厅查询所属业务列表
  },
  // 大厅窗口
  windowHall: {
    list: `${BASE_URL}/base/window/hall/list`,
    info: `${BASE_URL}/base/window/hall/info`,
    save: `${BASE_URL}/base/window/hall/save`,
    batchSave: `${BASE_URL}/base/window/hall/batchSave`,
    delete: `${BASE_URL}/base/window/hall/delete`,
  },
  // 设备
  device: {
    list: `${BASE_URL}/base/device/list`,
  },
  // 应用黑名单
  blackapp: {
    list: `${BASE_URL}/base/device/blackapp/list`,
    save: `${BASE_URL}/base/device/blackapp/save`,
    delete: `${BASE_URL}/base/device/blackapp/delete`,
  },
};
