import { area, site, model } from "@/services/basicsetApi";

import { request, METHOD } from "@/utils/request";

// 区域
// 初始化区域数据
export async function initArea(data) {
  return request(area.init, METHOD.POST, data);
}
// 获取列表
export async function areaList(data) {
  return request(area.list, METHOD.POST, data);
}
// 查看子区域信息
export async function getListByParentId(data) {
  return request(area.getListByParentId, METHOD.GET, data);
}
// 获取所有区域信息
export async function treeselect(data) {
  return request(area.treeselect, METHOD.POST, data);
}
// 查看个人区域列表
export async function authAreaTree(data) {
  return request(area.authAreaTree, METHOD.POST, data);
}
// 查看站点列表
export async function getSiteList(data) {
  return request(site.list, METHOD.POST, data);
}
// 站点
export async function siteInfo(data) {
  return request(site.info, METHOD.GET, data);
}
//保存，新增站点
export async function siteSave(data) {
  return request(site.save, METHOD.POST, data);
}
// 删除站点
export async function deleteSite(data) {
  return request(site.delete, METHOD.GET, data);
}
// 获取站点树
export async function getSiteTree(data) {
  return request(site.siteTree, METHOD.GET, data);
}
// 同步站点事项数据
export async function SyncSiteData(data) {
  return request(site.syncData, METHOD.POST, data);
}

/**
 *  部署模块
 */
// 获取部署板块列表
export async function modelList(data) {
  return request(model.list, METHOD.POST, data);
}
// 新增模块
export async function addMode(data) {
  return request(model.save, METHOD.POST, data);
}
// 删除模块
export async function delMode(data) {
  return request(model.delete, METHOD.GET, data);
}
// 保存模块报表
export async function addStatement(data) {
  return request(model.saveStatement, METHOD.POST, data);
}
// 模块报表列表
export async function getStatementList(data) {
  return request(model.statementList, METHOD.POST, data);
}
// 删除报表
export async function delStatement(data) {
  return request(model.delStatement, METHOD.GET, data);
}
