import {
business,sitebusiness,businessmatter
} from '@/services/basicsetApi'

import {request, METHOD} from '@/utils/request'

/**
 *  一体化业务
 */

// 查看业务
export async function getBusinessInfo(data) {
    return request(business.info, METHOD.GET, data)
}
//获取业务列表
export async function getBusinessList(data) {
    return request(business.list, METHOD.POST, data)
}
//保存更新业务
export async function saveBusiness(data) {
    return request(business.save, METHOD.POST, data)
}
//删除业务
export async function businessDel(data) {
    return request(business.delete, METHOD.GET, data)
}
// 添加业务到站点
export async function addInBusiness(data) {
    return request(business.addBusinessToSite, METHOD.POST, data)
}


/**
 *  站点业务
 */

// 查看站点业务列表
export async function getSiteBusinessList(data) {
    return request(sitebusiness.list, METHOD.POST, data)
}
// 新增站点业务
export async function addSite(data) {
    return request(sitebusiness.save, METHOD.POST, data)
}
// 编辑站点业务
export async function editSiteBusiness(data) {
    return request(sitebusiness.edit, METHOD.GET, data)
}
//删除站点业务
export async function delSiteBusiness(data) {
    return request(sitebusiness.delete, METHOD.GET, data)
}

/**
 *  业务关联事项
 */
// 保存业务关联事项
export async function addBusinessMatter(data) {
    return request(businessmatter.save, METHOD.POST, data)
}
// 获取业务关联事项列表
export async function getBusinessMatterList(data) {
    return request(businessmatter.list, METHOD.POST, data)
}
// 删除业务事项关联
export async function delBusinessMatter(data) {
    return request(businessmatter.delete, METHOD.GET, data)
}

// 业务关联列表
export async function getBusinesslistData(data) {
    return request(businessmatter.businesslist, METHOD.POST, data)
}
// 事项关联列表
export async function getMatterlistData(data) {
    return request(businessmatter.matterlist, METHOD.POST, data)
}
// 批量关联业务事项
export async function addBatchSave(data) {
    return request(businessmatter.batchSave, METHOD.POST, data)
}