import {
  dept,
  window,
  workman,
  windowbusiness,
  windowmatter,
  upload,
} from "@/services/basicsetApi";

import { request, METHOD } from "@/utils/request";
/**
 *  部门
 */

// 查询部门列表
export async function getDeptList(data) {
  return request(dept.list, METHOD.POST, data);
}
// 编辑部门
export async function editDept(data) {
  return request(dept.edit, METHOD.GET, data);
}
// 新增部门
export async function saveDept(data) {
  return request(dept.save, METHOD.POST, data);
}
// 删除部门
export async function delDept(data) {
  return request(dept.delete, METHOD.GET, data);
}
/**
 *  窗口
 */
// 窗口列表
export async function getWindowList(data) {
  return request(window.list, METHOD.POST, data);
}
// 查看窗口信息
export async function getWindowInfo(data) {
  return request(window.info, METHOD.GET, data);
}
// 新增窗口
export async function addWindow(data) {
  return request(window.save, METHOD.POST, data);
}
// 删除窗口
export async function delWindow(data) {
  return request(window.delete, METHOD.GET, data);
}
// 获取差集窗口列表
export async function getSubHalllist(data) {
  return request(window.subList, METHOD.POST, data);
}
// 批量导入窗口模板下载
export async function getWindowTemplate(data, config) {
  return request(window.template, METHOD.POST, data, config);
}
// 批量导入窗口
export async function importWindowData(data) {
  return request(window.importData, METHOD.POST, data);
}

/**
 *  窗口业务
 */
// 保存窗口业务
export async function addWindowBusiness(data) {
  return request(windowbusiness.save, METHOD.POST, data);
}
// 窗口关联业务
export async function addBusinessToWindow(data) {
  return request(windowbusiness.addBusinessToWindow, METHOD.POST, data);
}

/**
 * 工作人员
 */
// 窗口工作人员列表
export async function getWorkmanList(data) {
  return request(workman.list, METHOD.POST, data);
}
// 新增工作人员
export async function saveWorkman(data) {
  return request(workman.save, METHOD.POST, data);
}
// 删除工作人员
export async function delWorkman(data) {
  return request(workman.logicDelete, METHOD.GET, data);
}
// 编辑工作人员
export async function editWorkman(data) {
  return request(workman.edit, METHOD.GET, data);
}

// 导出工作人员模板
export async function downLoadTemplate(data, config) {
  return request(workman.downloadTemplate, METHOD.POST, data, config);
}
// 批量导入工作人员
export async function importData(data, config) {
  return request(workman.importData, METHOD.POST, data, config);
}
// 上传附件
export async function uploadFile(data) {
  return request(upload.file, METHOD.POST, data);
}

// 工作人员修改密码
export function changePwd(data) {
  return request(workman.changePwd, METHOD.POST, data);
}
// 批量导入工作人员照片
export function uploadAllImg(data) {
  return request(workman.doImportPic, METHOD.POST, data);
}

/**
 *  窗口事项
 */
// 新增窗口事项
export async function saveWindowmatter(data) {
  return request(windowmatter.save, METHOD.POST, data);
}
// 批量保存窗口事项
export async function saveWindowbatch(data) {
  return request(windowmatter.batchSave, METHOD.POST, data);
}
// 获取窗口事项列表
export async function getWindowmatterList(data) {
  return request(windowmatter.list, METHOD.POST, data);
}
// 删除窗口事项
export async function delWindowmatter(data) {
  return request(windowmatter.delete, METHOD.GET, data);
}
