import { hall, windowHall } from "@/services/basicsetApi";

import { request, METHOD } from "@/utils/request";

// 获取站点大厅信息
export const getHallList = (data) => {
  return request(hall.list, METHOD.POST, data);
};

// 查看站点大厅信息
export const getHallInfo = (data) => {
  return request(hall.info, METHOD.get, data);
};

// 保存更新站点大厅
export const saveHall = (data) => {
  return request(hall.save, METHOD.POST, data);
};

// 删除站点大厅
export const delHall = (data) => {
  return request(hall.delete, METHOD.get, data);
};

//  根据大厅查询所属业务列表
export const getHallWindow = (data) => {
  return request(hall.window, METHOD.POST, data);
};

/**
 *  大厅窗口
 */

// 获取大厅窗口列表
export const getWindowHallList = (data) => {
  return request(windowHall.list, METHOD.POST, data);
};

// 查看大厅窗口
export const getWindowHallInfo = (data) => {
  return request(windowHall.info, METHOD.get, data);
};

// 保存大厅窗口
export const saveWindowHall = (data) => {
  return request(windowHall.save, METHOD.POST, data);
};

// 批量保存大厅窗口

export const batchSaveWindowHall = (data) => {
  return request(windowHall.batchSave, METHOD.POST, data);
};
// 删除大厅窗口
export const delWindowHall = (data) => {
  return request(windowHall.delete, METHOD.get, data);
};
