import {
  App,
  dataset,
  appField,
  templete,
  version,
  device,
  blackapp,
  Appcategory,
} from "@/services/basicsetApi";

import { request, METHOD } from "@/utils/request";

/**
 *  应用
 */
// 获取应用列表
export async function getAppList(data) {
  return request(App.list, METHOD.POST, data);
}

// 查看应用
export async function getAppInfo(data) {
  return request(App.info, METHOD.GET, data);
}
// 新增，修改应用
export async function saveApp(data) {
  return request(App.save, METHOD.POST, data);
}
// 新增，修改应用（批量）
export async function batchSave(data) {
  return request(App.batchSave, METHOD.POST, data);
}
// 删除应用
export async function deleteApp(data) {
  return request(App.delete, METHOD.GET, data);
}
// 克隆应用
export async function cloneApp(data) {
  return request(App.clone, METHOD.POST, data);
}
// 克隆应用数据
export async function cloneAppData(data) {
  return request(App.cloneData, METHOD.POST, data);
}
// 部署应用
export async function deployApp(data) {
  return request(App.distribute, METHOD.POST, data);
}
// 基础配置文件部署
export async function commonConfig(data) {
  return request(App.common, METHOD.POST, data);
}

/**
 *  应用数据
 */

// 获取数据列表
export async function getDatasetList(data) {
  return request(dataset.list, METHOD.POST, data);
}

// 查看数据
export async function getDatasetInfo(data) {
  return request(dataset.info, METHOD.GET, data);
}
// 新增，修改数据
export async function saveDataset(data) {
  return request(dataset.save, METHOD.POST, data);
}
// 批量保存数据
export async function batchSaveDataset(data) {
  return request(dataset.batchSave, METHOD.POST, data);
}
// 删除数据
export async function deleteDataset(data) {
  return request(dataset.delete, METHOD.GET, data);
}

/**
 *  应用信息字段配置
 */

// 获取信息字段列表
export async function getAppFieldList(data) {
  return request(appField.list, METHOD.POST, data);
}

// 查看信息字段
export async function getAppFieldInfo(data) {
  return request(appField.info, METHOD.GET, data);
}
// 新增，修改信息字段
export async function saveAppField(data) {
  return request(appField.save, METHOD.POST, data);
}
// 删除信息字段
export async function deleteAppField(data) {
  return request(appField.delete, METHOD.GET, data);
}

/**
 *  应用信息模板
 */

// 获取应用信息模板列表
export async function getTempleteList(data) {
  return request(templete.list, METHOD.POST, data);
}

// 查看应用信息模板
export async function getTempleteInfo(data) {
  return request(templete.info, METHOD.GET, data);
}
// 新增，修改应用信息模板
export async function saveTemplete(data) {
  return request(templete.save, METHOD.POST, data);
}
// 删除应用信息模板
export async function deleteTemplete(data) {
  return request(templete.delete, METHOD.GET, data);
}

/**
 *  应用历史版本
 */

// 获取应用历史版本列表
export async function getVersionList(data) {
  return request(version.list, METHOD.POST, data);
}

// 查看应用历史版本
export async function getVersionInfo(data) {
  return request(version.info, METHOD.GET, data);
}
// 新增，修改应用历史版本
export async function saveVersion(data) {
  return request(version.save, METHOD.POST, data);
}
// 删除应用历史版本
export async function deleteVersion(data) {
  return request(version.delete, METHOD.GET, data);
}
// 使用版本
export async function usedVersion(data) {
  return request(version.used, METHOD.GET, data);
}
// 预览版本
export async function previewVersion(data) {
  return request(version.preview, METHOD.GET, data);
}

/**
 *  设备列表
 */
export async function getDeviceList(data) {
  return request(device.list, METHOD.POST, data);
}

/**
 *  设备应用黑名单
 */

// 获取应用黑名单列表
export async function getBlackAppList(data) {
  return request(blackapp.list, METHOD.POST, data);
}

// 保存
export async function saveBlackApp(data) {
  return request(blackapp.save, METHOD.POST, data);
}

// 删除
export async function deleteBlackapp(data) {
  return request(blackapp.delete, METHOD.GET, data);
}

/**
 *  应用分类
 */

// 获取分类列表
export async function getCategoryList(data) {
  return request(Appcategory.list, METHOD.POST, data);
}

// 保存分类列表
export async function saveCategory(data) {
  return request(Appcategory.save, METHOD.POST, data);
}

// 删除分类列表
export async function deleteCategory(data) {
  return request(Appcategory.delete, METHOD.GET, data);
}
