import {
  sitematter,
  matter,
  matterdatum,
  matterdatumfile,
  matteraccept,
  matterquestion,
  mattersetbase,
  matterintermediary,
  matterflowlimit,
  mattercharges,
} from "@/services/basicsetApi";

import { request, METHOD } from "@/utils/request";

/**
 *  站点事项
 */
// 查询站点事项列表
export async function getSiteMatterList(data) {
  return request(sitematter.list, METHOD.POST, data);
}
// 新增站点事项
export async function addSitematter(data) {
  return request(sitematter.save, METHOD.POST, data);
}
// 从站点删除事项
export async function delSiteMatter(data) {
  return request(sitematter.delete, METHOD.GET, data);
}

/**
 *  基础事项
 */
// 获取一体化事项列表
export async function getMatterList(data) {
  return request(matter.list, METHOD.POST, data);
}
// 保存/更新基础事项
export async function saveAddMatter(data) {
  return request(matter.save, METHOD.POST, data);
}
// 添加基础事项到站点
export async function addMatterToSite(data) {
  return request(matter.addMatterToSite, METHOD.POST, data);
}
// 删除基础事项
export async function delMatter(data) {
  return request(matter.delete, METHOD.GET, data);
}
// 获取一体化事项列表（差集）
export async function getMatterListSubList(data) {
  return request(matter.matterList, METHOD.POST, data);
}
// 查看基础事项
export async function getMatterInfo(data) {
  return request(matter.info, METHOD.GET, data);
}

/**
 *  事项申请材料
 */
// 查询事项申请材料列表
export async function getMatterDatumList(data) {
  return request(matterdatum.list, METHOD.POST, data);
}
// 保存更新事项申请材料
export async function saveMatterDatum(data) {
  return request(matterdatum.save, METHOD.POST, data);
}
// 删除材料
export async function delMatterDatum(data) {
  return request(matterdatum.delete, METHOD.GET, data);
}
// 下载附件
export async function download(data, config) {
  return request(matterdatumfile.exportExcel, METHOD.POST, data, config);
}
// 删除附件
export async function delMatterdatumfile(data) {
  return request(matterdatumfile.delete, METHOD.GET, data);
}

/**
 *  受理材料
 */

// 查询事项受理条件列表
export async function getMatteracceptList(data) {
  return request(matteraccept.list, METHOD.POST, data);
}
//  新增受理条件
export async function addMatteraccept(data) {
  return request(matteraccept.save, METHOD.POST, data);
}
// 删除受理条件
export async function delMatteraccept(data) {
  return request(matteraccept.delete, METHOD.GET, data);
}

/**
 *  常见问题
 */
// 获取常见问题列表
export async function getMatterquestion(data) {
  return request(matterquestion.list, METHOD.POST, data);
}
// 新增问答
export async function addMatterquestion(data) {
  return request(matterquestion.save, METHOD.POST, data);
}
// 删除问答
export async function delMatterquestion(data) {
  return request(matterquestion.delete, METHOD.GET, data);
}

/**
 * 设定依据
 */
// 获取依据列表
export async function getMattersetbase(data) {
  return request(mattersetbase.list, METHOD.POST, data);
}
// 新增依据
export async function addMattersetbase(data) {
  return request(mattersetbase.save, METHOD.POST, data);
}
// 删除依据
export async function delMattersetbase(data) {
  return request(mattersetbase.delete, METHOD.GET, data);
}

/**
 *  中介服务
 */
// 增加中介服务
export async function addMatterintermediary(data) {
  return request(matterintermediary.save, METHOD.POST, data);
}
// 中介服务列表
export async function getMatterintermediaryList(data) {
  return request(matterintermediary.list, METHOD.POST, data);
}
// 删除
export async function delMatterintermediary(data) {
  return request(matterintermediary.delete, METHOD.GET, data);
}

/**
 *  办理流程
 */
// 新增办理流程
export async function addMatterflowlimit(data) {
  return request(matterflowlimit.save, METHOD.POST, data);
}
// 获取办理流程列表
export async function getMatterflowlimitList(data) {
  return request(matterflowlimit.list, METHOD.POST, data);
}
// 删除流程
export async function delMatterflowlimit(data) {
  return request(matterflowlimit.delete, METHOD.GET, data);
}

/**
 *  收费标准
 */
// 新增收费标准
export async function addMattercharges(data) {
  return request(mattercharges.save, METHOD.POST, data);
}
// 获取收费标准
export async function getMattercharges(data) {
  return request(mattercharges.list, METHOD.POST, data);
}
// 删除收费标准
export async function delMattercharges(data) {
  return request(mattercharges.delete, METHOD.GET, data);
}
