
/**
 *  皮肤管理
 */
import { request, METHOD } from '@/utils/request'
import {
    skin,category,upload,product,template,field
} from '@/services/basicsetApi'

/**
 *  皮肤基本属性
 */

// 获取系统基础皮肤列表
export function getSkinList(data) {
    return request(skin.list, METHOD.POST, data)
}

// 查看系统基础皮肤
export function getSkinInfo(data) {
    return request(skin.info, METHOD.GET, data)
}

// 保存，更新
export function skinSave(data) {
    return request(skin.save, METHOD.POST, data)
}

// 删除系统基础皮肤
export function skinDelete(data) {
    return request(skin.delete, METHOD.GET, data)
}


/**
 *  系统皮肤分类
 */
// 获取系统皮肤分类列表
export function getCategoryList(data) {
    return request(category.list, METHOD.POST, data)
}

// 查看皮肤分类
export function getCategoryInfo(data) {
    return request(category.info, METHOD.GET, data)
}

// 保存，更新皮肤分类
export function categorySave(data) {
    return request(category.save, METHOD.POST, data)
}

// 删除皮肤分类
export function categoryDelete(data) {
    return request(category.delete, METHOD.GET, data)
}

/**
 *  上传
 */
 export function uploadFile(data) {
    return request(upload.file, METHOD.POST, data)
}

/**
 *  产品
 */

// 获取产品列表
export function getProductList(data) {
    return request(product.list, METHOD.POST, data)
}

// 查看产品
export function getProductInfo(data) {
    return request(product.info, METHOD.GET, data)
}

// 保存，编辑产品
export function ProductSave(data) {
    return request(product.save, METHOD.POST, data)
}

// 删除产品
export function deleteProduct(data) {
    return request(product.delete, METHOD.GET, data)
}

/**
 *  系统皮肤模块
 */

// 获取皮肤模块列表
export function getTemplateList(data) {
    return request(template.list, METHOD.POST, data)
}

// 查看皮肤模块
export function getTemplateInfo(data) {
    return request(template.info, METHOD.GET, data)
}

// 保存，编辑皮肤模块
export function templateSave(data) {
    return request(template.save, METHOD.POST, data)
}

// 删除皮肤模块
export function deleteTemplate(data) {
    return request(template.delete, METHOD.GET, data)
}

/**
 *  皮肤属性字段
 */

// 获取皮肤属性字段列表
export function getFieldList(data) {
    return request(field.list, METHOD.POST, data)
}

// 查看皮肤属性字段
export function getFieldInfo(data) {
    return request(field.info, METHOD.GET, data)
}

// 保存，编辑皮肤属性字段
export function fieldSave(data) {
    return request(field.save, METHOD.POST, data)
}

// 删除皮肤属性字段
export function deleteField(data) {
    return request(field.delete, METHOD.GET, data)
}