import { system } from "@/services/basicsetApi";

import { request, METHOD } from "@/utils/request";

/**
 *  系统设置
 */

// 查询系统日志列表
export async function getSystemLogsList(data) {
  return request(system.logs.list, METHOD.POST, data);
}
// 查看系统日志信息
export async function getSystemLogsInfo(data) {
  return request(system.logs.info, METHOD.GET, data);
}
// 获取系统参数信息列表
export async function getSystemParameterList(data) {
  return request(system.parameter.list, METHOD.POST, data);
}
// 获取系统参数信息
export async function getSystemParameterInfo(data) {
  return request(system.parameter.info, METHOD.GET, data);
}
// 保存系统参数信息
export async function saveSystemParameter(data) {
  return request(system.parameter.save, METHOD.POST, data);
}
// 删除系统参数信息
export async function delSystemParameter(data) {
  return request(system.parameter.delete, METHOD.GET, data);
}
// 获取系统任务信息列表
export async function getSystemTaskList(data) {
  return request(system.task.list, METHOD.POST, data);
}
// 获取系统任务信息
export async function getSystemTaskInfo(data) {
  return request(system.task.info, METHOD.GET, data);
}
// 保存系统任务信息
export async function saveSystemTask(data) {
  return request(system.task.save, METHOD.POST, data);
}
// 删除系统任务信息
export async function delSystemTask(data) {
  return request(system.task.delete, METHOD.GET, data);
}

/*
 * 用户管理
 */
// 获取用户列表
export async function getUserList(data) {
  return request(system.user.list, METHOD.POST, data);
}
// 获取用户信息
export async function getUserInfo(data) {
  return request(system.user.info, METHOD.GET, data);
}
// 保存用户信息
export async function saveUser(data) {
  return request(system.user.save, METHOD.POST, data);
}
// 删除用户信息
export async function delUser(data) {
  return request(system.user.delete, METHOD.GET, data);
}

/*
 * 角色管理
 */
// 获取角色列表
export async function getRoleList(data) {
  return request(system.role.list, METHOD.POST, data);
}
// 获取角色信息
export async function getRoleInfo(data) {
  return request(system.role.info, METHOD.GET, data);
}
// 保存角色信息
export async function saveRole(data) {
  return request(system.role.save, METHOD.POST, data);
}
// 删除角色信息
export async function delRole(data) {
  return request(system.role.delete, METHOD.GET, data);
}
// 获取角色资源列表
export async function getRoleResourceList(data) {
  return request(system.role.authList, METHOD.POST, data);
}
// 保存角色资源信息
export async function saveRoleResource(data) {
  return request(system.role.distributionSource, METHOD.POST, data);
}
/*
 * 资源管理
 */
// 获取资源列表
export async function getResourceList(data) {
  return request(system.resource.list, METHOD.POST, data);
}
// 获取资源信息
export async function getResourceInfo(data) {
  return request(system.resource.info, METHOD.GET, data);
}
// 保存资源信息
export async function saveResource(data) {
  return request(system.resource.save, METHOD.POST, data);
}
// 删除资源信息
export async function delResource(data) {
  return request(system.resource.delete, METHOD.GET, data);
}
// 刷新资源
export async function refreshResource(data) {
  return request(system.resource.refreshUrl, METHOD.POST, data);
}

/*
 * 维度管理
 */

// 获取维度列表
export async function getDimensionList(data) {
  return request(system.dimension.list, METHOD.POST, data);
}
// 获取维度信息
export async function getDimensionInfo(data) {
  return request(system.dimension.info, METHOD.GET, data);
}
// 保存维度信息
export async function saveDimension(data) {
  return request(system.dimension.save, METHOD.POST, data);
}
// 删除维度信息
export async function delDimension(data) {
  return request(system.dimension.delete, METHOD.GET, data);
}

// 获取角色资源维度列表
export async function getDimResList(data) {
  return request(system.dimensionResource.list, METHOD.POST, data);
}
// 获取角色资源维度信息
export async function getDimResInfo(data) {
  return request(system.dimensionResource.info, METHOD.GET, data);
}
// 保存角色资源维度信息
export async function saveDimRes(data) {
  return request(system.dimensionResource.save, METHOD.POST, data);
}
// 删除角色资源维度信息
export async function delDimRes(data) {
  return request(system.dimensionResource.delete, METHOD.GET, data);
}
