// import {LOGIN, ROUTES} from '@/services/api'
import {loginapi} from '@/services/basicsetApi'
import {request, METHOD} from '@/utils/request'
import local from "@/utils/local"

/**
 * 登录服务
 * @param account 账户名
 * @param password 账户密码
 * @returns {Promise<AxiosResponse<T>>}
 */
export async function login(account, password) {
  return request(loginapi.login, METHOD.POST, {
    loginName: account,
    password: password,
    securityCode:8888
  })
}

// export async function getRoutesConfig() {
//   return request(ROUTES, METHOD.GET)
// }

/**
 * 退出登录
 */
export function logout() {
  localStorage.removeItem(process.env.VUE_APP_ROUTES_KEY)
  localStorage.removeItem(process.env.VUE_APP_PERMISSIONS_KEY)
  localStorage.removeItem(process.env.VUE_APP_ROLES_KEY)
  local.removeLocal('token')
}
export default {
  login,
  logout,
  // getRoutesConfig
}
