// import Cookie from 'js-cookie'
// import local from "@/utils/local";
import { message } from "ant-design-vue";
import store from "@/store/index";
// 401拦截
// const resp401 = {
//   /**
//    * 响应数据之前做点什么
//    * @param response 响应对象
//    * @param options 应用配置 包含: {router, i18n, store, message}
//    * @returns {*}
//    */
//   onFulfilled(response, options) {
//     const {message} = options
//     if (response.code === 401) {
//       message.error('无此权限')
//     }
//     return response
//   },
//   /**
//    * 响应出错时执行
//    * @param error 错误对象
//    * @param options 应用配置 包含: {router, i18n, store, message}
//    * @returns {Promise<never>}
//    */
//   onRejected(error, options) {
//     const {message} = options
//     const {response} = error
//     if (response.status === 401) {
//       message.error('无此权限')
//     }
//     return Promise.reject(error)
//   }
// }

const resMsg = {
  onFulfilled(response) {
    let { code, msg } = response.data;
    if (code === 9001 || code === 9002) {
      message.error({
        content: msg,
        maxCount: 1,
      });
      setTimeout(() => {
        location.href = process.env.VUE_APP_API_portal_URL;
      }, 2000);
    } else if (code === -1) {
      message.error({
        content: msg,
        maxCount: 1,
      });
    }
    return response;
  },
  onRejected(error) {
    // const {message} = options
    // const {response} = error
    // if (response.code === 403) {
    //   message.error('请求被拒绝')
    // }
    return Promise.reject(error);
  },
};

const reqCommon = {
  /**
   * 发送请求之前做些什么
   * @param config axios config
   * @param options 应用配置 包含: {router, i18n, store, message}
   * @returns {*}
   */
  onFulfilled(config) {
    // 携带token
    // let token = local.getLocal("token");
    let token = store.getters["site/token"];
    if (token) {
      config.headers.Authorization = token;
    }
    return config;
  },
  /**
   * 请求出错时做点什么
   * @param error 错误对象
   * @param options 应用配置 包含: {router, i18n, store, message}
   * @returns {Promise<never>}
   */
  onRejected(error) {
    // const {message} = options
    // message.error(error.message)
    return Promise.reject(error);
  },
};

export default {
  request: [reqCommon], // 请求拦截
  // response: [resp401, resp403] // 响应拦截
  response: [resMsg], // 响应拦截
};
