
-- ----------------------------
-- 2023-2-21
-- ----------------------------
ALTER TABLE mortals_sys_window ADD COLUMN `duty` tinyint (1)  default 0   COMMENT '无人值守(1.是，0.否)' AFTER hongqi;
ALTER TABLE mortals_sys_window ADD COLUMN `dutyContent` varchar (256) default ""  COMMENT '显示内容' AFTER duty;
ALTER TABLE mortals_sys_window ADD COLUMN `dutyEnglish` varchar (256)  default "" COMMENT '显示英文' AFTER dutyContent;

ALTER TABLE mortals_sys_dept ADD COLUMN  `total` int(9)    DEFAULT '0' COMMENT '关联事项数量' AFTER updateTime;

INSERT INTO `mortals_xhx_task` VALUES (null, '统计站点部门事项数', 'StatSiteDeptMatterTask', 0, 'StatSiteDeptMatterTask', NULL, NULL, 1, 0, '23:21', NULL, '172.17.0.1', '2023-03-05 23:21:01', 0, NULL, NULL, NULL);


-- ----------------------------
-- 2023-3-11
-- ----------------------------
ALTER TABLE mortals_sys_workman ADD COLUMN  `operatorId` varchar (128) default ""  COMMENT '一体化经办人id' AFTER modelIds;





-- ----------------------------
-- 2023-3-28
-- ----------------------------
ALTER TABLE mortals_sys_app_info_field ADD COLUMN  `fieldTypeValue` varchar (255) default ""  COMMENT '字段类型值，当字段类型为多选，单选时候，预设复选值' AFTER fieldType;
ALTER TABLE mortals_sys_app_info_field ADD COLUMN  `defaultValue` varchar (255) default ""  COMMENT '字段默认值' AFTER fieldValue;

ALTER TABLE mortals_sys_app_info_templete_field ADD COLUMN  `fieldTypeValue` varchar (255) default ""  COMMENT '字段类型值，当字段类型为多选，单选时候，预设复选值' AFTER fieldType;
ALTER TABLE mortals_sys_app_info_templete_field ADD COLUMN  `defaultValue` varchar (255) default ""  COMMENT '字段默认值' AFTER fieldValue;


INSERT INTO `mortals_xhx_param` VALUES (null, '应用主题', 'App', 'appThemeName', '1', '交通出行', 1, 4, 0, '', '2023-03-24 17:16:02', 1, '系统管理员');
INSERT INTO `mortals_xhx_param` VALUES (null, '应用主题', 'App', 'appThemeName', '2', '医保社保', 1, 4, 0, 'appThemeName', '2023-03-24 17:21:43', 1, '系统管理员');
INSERT INTO `mortals_xhx_param` VALUES (null, '应用主题', 'App', 'appThemeName', '3', '生活缴费', 1, 4, 0, 'appThemeName', '2023-03-24 17:22:12', 1, '系统管理员');
INSERT INTO `mortals_xhx_param` VALUES (null, '应用主题', 'App', 'appThemeName', '4', '公共服务', 1, 4, 0, 'appThemeName', '2023-03-24 17:22:52', 1, '系统管理员');
INSERT INTO `mortals_xhx_param` VALUES (null, '应用主题	', 'App', 'appThemeName', '5', '综合政务', 1, 4, 0, '', '2023-04-12 20:15:24', 1, '系统管理员');


-- ----------------------------
-- 2023-4-12
-- ----------------------------
ALTER TABLE mortals_sys_site_matter ADD COLUMN   `hot` tinyint(2)    DEFAULT '0'  COMMENT '热门(0.否,1.是)' AFTER eventTypeShow;
ALTER TABLE mortals_sys_site_matter ADD COLUMN   `display` tinyint(2)    DEFAULT '1'  COMMENT '显示(0.否,1.是)' AFTER hot;

-- ----------------------------
-- 2023-4-23
-- ----------------------------
ALTER TABLE mortals_sys_site_theme_matter ADD COLUMN   `hot` tinyint(2)    DEFAULT '0'  COMMENT '热门(0.否,1.是)' AFTER userType;
ALTER TABLE mortals_sys_site_theme_matter ADD COLUMN   `display` tinyint(2)    DEFAULT '1'  COMMENT '显示(0.否,1.是)' AFTER hot;


-- ----------------------------
-- 2023-4-25
-- ----------------------------
-- ----------------------------
-- 站点大厅信息表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_site_hall`;
CREATE TABLE mortals_sys_site_hall(
    `id` bigint(20)   AUTO_INCREMENT   COMMENT '序号，主键，自增长',
    `siteId` bigint(20)      COMMENT '站点ID',
    `siteName` varchar(255)      COMMENT '站点名称',
    `hallName` varchar(256)      COMMENT '大厅名称',
    `address` varchar(256)      COMMENT '地址',
    `floor` tinyint(2)    DEFAULT '1'  COMMENT '楼层',
    `build` tinyint(2)    DEFAULT '1'  COMMENT '楼栋',
    `remark` varchar(255)      COMMENT '备注',
    `createTime` datetime      COMMENT '创建时间',
    `createUserId` bigint(20)      COMMENT '创建用户',
    `updateUserId` bigint(20)      COMMENT '更新用户',
    `updateTime` datetime      COMMENT '修改时间',
PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='站点大厅信息';
-- ----------------------------
-- 大厅窗口表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_window_hall`;
CREATE TABLE mortals_sys_window_hall(
    `id` bigint(20)   AUTO_INCREMENT   COMMENT '序号，主键，自增长',
    `windowId` bigint(20)      COMMENT '窗口ID',
    `windowName` varchar(255)      COMMENT '窗口名称',
    `hallId` bigint(20)      COMMENT '大厅ID',
    `hallName` varchar(255)      COMMENT '大厅名称',
    `sort` int(4)    DEFAULT '0'  COMMENT '排序',
    `remark` varchar(512)      COMMENT '备注',
    `createTime` datetime      COMMENT '创建时间',
    `createUserId` bigint(20)      COMMENT '创建用户',
    `updateTime` datetime      COMMENT '修改时间',
PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='大厅窗口';


INSERT INTO `mortals_xhx_resource` VALUES (null, '站点大厅信息-菜单管理-查看', '/site/hall/list,/site/hall/view,/site/hall/info,/site/hall/export,/site/hall/exportExcel,/site/hall/downloadTemplate,/site/hall/download', 3, 0, NULL, NULL, NULL, 0);
INSERT INTO `mortals_xhx_resource` VALUES (null, '站点大厅信息-菜单管理-维护', '/site/hall/add,/site/hall/edit,/site/hall/delete,/site/hall/logicDelete,/site/hall/save,/site/hall/importData', 3, 0, NULL, NULL, NULL, 0);


INSERT INTO `mortals_xhx_resource` VALUES (null, '大厅窗口-菜单管理-查看', '/window/hall/list,/window/hall/view,/window/hall/info,/window/hall/export,/window/hall/exportExcel,/window/hall/downloadTemplate,/window/hall/download', 3, 0, NULL, NULL, NULL, 0);
INSERT INTO `mortals_xhx_resource` VALUES (null, '大厅窗口-菜单管理-维护', '/window/hall/add,/window/hall/edit,/window/hall/delete,/window/hall/logicDelete,/window/hall/save,/window/hall/importData', 3, 0, NULL, NULL, NULL, 0);


-- ----------------------------
-- 2023-5-04
-- ----------------------------
ALTER TABLE mortals_sys_window ADD COLUMN `nameDesc` varchar (256)  default "" COMMENT '名称描述' AFTER englishName;
ALTER TABLE mortals_sys_window ADD COLUMN `englishNameDesc` varchar (256)  default "" COMMENT '英文名称描述' AFTER nameDesc;


-- ----------------------------
-- 2023-5-06
-- ----------------------------
-- ----------------------------
-- 设备表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_device`;
CREATE TABLE `mortals_xhx_device` (
      `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID，主键，自增长',
      `deviceId` bigint(20) DEFAULT NULL COMMENT '设备id',
      `deviceName` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '设备名称',
      `deviceCode` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '设备编码',
      `deviceMac` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '设备的MAC地址',
      `siteId` bigint(20) DEFAULT NULL COMMENT '站点Id',
      `siteCode` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '站点编号，来源基础服务平台',
      `siteName` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '站点名称',
      `productCode` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '产品编码',
      `productName` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '产品名称',
      `deviceSrc` tinyint(2) DEFAULT 2 COMMENT '设备来源(0.子设备，1.网关设备，2.直连设备)',
      `lon` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '经度',
      `lati` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '纬度',
      `leadingOfficial` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '负责人',
      `leadingOfficialTelephone` varchar(11) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '联系电话',
      `deviceStatus` tinyint(2) DEFAULT NULL COMMENT '设备状态 (0.未激活，1.离线,2.在线)',
      `deviceRemark` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '备注',
      `source` tinyint(2) DEFAULT 1 COMMENT '设备来源(0.旧设备，1.新设备)',
      `createUserId` bigint(20) NOT NULL COMMENT '创建用户',
      `createTime` datetime NOT NULL COMMENT '创建时间',
      `updateUserId` bigint(20) DEFAULT NULL COMMENT '更新用户',
      `updateTime` datetime DEFAULT NULL COMMENT '更新时间',
      PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COMMENT='设备';

-- ----------------------------
-- 设备应用黑名单表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_device_blackapp`;
CREATE TABLE mortals_xhx_device_blackapp(
    `id` bigint(20)   AUTO_INCREMENT   COMMENT '主键，自增长',
    `siteId` bigint(20)      COMMENT '站点ID',
    `deviceId` bigint(20)      COMMENT '设备id',
    `deviceCode` varchar(255)      COMMENT '设备编码',
    `deviceName` varchar(255)      COMMENT '设备名称',
    `appId` bigint(20)      COMMENT '应用id',
    `appCode` varchar(255)      COMMENT '应用编码',
    `appName` varchar(255)      COMMENT '应用名称',
    `createTime` datetime      COMMENT '创建时间',
    `createUserId` bigint(20)      COMMENT '创建用户',
    `updateTime` datetime      COMMENT '修改时间',
PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='设备应用黑名单';

-- ----------------------------
-- 2023-5-07
-- ----------------------------
ALTER TABLE mortals_sys_site ADD COLUMN `onlineTake` tinyint(2)    DEFAULT '1'  COMMENT '在线取号（0.否，1.是）' AFTER workday7;
ALTER TABLE mortals_sys_site ADD COLUMN `appointment` tinyint(2)    DEFAULT '1'  COMMENT '在线取号（0.否，1.是）' AFTER onlineTake;
ALTER TABLE mortals_sys_site ADD COLUMN `gowMap` tinyint(2)    DEFAULT '1'  COMMENT '在线取号（0.否，1.是）' AFTER appointment;


-- ----------------------------
-- 2023-6-15
-- ----------------------------
-- ----------------------------
-- 自助终端应用分类表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_app_category`;
CREATE TABLE mortals_sys_app_category(
    `id` bigint(20)   AUTO_INCREMENT   COMMENT '主键ID，主键，自增长',
    `siteId` bigint(20)      COMMENT '站点Id',
    `siteName` varchar(256)      COMMENT '站点名称',
    `categoryCode` varchar(256)      COMMENT '分类编码',
    `categoryName` varchar(256)      COMMENT '分类名称',
    `sort` int(4)    DEFAULT '0'  COMMENT '排序字段',
    `createTime` datetime      COMMENT '创建时间',
    `createUserId` bigint(20)      COMMENT '创建用户',
    `updateUserId` bigint(20)      COMMENT '更新用户',
    `updateTime` datetime      COMMENT '更新时间',
PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='自助终端应用分类';


-- ----------------------------
-- 2023-7-05
-- ----------------------------

ALTER TABLE mortals_sys_app_category ADD COLUMN `cover`  varchar(256)  DEFAULT ''   COMMENT '封面' AFTER sort;
ALTER TABLE mortals_sys_app_category ADD COLUMN `remark`  varchar(256)  DEFAULT ''   COMMENT '备注' AFTER cover;

-- ----------------------------
-- 2023-08-29
-- ----------------------------
ALTER TABLE `mortals_sys_model` ADD COLUMN `type` tinyint(2)  DEFAULT '1'  COMMENT '模块分类' AFTER `sort`;


-- ----------------------------
-- 2023-9-11
-- ----------------------------
ALTER TABLE mortals_sys_app_info_field ADD COLUMN  `serviceApi` varchar(255)   default ''   COMMENT '事件服务接口请求地址';
ALTER TABLE mortals_sys_app_info_field ADD COLUMN  `serviceApiParams` varchar(1024) default ''     COMMENT '事件服务接口请求参数';


ALTER TABLE mortals_sys_app_info_templete_field ADD COLUMN  `serviceApi` varchar(255)   default ''   COMMENT '事件服务接口请求地址';
ALTER TABLE mortals_sys_app_info_templete_field ADD COLUMN  `serviceApiParams` varchar(1024) default ''     COMMENT '事件服务接口请求参数';



-- ----------------------------
-- 2023-10-17
-- ----------------------------

ALTER TABLE mortals_sys_window_hall ADD COLUMN  `siteId` bigint(20) default '1'     COMMENT '站点Id';


-- ----------------------------
-- 2024-01-03
-- ----------------------------
ALTER TABLE mortals_sys_site_matter ADD COLUMN   `agent` tinyint(2)    DEFAULT '0'  COMMENT '代办帮办(0.否,1.是)';
ALTER TABLE mortals_sys_site_matter ADD COLUMN    `agentName` varchar(64)      COMMENT '代办姓名';
ALTER TABLE mortals_sys_site_matter ADD COLUMN    `agentPhone` varchar(32)      COMMENT '代办电话';
ALTER TABLE mortals_sys_site_matter ADD COLUMN   `agentPost` varchar(64)      COMMENT '职务';


-- ----------------------------
-- 2024-02-29
-- ----------------------------

UPDATE mortals_sys_skin_base SET imageResolution="1920x1080" WHERE imageResolution="1";
UPDATE mortals_sys_skin_base SET imageResolution="1080x1920" WHERE imageResolution="2";
UPDATE mortals_sys_skin_base SET imageResolution="1280x1280" WHERE imageResolution="3";


-- ----------------------------
-- 2024-03-08
-- ----------------------------
ALTER TABLE mortals_sys_site_matter ADD COLUMN   `hallCheckIn` tinyint(2)    DEFAULT '0'  COMMENT '大厅事项入驻(0.否,1.是)'  AFTER agentPost;



ALTER TABLE mortals_sys_dept ADD COLUMN  `inNum` int(9)    DEFAULT '0' COMMENT '入驻事项数量' AFTER updateTime;

INSERT INTO mortals_xhx_task VALUES (null, '同步全部站点事项材料附件', 'SyncMatterDaumFileTask', 0, 'SyncMatterDaumFileTask', '', '', 1, 3600, '16:05', '', '192.168.1.107', '2024-05-18 16:05:00', 0, '2024-03-01 10:59:53', 1, '系统管理员');

-- ----------------------------
-- 2024-07-20
-- ----------------------------
INSERT INTO `mortals_sys_base_area`(`id`, `ancestors`, `name`, `iid`, `pid`, `haveSonArea`, `haveSonDept`, `haveGetDept`, `haveGetMatterList`, `areaCode`, `areaLevel`, `shortName`, `domain`, `status`, `createTime`, `createUserId`, `updateTime`) VALUES (null, '', '巴中经济开发区', 'f190133f82dd46f0ae2e2116a8b9b13b', '60a505e9dfa643e9826902e0810de55f', 'false', 'True', 'false', 'false', '511971000000', 3, '巴中经济开发区', 'bzsbzq.sczwfw.gov.cn', 1, '2021-07-19 11:59:30', NULL, NULL);



-- ----------------------------
-- 2024-11-20 索引添加
-- ----------------------------
CREATE INDEX idx_matterId ON mortals_sys_matter_accept (matterId);
CREATE INDEX idx_matterId ON mortals_sys_matter_datum (matterId);
CREATE INDEX idx_matterId ON mortals_sys_matter_charges (matterId);
CREATE INDEX idx_matterId ON mortals_sys_matter_flowlimit (matterId);
CREATE INDEX idx_matterId ON mortals_sys_matter_intermediary (matterId);
CREATE INDEX idx_matterId ON mortals_sys_matter_question (matterId);
CREATE INDEX idx_matterId ON mortals_sys_matter_setbase (matterId);
CREATE INDEX idx_datumId ON mortals_sys_matter_datum_file (datumId);


-- ----------------------------
-- 2024-12-4 站点风貌添加
-- ----------------------------

ALTER TABLE mortals_sys_site ADD COLUMN  `govAffairStyle` varchar(1024)      COMMENT '政务风貌，多个逗号分割' AFTER modelIds;
ALTER TABLE mortals_sys_site ADD COLUMN  `complaintHotline` varchar(64)      COMMENT '投诉电话' AFTER govAffairStyle;


-- ----------------------------
-- 2024-12-5
-- ----------------------------
ALTER TABLE mortals_sys_workman ADD COLUMN  `deleted` tinyint(2)    DEFAULT '0'  COMMENT '是否删除（0.否，1.是）' AFTER modelIds;



-- ----------------------------
-- 2025-3-14
-- ----------------------------
ALTER TABLE mortals_sys_window ADD COLUMN `fileName` varchar (256)  default "" COMMENT '附件名称' AFTER englishNameDesc;
ALTER TABLE mortals_sys_window ADD COLUMN `filePath` varchar (256)  default "" COMMENT '附件地址' AFTER fileName;

-- ----------------------------
-- 2025-3-17
-- ----------------------------
ALTER TABLE mortals_sys_matter ADD COLUMN `areaName` varchar(255)      COMMENT '区域名称';
ALTER TABLE mortals_sys_matter ADD COLUMN `areaLevel` tinyint(2)      COMMENT '区域等级(1.省，2.地市州，3.区县，4.街道，5.社区)';




-- ----------------------------
-- 办理渠道
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_matter_channel`;
CREATE TABLE `mortals_sys_matter_channel`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键，自增长',
  `matterId` bigint(20) NOT NULL DEFAULT 0 COMMENT '基础事项表id',
  `matterCode` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '',
  `matterName` varchar(1024) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '事项名称',
  `name` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '应用名称',
  `description` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '描述信息',
  `icon` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '图标',
  `url` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '跳转地址',
  `qrCode` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '二维码图片',
  `source` tinyint(2) NULL DEFAULT 0 COMMENT '事项来源 (0.政务网，1.自定义)',
  `appType` tinyint(2) NULL DEFAULT 0 COMMENT 'app来源类型 (0.PC端，1.移动端)',
  `remark`  varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '备注',
  `createTime` datetime(0) NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '创建时间',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `updateTime` datetime(0) NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_matterId`(`matterId`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '办理渠道';



-- ----------------------------
-- 2025-3-19
-- ----------------------------
ALTER TABLE mortals_sys_matter ADD COLUMN `remark` varchar(512)      COMMENT '备注信息';


-- ----------------------------
-- 社保配置表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_social_security_set`;
CREATE TABLE `mortals_sys_social_security_set`  (
    `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
    `siteId` bigint(20) NULL DEFAULT NULL COMMENT '站点id',
    `siteName` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '站点名称',
    `appid` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '接入标识',
    `access_key` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '渠道标识-应用标识',
    `privat_key`  varchar(2048) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '私钥',
    `key` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '渠道密钥',
    `az400` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '机具编码',
    `sm4key` varchar(2048) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '国密4私钥',
    `serviceCode` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '政务排号认证',
    `bus_code` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '政务业务认证码',
    `orgName` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '机构名称',
    `address` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '机具使用地址',
    `regionCode` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '区域码',
    `orgCode` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '统一社会信用代码',
    `enabled` tinyint(1) NULL DEFAULT 1 COMMENT '启用开关',
    `remark` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '短信签名',
    `createTime` datetime(0) NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '创建时间',
    `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
    `updateTime` datetime(0) NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '修改时间',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '社保配置表';




-- ----------------------------
-- 2025-04-22   添加东部经开区
-- ----------------------------

INSERT INTO `mortals_sys_base_area` VALUES (null, ',16ca461e2c824257a50dd0c7fab6f2de', '达州东部经开区', 'gde17ba11bbf48568547c21b174c8a32', '16ca461e2c824257a50dd0c7fab6f2de', 'True', 'True', 'false', 'false', '511715000000', 3, '达州东部经开区', 'dzsgxjscyy.sczwfw.gov.cn', 1, '2025-03-20 10:20:10', NULL, '2025-03-20 10:20:10');
INSERT INTO `mortals_sys_base_area` VALUES (null, ',gde17ba11bbf48568547c21b174c8a32', '麻柳镇', 'abc17ba11bbf48568547c21b174c8a32', 'gde17ba11bbf48568547c21b174c8a32', 'True', 'True', 'false', 'false', '511715026000', 4, '麻柳镇', 'dzsgxjscyy.sczwfw.gov.cn', 1, '2025-03-20 10:20:10', NULL, '2025-03-20 10:20:10');
INSERT INTO `mortals_sys_base_area` VALUES (null, ',gde17ba11bbf48568547c21b174c8a32', '亭子镇', 'abd17ba11bbf48568547c21b174c8a32', 'gde17ba11bbf48568547c21b174c8a32', 'True', 'True', 'false', 'false', '511715114000', 4, '亭子镇', 'dzsgxjscyy.sczwfw.gov.cn', 1, '2025-03-20 10:20:10', NULL, '2025-03-20 10:20:10');
INSERT INTO `mortals_sys_base_area` VALUES (null, ',gde17ba11bbf48568547c21b174c8a32', '福善镇', 'abe17ba11bbf48568547c21b174c8a32', 'gde17ba11bbf48568547c21b174c8a32', 'True', 'True', 'false', 'false', '511715282000', 4, '福善镇', 'dzsgxjscyy.sczwfw.gov.cn', 1, '2025-03-20 10:20:10', NULL, '2025-03-20 10:20:10');
INSERT INTO `mortals_sys_base_area` VALUES (null, ',gde17ba11bbf48568547c21b174c8a32', '安仁乡', 'abf17ba11bbf48568547c21b174c8a32', 'gde17ba11bbf48568547c21b174c8a32', 'True', 'True', 'false', 'false', '511715414000', 4, '安仁乡', 'dzsgxjscyy.sczwfw.gov.cn', 1, '2025-03-20 10:20:10', NULL, '2025-03-20 10:20:10');




INSERT INTO `mortals_sys_area` VALUES (null, ',16ca461e2c824257a50dd0c7fab6f2de', '达州东部经开区', 'gde17ba11bbf48568547c21b174c8a32', '16ca461e2c824257a50dd0c7fab6f2de', 'True', 'True', 'false', 'false', '511715000000', 3, '达州东部经开区', 'dzsgxjscyy.sczwfw.gov.cn', 1, '2025-03-20 10:20:10', NULL, '2025-03-20 10:20:10');
INSERT INTO `mortals_sys_area` VALUES (null, ',gde17ba11bbf48568547c21b174c8a32', '麻柳镇', 'abc17ba11bbf48568547c21b174c8a32', 'gde17ba11bbf48568547c21b174c8a32', 'True', 'True', 'false', 'false', '511715026000', 4, '麻柳镇', 'dzsgxjscyy.sczwfw.gov.cn', 1, '2025-03-20 10:20:10', NULL, '2025-03-20 10:20:10');
INSERT INTO `mortals_sys_area` VALUES (null, ',gde17ba11bbf48568547c21b174c8a32', '亭子镇', 'abd17ba11bbf48568547c21b174c8a32', 'gde17ba11bbf48568547c21b174c8a32', 'True', 'True', 'false', 'false', '511715114000', 4, '亭子镇', 'dzsgxjscyy.sczwfw.gov.cn', 1, '2025-03-20 10:20:10', NULL, '2025-03-20 10:20:10');
INSERT INTO `mortals_sys_area` VALUES (null, ',gde17ba11bbf48568547c21b174c8a32', '福善镇', 'abe17ba11bbf48568547c21b174c8a32', 'gde17ba11bbf48568547c21b174c8a32', 'True', 'True', 'false', 'false', '511715282000', 4, '福善镇', 'dzsgxjscyy.sczwfw.gov.cn', 1, '2025-03-20 10:20:10', NULL, '2025-03-20 10:20:10');
INSERT INTO `mortals_sys_area` VALUES (null, ',gde17ba11bbf48568547c21b174c8a32', '安仁乡', 'abf17ba11bbf48568547c21b174c8a32', 'gde17ba11bbf48568547c21b174c8a32', 'True', 'True', 'false', 'false', '511715414000', 4, '安仁乡', 'dzsgxjscyy.sczwfw.gov.cn', 1, '2025-03-20 10:20:10', NULL, '2025-03-20 10:20:10');

