package com.mortals.xhx;

import com.mortals.framework.springcloud.boot.BaseWebApplication;
import io.micrometer.core.instrument.MeterRegistry;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.actuate.autoconfigure.metrics.MeterRegistryCustomizer;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.web.servlet.ServletComponentScan;
import org.springframework.boot.web.servlet.ServletRegistrationBean;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.ImportResource;

import javax.annotation.PostConstruct;

@EnableFeignClients
@SpringBootApplication(scanBasePackages = {"com.mortals"})
@ServletComponentScan("com.mortals")
@ImportResource(locations = {"classpath:config/spring-config.xml"})
public class ManagerBaseApplication extends BaseWebApplication {

    public static void main(String[] args) {
        SpringApplication.run(ManagerBaseApplication.class, args);
    }

/*    @Bean
    MeterRegistryCustomizer meterRegistryCustomizer(MeterRegistry meterRegistry) {
        return meterRegistry1 -> {
            meterRegistry.config()
                    .commonTags("application", "Tenantapp");
        };
    }*/


/*    @Bean
    public ServletRegistrationBean<MetricsServlet> getServletRegistrationBean() {
        ServletRegistrationBean<MetricsServlet> bean = new ServletRegistrationBean<MetricsServlet>(new MetricsServlet());
        bean.addUrlMappings("/metrics");
        return bean;
    }*/


/*    @PostConstruct
    public void init() {
        DefaultExports.initialize();

    }*/


}
