package com.mortals.xhx.busiz;

import com.alibaba.fastjson.JSONObject;
import com.mortals.xhx.common.utils.EncryptionUtils;
import org.springframework.http.HttpMethod;

import java.util.HashMap;
import java.util.Map;
import java.util.TreeMap;

public class SignDemo {

    private static String getSortedParams(String methodName, Map<String, String> headerMap, Map<String, String> paramsMap, String body) {
        TreeMap<String, Object> paramMap = new TreeMap<>();

        // 获取query参数
        if (!paramsMap.isEmpty()) {
            for (Map.Entry<String, String> entry : paramsMap.entrySet()) {
                paramMap.put(entry.getKey(), entry.getValue());
            }
        }
        // 获取body内容
        if (HttpMethod.POST.name().equals(methodName)) {
            paramMap.put("body", body);
        }

        paramMap.put("appId", headerMap.get("appId"));
        paramMap.put("appKey", headerMap.get("appKey"));
        paramMap.put("timeStamp", headerMap.get("timeStamp"));
        paramMap.put("nonce", headerMap.get("nonce"));
        paramMap.put("secretKey", headerMap.get("appSecret"));

        StringBuilder signSb = new StringBuilder();

        signSb.append("appId").append("=").append(paramMap.get("appId")).append("&");
        signSb.append("appKey").append("=").append(paramMap.get("appKey")).append("&");
        signSb.append("body").append("=").append(paramMap.get("body")).append("&");
        signSb.append("timeStamp").append("=").append(paramMap.get("timeStamp")).append("&");
        signSb.append("nonce").append("=").append(paramMap.get("nonce")).append("&");
        signSb.append("secretKey").append("=").append(paramMap.get("secretKey")).append("&");


/*        for (Map.Entry<String, Object> params : paramMap.entrySet()) {
            signSb.append(params.getKey()).append("=").append(params.getValue() + "").append("&");
        }*/
        String signStr = signSb.substring(0, signSb.length() - 1);
        System.out.println("SignDemo.签名源字符串: " + signStr);
        String sign = EncryptionUtils.SHA256(signStr);
        System.out.println("SignDemo.签名计算结果: " + sign);

        return sign;
    }

    public static void main(String[] args) {
        String methodName = "POST";
        Map<String, String> headerMap = new HashMap<>();
        headerMap.put("appId", "01C67D56D0630517");
        headerMap.put("appKey", "a0b946c858aa8d06");
        headerMap.put("timeStamp", "1677838709935");
        headerMap.put("nonce", "894576350573");
        headerMap.put("appSecret", "ad80c59e575a78ab");

        Map<String, String> paramsMap = new HashMap<>();
        paramsMap.put("param", "哈哈哈");

        JSONObject object = new JSONObject();
        object.put("test", "哈哈哈");
        String body = object.toJSONString();

        getSortedParams(methodName, headerMap, paramsMap, body);
    }

}
