package com.mortals.xhx.busiz;

import org.apache.commons.codec.binary.Base64;

import javax.crypto.Cipher;
import java.security.KeyFactory;
import java.security.interfaces.RSAPrivateKey;
import java.security.interfaces.RSAPublicKey;
import java.security.spec.PKCS8EncodedKeySpec;
import java.security.spec.X509EncodedKeySpec;

public class SignRsaDemo {
    static String PUBLICKEY = "MFwwDQYJKoZIhvcNAQEBBQADSwAwSAJBAIwYDUWp+QkuihFJxWJmAQ0ZmdTVbOg7yETtckUZkUQ6JUKEzKz9UIbmjrKS8kLY39QDjyzCuOzBR2eF2ZrS89MCAwEAAQ==";
    static String user = "yibinTFTB";
    static String pwd = "f82c10dea5fc4936853ff90e576ac216";

    /**
     * RSA公钥加密
     *
     * @param str       加密字符串
     * @param publicKey 公钥
     * @return 密文
     * @throws Exception 加密过程中的异常信息
     */

    public static String encrypt(String str, String publicKey) throws Exception {
        //base64编码的公钥
        byte[] decoded = Base64.decodeBase64(publicKey);
        RSAPublicKey pubKey = (RSAPublicKey) KeyFactory.getInstance("RSA")
                .generatePublic(new X509EncodedKeySpec(decoded));
        //RSA加密
        Cipher cipher = Cipher.getInstance("RSA");
        cipher.init(Cipher.ENCRYPT_MODE, pubKey);
        String outStr = Base64.encodeBase64String(cipher.doFinal(str.getBytes("UTF-8")));
        return outStr;
    }


    /**
     * RSA私钥解密
     *
     * @param str        加密字符串
     * @param privateKey 私钥
     * @return 明文
     * @throws Exception 解密过程中的异常信息
     */
    public static String decrypt(String str, String privateKey) throws Exception {
        //64位解码加密后的字符串
        byte[] inputByte = Base64.decodeBase64(str.getBytes("UTF-8"));
        //base64编码的私钥
        byte[] decoded = Base64.decodeBase64(privateKey);
        RSAPrivateKey priKey = (RSAPrivateKey) KeyFactory.getInstance("RSA")
                .generatePrivate(new PKCS8EncodedKeySpec(decoded));
        //RSA解密
        Cipher cipher = Cipher.getInstance("RSA");
        cipher.init(Cipher.DECRYPT_MODE, priKey);
        String outStr = new String(cipher.doFinal(inputByte));
        return outStr;
    }

    public static void main(String[] args) throws Exception {
        Long curTime = System.currentTimeMillis();
        System.out.println("====== curTime:" + curTime);
        String pwdRsa = pwd + "#" + curTime;
        System.out.println("====== pwdRsa:" + pwdRsa);
        pwdRsa = encrypt(pwdRsa, PUBLICKEY);
        System.out.println("====== pwdRsa:" + pwdRsa);
        String param = "{\"USER\":\"" + user + "\",\"PWD\":\"" + pwdRsa + "\"}";
        System.out.println("====== param:" + param);
        param = Base64.encodeBase64String(param.getBytes("UTF-8"));
        System.out.println("====== param:" + param);

        String request = "{\"idCardNo\":\"41010229611620007X\",\"orgNo\":\"10080000\"}";
        request = Base64.encodeBase64String(request.getBytes("UTF-8"));
        System.out.println("====== request:" + request);
    }


}
