package com.mortals.xhx.common.utils;

import com.mortals.framework.util.HttpUtil;
import com.mortals.xhx.feign.skin.ISkinFillFeign;
import com.mortals.xhx.feign.skin.ISkinSampleFeign;
import com.mortals.xhx.utils.SpringUtils;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;

import javax.annotation.PostConstruct;
import java.util.HashMap;
import java.util.Map;

import static com.mortals.framework.util.HttpUtil.HEADER_CONTENT_TYPE;

/**
 * 发通知第三方
 *
 * @author: zxfei
 * @date: 2022/4/28 10:56
 * @description:
 **/
@Slf4j
public class SendSkinRefreshTask implements Runnable {

    private ISkinSampleFeign skinSampleFeign;

    private ISkinFillFeign skinFillFeign;

    public SendSkinRefreshTask() {
        skinSampleFeign = SpringUtils.getBean(ISkinSampleFeign.class);
        skinFillFeign = SpringUtils.getBean(ISkinFillFeign.class);
    }

    @Override
    public void run() {
        String resp = null;
        try {
            Thread.sleep(2000L);
            skinSampleFeign.refreshSkin();
            skinFillFeign.refreshSkin();
        } catch (Exception e) {
            log.error("异常:", e);
        }
    }
}
