package com.mortals.xhx.common.utils;

import com.alibaba.fastjson.JSON;
import com.mortals.framework.model.Context;
import com.mortals.xhx.base.system.user.model.UserEntity;
import com.mortals.xhx.module.site.model.SiteTreeSelect;
import com.mortals.xhx.module.site.service.SiteService;
import com.mortals.xhx.utils.SpringUtils;
import lombok.AllArgsConstructor;
import lombok.NonNull;
import lombok.RequiredArgsConstructor;
import lombok.extern.apachecommons.CommonsLog;
import lombok.extern.slf4j.Slf4j;
import org.springframework.util.ObjectUtils;

import java.util.List;

/**
 * @author: zxfei
 * @date: 2022/4/13 13:34
 * @description:
 **/
@AllArgsConstructor
@RequiredArgsConstructor
@Slf4j
public class SyncTreeSiteThread implements Runnable {
    @NonNull
    private Context context;

    private  List<UserEntity> userEntities;



    @Override
    public void run() {

        try {
            Thread.sleep(3000);
        } catch (InterruptedException e) {
        }

        SiteService siteService = SpringUtils.getBean(SiteService.class);
        List<SiteTreeSelect> siteTreeSelects = siteService.siteTree(context);

        if(ObjectUtils.isEmpty(userEntities)){
            siteService.setSiteTree(siteTreeSelects, context);
        }else{
            for (UserEntity userEntity : userEntities) {
                Context contextTemp = new Context();
                contextTemp.setUser(userEntity);
                siteService.setSiteTree(siteTreeSelects, contextTemp);
            }
        }
    }

}
