package com.mortals.xhx.daemon;

import cn.hutool.http.HttpUtil;
import org.apache.commons.lang3.StringEscapeUtils;
import org.htmlcleaner.CleanerProperties;
import org.htmlcleaner.DomSerializer;
import org.htmlcleaner.HtmlCleaner;
import org.htmlcleaner.TagNode;
import org.w3c.dom.Document;
import org.w3c.dom.Node;
import org.w3c.dom.NodeList;

import javax.xml.xpath.XPath;
import javax.xml.xpath.XPathConstants;
import javax.xml.xpath.XPathFactory;


public class DeptXMLXPathParser {

    public static void main(String[] args) throws Exception {
        String url = "http://www.sczwfw.gov.cn/jiq/front/channel/deptSwitch?areaCode=510116000000";
        String exp = "//ul[@class='bm-list']//li";

        String html = null;
        try {
            html= HttpUtil.get(url);
        } catch (Exception e) {
            e.printStackTrace();
        }
        HtmlCleaner hc = new HtmlCleaner();
        TagNode tn = hc.clean(html);
        Document dom = new DomSerializer(new CleanerProperties()).createDOM(tn);
        XPath xPath = XPathFactory.newInstance().newXPath();
        Object result;
        result = xPath.evaluate(exp, dom, XPathConstants.NODESET);
        if (result instanceof NodeList) {
            NodeList nodeList = (NodeList) result;
          //  System.out.println(nodeList.getLength());
            for (int i = 0; i < nodeList.getLength(); i++) {
                Node node = nodeList.item(i);
                /**
                 * Node.getTextContent() 此属性返回此节点及其后代的文本内容。
                 * Node.getFirstChild()  此节点的第一个子节点。
                 * Node.getAttributes() 包含此节点的属性的 NamedNodeMap（如果它是 Element）；否则为 null
                 * 如果想获取相应对象的相关属性，可以调用  getAttributes().getNamedItem("属性名") 方法
                 */

                System.out.println(node.getAttributes().getNamedItem("title").getNodeValue());

                System.out.println(
                        node.getNodeValue() == null ? StringEscapeUtils.unescapeHtml4(node.getFirstChild().getAttributes().getNamedItem("href").getNodeValue()) : node.getNodeValue());
            }

        }
    }
}