package com.mortals.xhx.daemon;

import cn.hutool.http.HttpUtil;
import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import org.htmlcleaner.CleanerProperties;
import org.htmlcleaner.DomSerializer;
import org.htmlcleaner.HtmlCleaner;
import org.htmlcleaner.TagNode;
import org.w3c.dom.Document;
import org.w3c.dom.Node;
import org.w3c.dom.NodeList;

import javax.xml.xpath.XPath;
import javax.xml.xpath.XPathConstants;
import javax.xml.xpath.XPathFactory;
import java.util.HashMap;
import java.util.Map;

/**
 *事项抓取测试
 * @author:
 * @date: 2022/11/13 17:45
 */
public class MatterDetailXMLXPathParser {

    public static void main(String[] args) throws Exception {
        String url = "http://www.sczwfw.gov.cn/jiq/front/transition/ywTransToDetail?areaCode=510116000000&itemCode=511A0081000005-510116000000-000-11510122009212050T-1-00&taskType=1&deptCode=11510122009212050T";
        String matterListExp = "//div[@class='sx_list']//div[class=\"sub_list1_main\"]";
        String matterTotalExp = "//input[@id=\"result_count\"]";
        String matterPageNumExp = "//input[@id=\"pageNum\"]";

        //String baseInfoExp = "//div[@class=\"bigbox1\"]/div//table[1]//td";
        String baseInfoExp = "//div[@class=\"section1\"]//table[1]//td";
        String baseInfoExp1 = "//div[@class=\"section2\"]/table[1]//td";
        String baseInfoExp2 = "//div[@class=\"section3\"]/table[1]//td";
        String baseInfoExp3 = "//div[@class=\"section4\"]/table//td";
        baseInfoExp+="|"+baseInfoExp1;
        baseInfoExp+="|"+baseInfoExp2;
        baseInfoExp+="|"+baseInfoExp3;
        System.out.println(baseInfoExp);
        Map<String, String> params = new HashMap<>();
        JSONObject json = new JSONObject();

        String html = null;
        try {
            html= HttpUtil.get(url);
            //System.out.println(html);

        } catch (Exception e) {
            e.printStackTrace();
        }
        HtmlCleaner hc = new HtmlCleaner();
        TagNode tn = hc.clean(html);
        Document dom = new DomSerializer(new CleanerProperties()).createDOM(tn);
        XPath xPath = XPathFactory.newInstance().newXPath();
        Object result;
        result = xPath.evaluate(baseInfoExp, dom, XPathConstants.NODESET);
        if (result instanceof NodeList) {
            NodeList nodeList = (NodeList) result;
            for (int i = 0; i < nodeList.getLength(); i++) {
                if(i%2==0){
                    continue;
                }
                Node node = nodeList.item(i);
               if(i>0){
                   Node prenode = nodeList.item(i - 1);
                   params.put(prenode.getTextContent().trim(),node.getTextContent().trim());
                   json.put(prenode.getTextContent().trim(),node.getTextContent().trim());
               }

            }

        }

        System.out.println(JSON.toJSONString(json));


    }
}