package com.mortals.xhx.daemon;

import cn.hutool.http.HttpUtil;
import org.apache.commons.lang3.StringEscapeUtils;
import org.htmlcleaner.CleanerProperties;
import org.htmlcleaner.DomSerializer;
import org.htmlcleaner.HtmlCleaner;
import org.htmlcleaner.TagNode;
import org.w3c.dom.Document;
import org.w3c.dom.Node;
import org.w3c.dom.NodeList;

import javax.xml.xpath.XPath;
import javax.xml.xpath.XPathConstants;
import javax.xml.xpath.XPathFactory;

/**
 *事项抓取测试
 * @author:
 * @date: 2022/11/13 17:45
 */
public class MatterXMLXPathParser {

    public static void main(String[] args) throws Exception {
        String url = "http://www.sczwfw.gov.cn/jiq/front/item/qlqd?areaCode=510116000000";
        String matterListExp = "//div[@class='sx_list']//div[class=\"sub_list1_main\"]";
        String matterTotalExp = "//input[@id=\"result_count\"] | //input[@id=\"pageNum\"]";
        String matterPageNumExp = "//input[@id=\"pageNum\"]";

        String html = null;
        try {
            html= HttpUtil.get(url);
            System.out.println(html);

        } catch (Exception e) {
            e.printStackTrace();
        }
        HtmlCleaner hc = new HtmlCleaner();
        TagNode tn = hc.clean(html);
        Document dom = new DomSerializer(new CleanerProperties()).createDOM(tn);
        XPath xPath = XPathFactory.newInstance().newXPath();
        Object result;
        result = xPath.evaluate(matterTotalExp, dom, XPathConstants.NODESET);
        if (result instanceof NodeList) {
            NodeList nodeList = (NodeList) result;
            for (int i = 0; i < nodeList.getLength(); i++) {
                Node node = nodeList.item(i);
                System.out.println(node.getAttributes().getNamedItem("value").getNodeValue());
            }

        }

      /*  result = xPath.evaluate(matterPageNumExp, dom, XPathConstants.NODESET);
        if (result instanceof NodeList) {
            NodeList nodeList = (NodeList) result;
            for (int i = 0; i < nodeList.getLength(); i++) {
                Node node = nodeList.item(i);
                System.out.println(node.getAttributes().getNamedItem("value").getNodeValue());
            }

        }*/
    }
}