package com.mortals.xhx.daemon.applicationservice;

import com.mortals.framework.service.ICacheService;
import com.mortals.framework.springcloud.service.IApplicationStartedService;
import com.mortals.framework.util.ThreadPool;
import com.mortals.xhx.base.system.user.service.UserService;
import com.mortals.xhx.module.site.service.SiteService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import static com.mortals.xhx.common.key.Constant.USER_SITE_TREE;

@Component
@Slf4j
public class DemoStartedService implements IApplicationStartedService {

    @Autowired
    private ICacheService cacheService;
    @Autowired
    private SiteService siteService;
    @Autowired
    private UserService userService;

    @Override
    public void start() {
        ThreadPool.getInstance().init(10);
        log.info("开始服务..[初始化用户站点树]");
        //删除redis 中的 站点树
        cacheService.del(USER_SITE_TREE);
        //从门户获取所有站点用户
        try {
            userService.refreshUser();
        } catch (Exception e) {
            log.error("获取所有站点用户失败", e);
        }
    }

    @Override
    public void stop() {
        log.info("停止服务..");
    }

    @Override
    public int getOrder() {
        return 10;
    }

}
