package com.mortals.xhx.module.app.web;
import com.mortals.framework.annotation.UnAuth;
import com.mortals.framework.common.Rest;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import com.mortals.xhx.common.code.AppFieldTypeEnum;
import com.mortals.xhx.common.code.DataTypeEnum;
import com.mortals.xhx.common.code.YesNoEnum;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.app.model.AppInfoFieldEntity;
import com.mortals.xhx.module.app.service.AppInfoFieldService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
import java.util.Arrays;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import static com.mortals.framework.ap.SysConstains.*;
/**
*
* 自助终端应用信息字段
*
* @author zxfei
* @date 2022-11-28
*/
@RestController
@RequestMapping("app/info/field")
public class AppInfoFieldController extends BaseCRUDJsonBodyMappingController<AppInfoFieldService,AppInfoFieldEntity,Long> {

    @Autowired
    private ParamService paramService;

    public AppInfoFieldController(){
        super.setModuleDesc( "自助终端应用信息字段");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model, "dataType", DataTypeEnum.getEnumMap());
        this.addDict(model, "fieldType", AppFieldTypeEnum.getEnumMap());
        this.addDict(model, "fieldNull", YesNoEnum.getEnumMap());
        this.addDict(model, "isList",  YesNoEnum.getEnumMap());
        super.init(model, context);
    }

    /**
     * @param query
     * @return
     */
    @Override
    @UnAuth
    public Rest<Object> list(@RequestBody  AppInfoFieldEntity query) {
        return super.list(query);
    }
}