package com.mortals.xhx.module.business.service.impl;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.framework.model.PageInfo;
import com.mortals.framework.model.Result;
import com.mortals.xhx.module.business.model.BusinessMatterQuery;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.xhx.module.business.dao.BusinessMatterDao;
import com.mortals.xhx.module.business.model.BusinessMatterEntity;
import com.mortals.xhx.module.business.service.BusinessMatterService;

import java.util.Iterator;
import java.util.List;

/**
* BusinessMatterService
* 业务事项关联 service实现
*
* @author zxfei
* @date 2022-01-12
*/
@Service("businessMatterService")
public class BusinessMatterServiceImpl extends AbstractCRUDServiceImpl<BusinessMatterDao, BusinessMatterEntity, Long> implements BusinessMatterService {


    /**
     * @param entity
     * @param context
     * @throws AppException
     */
    @Override
    protected void saveBefore(BusinessMatterEntity entity, Context context) throws AppException {
        super.saveBefore(entity, context);
        int count = this.getDao().getCount(new BusinessMatterQuery().siteBusinessId(entity.getSiteBusinessId()).matterId(entity.getMatterId()));
        if(count>0){
            throw new AppException("当前业务事项已存在，不能新增!");
        }
    }


    @Override
    public Result<BusinessMatterEntity> getListByBusiness(BusinessMatterQuery query, PageInfo pageInfo, Context context) {
        return this.getDao().getListByBusiness(query,pageInfo);
    }

    @Override
    public Result<BusinessMatterEntity> getListByMatter(BusinessMatterQuery query, PageInfo pageInfo, Context context) {
        return this.getDao().getListByMatter(query,pageInfo);
    }
}