package com.mortals.xhx.module.dept.model;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.dept.model.vo.DeptVo;
import lombok.Data;
/**
 * 部门实体对象
 *
 * @author zxfei
 * @date 2024-04-24
 */
@Data
public class DeptEntity extends DeptVo {
    private static final long serialVersionUID = 1L;

    /**
     * 从政务系统来的部门id
     */
    private String tid;
    /**
     * 从政务系统来的部门name
     */
    private String tname;
    /**
     * 部门名称
     */
    private String name;
    /**
     * 从政务系统来的别名
     */
    private String simpleName;
    /**
     * 站点ID
     */
    private Long siteId;
    /**
     * 部门简称
     */
    private String deptAbb;
    /**
     * 部门电话
     */
    private String deptTelphone;
    /**
     * 部门编号
     */
    private String deptNumber;
    /**
     * 填单机展示 (0.否，1.是)
     */
    private Integer isAutotable;
    /**
     * 预约展示 (0.否，1.是)
     */
    private Integer isOrder;
    /**
     * 背靠背展示 (0.否，1.是)
     */
    private Integer isBkb;
    /**
     * 办事指南展示 (0.否，1.是)
     */
    private Integer isWorkGuide;
    /**
     * 是否使用 (0.否，1.是)
     */
    private Integer usValid;
    /**
     * 部门电话是否展示 (0.否，1.是)
     */
    private Integer isSecphone;
    /**
     * 是否展示英文 (0.否，1.是)
     */
    private Integer isEnglish;
    /**
     * 排序
     */
    private Integer sort;
    /**
     * 部门来源
     */
    private Integer source;
    /**
     * 关联事项数量
     */
    private Integer total;
    /**
     * 入驻事项数量
     */
    private Integer inNum;
    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof DeptEntity) {
            DeptEntity tmp = (DeptEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
        this.tid = "";
        this.tname = "";
        this.name = "";
        this.simpleName = "";
        this.siteId = null;
        this.deptAbb = "";
        this.deptTelphone = "";
        this.deptNumber = "";
        this.isAutotable = 1;
        this.isOrder = 1;
        this.isBkb = 1;
        this.isWorkGuide = 1;
        this.usValid = 1;
        this.isSecphone = 1;
        this.isEnglish = 1;
        this.sort = 0;
        this.source = 0;
        this.total = 0;
        this.inNum = 0;
    }
}