package com.mortals.xhx.module.dept.service;

import com.mortals.framework.common.Rest;
import com.mortals.framework.model.Context;
import com.mortals.framework.service.ICRUDCacheService;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.business.model.BusinessEntity;
import com.mortals.xhx.module.dept.dao.DeptDao;
import com.mortals.xhx.module.dept.model.DeptEntity;
import com.mortals.xhx.module.dept.model.DeptQuery;
import com.mortals.xhx.module.dept.model.vo.DeptVo;
import com.mortals.xhx.module.site.model.SiteEntity;

import java.util.List;
import java.util.Map;

/**
 * DeptService
 * <p>
 * 部门 service接口
 *
 * @author zxfei
 * @date 2022-01-12
 */
public interface DeptService extends ICRUDCacheService<DeptEntity, Long> {

    DeptDao getDao();

    /**
     * 同步政务网部门数据
     *
     * @param context
     */
    void syncDept(String areaCode, Context context);

    /**
     * 同步政务网部门数据
     *
     * @param context
     */
    Rest<String> syncDeptBySiteId(SiteEntity siteEntity, Context context);


    Rest<List<DeptEntity>> getDeptByWeb(String  areaCode, Context context);


    Rest<Map<String, List<DeptVo>>> getBusinessByDept(DeptQuery deptQuery, Context context);


    void deleteGovBySiteId(Long siteId, Context context);


    Rest<Map<String,List<DeptVo>>> getDeptListByBusiness(DeptQuery deptQuery, Context context);

    List<DeptEntity> getDeptListByExistBusiness(DeptQuery deptQuery, Context context);

}