package com.mortals.xhx.module.device.web;

import com.mortals.framework.annotation.SlideWindowLimit;
import com.mortals.framework.common.Rest;
import com.mortals.framework.model.Context;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import com.mortals.xhx.module.device.model.DeviceEntity;
import com.mortals.xhx.module.device.service.DeviceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
*
* 设备
*
* @author zxfei
* @date 2023-02-25
*/
@RestController
@RequestMapping("device")
public class DeviceController extends BaseCRUDJsonBodyMappingController<DeviceService,DeviceEntity,Long> {

    @Autowired
    private ParamService paramService;

    public DeviceController(){
        super.setModuleDesc( "设备");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model, "deviceSrc", paramService.getParamBySecondOrganize("Device","deviceSrc"));
        this.addDict(model, "deviceStatus", paramService.getParamBySecondOrganize("Device","deviceStatus"));
        this.addDict(model, "source", paramService.getParamBySecondOrganize("Device","source"));
        super.init(model, context);
    }


    /**
     * @param query
     * @return
     */
    @Override
    @SlideWindowLimit
    public Rest<Object> list(DeviceEntity query) {
        return super.list(query);
    }
}