package com.mortals.xhx.module.matter.model;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.matter.model.vo.MatterChannelVo;
import lombok.Data;
/**
 * 办理渠道实体对象
 *
 * @author zxfei
 * @date 2025-03-19
 */
@Data
public class MatterChannelEntity extends MatterChannelVo {
    private static final long serialVersionUID = 1L;

    /**
     * 基础事项表id
     */
    private Long matterId;
    /**
     *
     */
    private String matterCode;
    /**
     * 事项名称
     */
    private String matterName;
    /**
     * 名称
     */
    private String name;
    /**
     * 图标
     */
    private String icon;
    /**
     * 跳转地址
     */
    private String url;
    /**
     * 事项来源 (0.政务网，1.自定义)
     */
    private Integer source;
    /**
     * 备注
     */
    private String remark;
    /**
     * 描述信息
     */
    private String description;
    /**
     * 二维码图片
     */
    private String qrCode;
    /**
     * app来源类型 (0.PC端，1.移动端)
     */
    private Integer appType;
    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof MatterChannelEntity) {
            MatterChannelEntity tmp = (MatterChannelEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
        this.matterId = 0L;
        this.matterCode = "";
        this.matterName = "";
        this.name = "";
        this.icon = "";
        this.url = "";
        this.source = 0;
        this.remark = "";
        this.description = "";
        this.qrCode = "";
        this.appType = 0;
    }
}