package com.mortals.xhx.module.matter.model.vo;

import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.matter.model.*;
import lombok.Data;

import java.util.List;
import java.util.Objects;

/**
 * 自定义导入对象
 *
 * @author: zxfei
 * @date: 2025/3/24 9:44
 */
@Data
public class MatterCustomImportEntity extends BaseEntityLong {

    /**
     * 区域编码
     */
    @Excel(name = "区域编码")
    private String areaCode;

    /**
     * 事项名称
     */
    @Excel(name = "事项名称")
    private String matterName;


    /**
     * 部门名称
     */
    @Excel(name = "部门名称")
    private String deptName;

    /**
     * 承诺办理时限
     */
    @Excel(name = "承诺办理时限")
    private String promiseTimeLimitShow;


    /**
     * 事项详情链接
     */
    @Excel(name = "网办地址")
    private String url;


    /**
     * pc详细地址
     */
    @Excel(name = "办事指南地址")
    private String netApplyUrl;


    /**
     * 备注信息
     */
    @Excel(name = "流程描述")
    private String flowDesc;

    /**
     * 备注信息
     */
    @Excel(name = "备注")
    private String remark;

    /**
     * 投诉电话
     */
    @Excel(name = "投诉电话")
    private String superviseShow;


    /**
     * 事项类型
     */
    @Excel(name = "事项类型")
    private  String eventTypeShow;


    /**
     * 网站名称
     */
    @Excel(name = "网站名称")
    private  String webName;



    @Override
    public int hashCode() {
        return Objects.hash(this.areaCode, this.getMatterName());
    }

    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof MatterCustomImportEntity) {
            MatterCustomImportEntity tmp = (MatterCustomImportEntity) obj;
            if ((this.getAreaCode() + this.getMatterName()).equals(tmp.getAreaCode() + tmp.getMatterName())) {
                if (this.getId() == tmp.getId()) {
                    return true;
                }
            }
        }
        return false;
    }


}