package com.mortals.xhx.module.matter.web;
import com.mortals.framework.annotation.UnAuth;
import com.mortals.framework.common.Rest;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import com.mortals.xhx.module.matter.model.MatterQuery;
import com.mortals.xhx.module.site.model.SiteEntity;
import com.mortals.xhx.module.site.model.SiteQuery;
import com.mortals.xhx.module.site.service.SiteService;
import lombok.extern.slf4j.Slf4j;
import org.checkerframework.checker.units.qual.A;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.matter.model.MatterExtEntity;
import com.mortals.xhx.module.matter.service.MatterExtService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
import java.util.Arrays;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import static com.mortals.framework.ap.SysConstains.*;
/**
*
* 事项扩展
*
* @author zxfei
* @date 2022-11-23
*/
@RestController
@RequestMapping("matter/ext")
@Slf4j
public class MatterExtController extends BaseCRUDJsonBodyMappingController<MatterExtService,MatterExtEntity,Long> {

    @Autowired
    private ParamService paramService;
    @Autowired
    private SiteService siteService;

    public MatterExtController(){
        super.setModuleDesc( "事项扩展");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model, "source", paramService.getParamBySecondOrganize("MatterExt","source"));
        super.init(model, context);
    }



    @GetMapping(value = "delMattersBySiteId")
    @UnAuth
    public Rest<Object> delMattersBySiteId() {
        Rest<Object> ret = new Rest<>();
        Map<String, Object> model = new HashMap<>();
        String busiDesc = "删除" + this.getModuleDesc();
        int code = VALUE_RESULT_SUCCESS;
        try {

            List<SiteEntity> siteEntities = siteService.find(new SiteEntity());
            for (SiteEntity siteEntity : siteEntities) {
                log.info("开始同步删除站点事项==》{}", siteEntity.getSiteName());
                this.service.syncDelMatterBySiteId(siteEntity, getContext());
            }
            model.put(MESSAGE_INFO, busiDesc + "成功");

        } catch (Exception e) {
            code = VALUE_RESULT_FAILURE;
            this.doException(request, busiDesc, model, e);
        }
        ret.setCode(code);
        ret.setData(model);
        ret.setMsg(model.get(MESSAGE_INFO) == null ? "" : model.remove(MESSAGE_INFO).toString());
        return ret;
    }


}