package com.mortals.xhx.module.ph.web;

import com.mortals.framework.annotation.UnAuth;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import com.mortals.xhx.module.site.model.SiteEntity;
import com.mortals.xhx.module.site.service.SiteService;
import org.apache.commons.lang3.ObjectUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.ph.model.PhQueueEntity;
import com.mortals.xhx.module.ph.service.PhQueueService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;

import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

import com.alibaba.fastjson.JSONObject;

import java.util.Arrays;

import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import static com.mortals.framework.ap.SysConstains.*;

import com.mortals.xhx.common.code.*;

/**
 * 排号汇总
 *
 * @author zxfei
 * @date 2024-04-09
 */
@RestController
@RequestMapping("ph/queue")
public class PhQueueController extends BaseCRUDJsonBodyMappingController<PhQueueService, PhQueueEntity, Long> {

    @Autowired
    private ParamService paramService;
    @Autowired
    private SiteService siteService;

    public PhQueueController() {
        super.setModuleDesc("排号汇总");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model, "style", StyleEnum.getEnumMap());
        this.addDict(model, "wySignin", Wy_signinEnum.getEnumMap());
        super.init(model, context);
    }

    /**
     * @param entity
     * @return
     */
    @Override
    //@UnAuth
    public String save(@RequestBody PhQueueEntity entity) {
        //获取站点信息
        getSite(entity);
        return super.save(entity);
    }

    /**
     * @param list
     * @return
     */
    @Override
    //@UnAuth
    public String batchSave(@RequestBody List<PhQueueEntity> list) {
        for (PhQueueEntity entity : list) {
            getSite(entity);
        }
        return super.batchSave(list);
    }


    private void getSite(PhQueueEntity entity) {
        if (!ObjectUtils.isEmpty(entity.getSiteId())) {
            SiteEntity siteCache = siteService.getCache(entity.getSiteId().toString());
            if (!ObjectUtils.isEmpty(siteCache)) {
                entity.setSiteCode(siteCache.getSiteCode());
                entity.setSiteName(siteCache.getSiteName());
            } else {
                //通过站点编码查询
                if (!ObjectUtils.isEmpty(entity.getSiteCode())) {
                    siteCache = siteService.getExtCache(entity.getSiteCode());
                    if (!ObjectUtils.isEmpty(siteCache)) {
                        entity.setSiteCode(siteCache.getSiteCode());
                        entity.setSiteName(siteCache.getSiteName());
                    }
                }
            }
        }
    }
}