package com.mortals.xhx.module.site.model;
import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.site.model.vo.SiteHallVo;
import lombok.Data;
/**
* 站点大厅信息实体对象
*
* @author zxfei
* @date 2023-04-25
*/
@Data
public class SiteHallEntity extends SiteHallVo {
    private static final long serialVersionUID = 1L;

    /**
    * 站点ID
    */
    private Long siteId;
    /**
    * 站点名称
    */
    private String siteName;
    /**
    * 大厅名称
    */
    private String hallName;
    /**
    * 地址
    */
    private String address;
    /**
    * 楼层
    */
    private Integer floor;
    /**
    * 楼栋
    */
    private Integer build;
    /**
    * 备注
    */
    private String remark;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof SiteHallEntity) {
            SiteHallEntity tmp = (SiteHallEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){

            this.siteId = null;

            this.siteName = "";

            this.hallName = "";

            this.address = "";

            this.floor = 1;

            this.build = 1;

            this.remark = "";
    }
}