package com.mortals.xhx.module.site.model;
import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.site.model.vo.SiteThemeMatterVo;
import lombok.Data;
/**
 * 站点主题事项实体对象
 *
 * @author zxfei
 * @date 2023-04-23
 */
@Data
public class SiteThemeMatterEntity extends SiteThemeMatterVo {
    private static final long serialVersionUID = 1L;

    /**
     * 站点ID
     */
    private Long siteId;
    /**
     * 站点名称
     */
    private String siteName;
    /**
     * 事项ID
     */
    private Long matterId;
    /**
     * 事项名称
     */
    private String matterName;
    /**
     * 事项编码
     */
    private String matterCode;
    /**
     * 服务类型（1.公共服务，2.个人服务，3.法人服务）
     */
    private String userType;
    /**
     * 主题编码
     */
    private String themeCode;
    /**
     * 主题名称
     */
    private String themeName;
    /**
     * 事项来源
     */
    private Integer source;
    /**
     * 热门(0.否,1.是)
     */
    private Integer hot;
    /**
     * 显示(0.否,1.是)
     */
    private Integer display;
    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof SiteThemeMatterEntity) {
            SiteThemeMatterEntity tmp = (SiteThemeMatterEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public void initAttrValue(){

        this.siteId = null;

        this.siteName = "";

        this.matterId = null;

        this.matterName = "";

        this.matterCode = null;

        this.userType = null;

        this.themeCode = "";

        this.themeName = "";

        this.source = 1;

        this.hot = 0;

        this.display = 1;
    }
}