package com.mortals.xhx.module.social.model;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.social.model.vo.SocialSecuritySetVo;
import lombok.Data;
/**
 * 社保配置实体对象
 *
 * @author zxfei
 * @date 2025-03-21
 */
@Data
public class SocialSecuritySetEntity extends SocialSecuritySetVo {
    private static final long serialVersionUID = 1L;

    /**
     * 站点id
     */
    private Long siteId;
    /**
     * 站点名称
     */
    private String siteName;
    /**
     * 接入标识
     */
    private String appid;
    /**
     * 渠道标识-应用标识
     */
    private String accessKey;
    /**
     * 私钥
     */
    private String privatKey;
    /**
     * 渠道密钥
     */
    private String key;
    /**
     * 机具编码
     */
    private String az400;
    /**
     * 私钥
     */
    private String sm4key;
    /**
     * 政务排号认证
     */
    private String serviceCode;
    /**
     * 启用开关
     */
    private Integer enabled;
    /**
     * 短信签名
     */
    private String remark;
    /**
     * 政务业务认证码
     */
    private String busCode;
    /**
     * 机构名称
     */
    private String orgName;
    /**
     * 机具使用地址
     */
    private String address;
    /**
     * 区域码
     */
    private String regionCode;
    /**
     * 统一社会信用代码
     */
    private String orgCode;
    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof SocialSecuritySetEntity) {
            SocialSecuritySetEntity tmp = (SocialSecuritySetEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
        this.siteId = null;
        this.siteName = "";
        this.appid = "";
        this.accessKey = "";
        this.privatKey = "";
        this.key = "";
        this.az400 = "";
        this.sm4key = "";
        this.serviceCode = "";
        this.enabled = 1;
        this.remark = "";
        this.busCode = "";
        this.orgName = "";
        this.address = "";
        this.regionCode = "";
        this.orgCode = "";
    }
}