package com.mortals.xhx.module.window.dao.ibatis;


import com.mortals.framework.model.PageInfo;
import com.mortals.framework.model.ParamDto;
import com.mortals.framework.model.Result;
import com.mortals.xhx.module.matter.model.MatterEntity;
import org.apache.ibatis.session.RowBounds;
import org.springframework.stereotype.Repository;
import com.mortals.xhx.module.window.dao.WindowDao;
import com.mortals.xhx.module.window.model.WindowEntity;

import java.util.ArrayList;
import java.util.Date;

import com.mortals.framework.dao.ibatis.BaseCRUDDaoMybatis;

import java.util.List;

/**
 * 站点部门窗口DaoImpl DAO接口
 *
 * @author zxfei
 * @date 2022-01-12
 */
@Repository("windowDao")
public class WindowDaoImpl extends BaseCRUDDaoMybatis<WindowEntity, Long> implements WindowDao {


    /**
     * @param windowQuery
     * @param pageInfo
     * @return
     */
    @Override
    public Result<WindowEntity> getSubHallList(WindowEntity windowQuery, PageInfo pageInfo) {
        Result<WindowEntity> result = new Result();
        ParamDto paramDto = this.getQueryParam(windowQuery);
        int count = this.getSubHallListCount(paramDto);
        List list = null;
        if (count == 0) {
            list = new ArrayList();
        } else if (pageInfo.getPrePageResult() == -1) {
            list = this.getSqlSession().selectList(this.getSqlId(SQLID_SUB_HALL_LIST), paramDto);
        } else {
            RowBounds rowBounds = new RowBounds(pageInfo.getBeginIndex(), pageInfo.getPrePageResult());
            list = this.getSqlSession().selectList(this.getSqlId(SQLID_SUB_HALL_LIST), this.cpyQueryParamDto(paramDto), rowBounds);
        }
        pageInfo.setTotalResult(count);
        result.setPageInfo(pageInfo);
        result.setList(list);
        return result;
    }

    /**
     * @param windowQuery
     * @return
     */
    @Override
    public Result<WindowEntity> getHallByDept(WindowEntity windowQuery) {
        Result<WindowEntity> result = new Result();
        ParamDto paramDto = this.getQueryParam(windowQuery);
        List list = this.getSqlSession().selectList(this.getSqlId(SQLID_GETHALLBYDEPT), paramDto);
        result.setList(list);
        return result;
    }

    public int getSubHallListCount(ParamDto paramDto) {
        return this.getSqlSession().selectOne(this.getSqlId(SQLID_SUB_HALL_COUNT), this.cpyQueryParamDto(paramDto));
    }
}
