package com.mortals.xhx.module.window.model;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.window.model.vo.WindowVo;
import lombok.Data;
/**
 * 站点部门窗口实体对象
 *
 * @author zxfei
 * @date 2025-03-14
 */
@Data
public class WindowEntity extends WindowVo {
    private static final long serialVersionUID = 1L;

    /**
     * 站点ID
     */
    private Long siteId;
    /**
     * 站点名称
     */
    private String siteName;
    /**
     * 部门ID
     */
    private Long deptId;
    /**
     * 部门名称
     */
    private String deptName;
    /**
     * 窗口名称
     */
    private String name;
    /**
     * 英语窗口名
     */
    private String englishName;
    /**
     * 区域
     */
    private String region;
    /**
     * 英语区域
     */
    private String englishRegion;
    /**
     * 窗口编号
     */
    private String fromnum;
    /**
     * 红旗窗口 (1.是，0.否)
     */
    private Integer hongqi;
    /**
     * 备注
     */
    private String summary;
    /**
     * 楼栋
     */
    private Integer building;
    /**
     * 楼层
     */
    private Integer level;
    /**
     * 名称描述
     */
    private String nameDesc;
    /**
     * 英文名称描述
     */
    private String englishNameDesc;
    /**
     * 附件名称
     */
    private String fileName;
    /**
     * 附件地址
     */
    private String filePath;
    /**
     * 无人值守(1.是，)
     */
    private Integer duty;
    /**
     * 显示内容
     */
    private String dutyContent;
    /**
     * 显示英文
     */
    private String dutyEnglish;
    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof WindowEntity) {
            WindowEntity tmp = (WindowEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
        this.siteId = null;
        this.siteName = "";
        this.deptId = null;
        this.deptName = "";
        this.name = "";
        this.englishName = "";
        this.region = "";
        this.englishRegion = "";
        this.fromnum = "";
        this.hongqi = 1;
        this.summary = "";
        this.building = 1;
        this.level = 1;
        this.nameDesc = "";
        this.englishNameDesc = "";
        this.fileName = "";
        this.filePath = "";
        this.duty = 0;
        this.dutyContent = "";
        this.dutyEnglish = "";
    }
}