package com.mortals.xhx.module.window.model;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.window.model.vo.WindowHallVo;
import lombok.Data;
/**
 * 大厅窗口实体对象
 *
 * @author zxfei
 * @date 2023-10-17
 */
@Data
public class WindowHallEntity extends WindowHallVo {
    private static final long serialVersionUID = 1L;

    /**
     * 站点Id
     */
    private Long siteId;
    /**
     * 窗口ID
     */
    private Long windowId;
    /**
     * 窗口名称
     */
    private String windowName;
    /**
     * 大厅ID
     */
    private Long hallId;
    /**
     * 大厅名称
     */
    private String hallName;
    /**
     * 排序
     */
    private Integer sort;
    /**
     * 备注
     */
    private String remark;
    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof WindowHallEntity) {
            WindowHallEntity tmp = (WindowHallEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
        this.siteId = null;
        this.windowId = null;
        this.windowName = "";
        this.hallId = null;
        this.hallName = "";
        this.sort = 0;
        this.remark = "";
    }
}