package com.mortals.xhx.module.window.model.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.window.model.WindowBusinessEntity;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * 窗口业务视图对象
 *
 * @author zxfei
 * @date 2022-01-12
 */
@Data
public class WindowBusinessVo extends BaseEntityLong {


    /**
     * 站点业务IDs
     */
    private String siteBusinessIds;

    /**
     * 窗口编号
     */
    private String fromnum;

    /**
     * 窗口id列表
     */
    private List<Long> windowIdList;

    /**
     * 部门ID
     */
    private Long deptId;
    private String deptName;

    /**
     * 大厅ID
     */
    @JsonInclude(JsonInclude.Include.ALWAYS)
    @JSONField(serialize = true)
    private Long hallId;
    /**
     * 大厅名称
     */
    @JsonInclude(JsonInclude.Include.ALWAYS)
    @JSONField(serialize = true)
    private String hallName;

    /**
     * 查询缓存是否开启
     */
    private Integer searchCache;


}