package com.mortals.xhx.module.window.service;

import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.framework.model.PageInfo;
import com.mortals.framework.model.Result;
import com.mortals.framework.service.ICRUDCacheService;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.matter.model.MatterEntity;
import com.mortals.xhx.module.window.dao.WindowDao;
import com.mortals.xhx.module.window.model.WindowEntity;

/**
 * WindowService
 * <p>
 * 站点部门窗口 service接口
 *
 * @author zxfei
 * @date 2022-01-12
 */
public interface WindowService extends ICRUDCacheService<WindowEntity, Long> {


    WindowDao getDao();

    /**
     * 添加业务到窗口
     *
     * @param businessIds
     * @param windowId
     * @param context
     */
    void addBusinessToWindow(String businessIds, Long windowId, Context context);



    /**
     * 查找窗口大厅差集子项
     * @param windowQuery
     * @param pageInfo
     * @param context
     * @return
     * @throws AppException
     */
    Result<WindowEntity> findSubHallList(WindowEntity windowQuery, PageInfo pageInfo, Context context) throws AppException;


    Result<WindowEntity> getHallByDept(WindowEntity windowQuery, Context context) throws AppException;


}