package com.mortals.xhx.module.window.service.impl;

import cn.hutool.core.util.ObjectUtil;
import com.mortals.framework.model.PageInfo;
import com.mortals.framework.service.impl.AbstractCRUDCacheServiceImpl;
import com.mortals.xhx.module.window.model.WindowEntity;
import com.mortals.xhx.module.window.model.WindowQuery;
import com.mortals.xhx.module.window.service.WindowService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Lazy;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.xhx.module.window.dao.WindowHallDao;
import com.mortals.xhx.module.window.model.WindowHallEntity;
import com.mortals.xhx.module.window.service.WindowHallService;
import org.springframework.util.ObjectUtils;

import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * WindowHallService
 * 大厅窗口 service实现
 *
 * @author zxfei
 * @date 2023-04-25
 */
@Service("windowHallService")
public class WindowHallServiceImpl extends AbstractCRUDCacheServiceImpl<WindowHallDao, WindowHallEntity, Long> implements WindowHallService {

    @Autowired
    @Lazy
    private WindowService windowService;

    /**
     * @param params
     * @param pageInfo
     * @param context
     * @param list
     * @throws AppException
     */
    @Override
    protected void findAfter(WindowHallEntity params, PageInfo pageInfo, Context context, List<WindowHallEntity> list) throws AppException {

        Map<Long, WindowEntity> collectWin = windowService.getCacheList().stream().collect(Collectors.toMap(x -> x.getId(), y -> y, (o, n) -> n));
        list.forEach(item -> {
            WindowEntity windowEntity = collectWin.get(item.getWindowId());
            item.setFromnum(windowEntity == null ? "" : windowEntity.getFromnum());
        });
    }
}