package com.mortals.xhx.module.workman.model;
import java.util.Date;

import com.mortals.framework.annotation.Excel;
import com.mortals.xhx.module.workman.model.vo.WorkmanVo;
import lombok.Data;
/**
 * 工作人员实体对象
 *
 * @author zxfei
 * @date 2024-12-05
 */
@Data
public class WorkmanEntity extends WorkmanVo {
    private static final long serialVersionUID = 1L;

    /**
     * 登录用户名
     */
    @Excel(name = "用户名")
    private String loginName;
    /**
     * 密码
     */
    @Excel(name = "密码")
    private String loginPwd;
    /**
     * 部门id号
     */
    private Long deptId;
    /**
     * 部门名称
     */
    @Excel(name = "部门名称")
    private String deptName;
    /**
     * 窗口id号
     */
    private Long windowId;
    /**
     * 窗口名称
     */
    private String windowName;
    /**
     * 站点ID
     */
    private Long siteId;
    /**
     * 站点名称
     */
    private String siteName;
    /**
     * 姓名
     */
    @Excel(name = "姓名")
    private String name;
    /**
     * 工号
     */
    @Excel(name = "工号")
    private String number;
    /**
     * 职务
     */
    @Excel(name = "职务")
    private String userpost;
    /**
     * 职称
     */
    private String posttitle;
    /**
     * 政治面貌 （0.中共党员，1.中共预备党员，2.共青团员，3.普通居民，4.其它)
     */
    @Excel(name = "政治面貌 ",combo={"中共党员","中共预备党员","共青团员","普通居民","其它"}, readConverterExp = "0=中共党员,1=中共预备党员,2=共青团员,3=普通居民,4=其它")
    private Integer politicalstatus;
    /**
     * 党员 （0.非党员，1.党员，2.党员示范岗，3.党员先锋岗)
     */
    @Excel(name = "党员 ",combo={"非党员","党员","党员示范岗","党员先锋岗"}, readConverterExp = "0=非党员,1=党员,2=党员示范岗,3=党员先锋岗")
    private Integer dangyuan;
    /**
     * 党员扩展
     */
    private String dangyuanext;
    /**
     * 身份证
     */
    @Excel(name = "身份证")
    private String idCard;
    /**
     * 电话
     */
    private String phone;
    /**
     * 手机
     */
    @Excel(name = "手机")
    private String mobile;
    /**
     * 星级
     */
    @Excel(name = "星级")
    private Integer starlevel;
    /**
     * 个人简介
     */
    @Excel(name = "个人简介")
    private String summary;
    /**
     * 照片
     */
    @Excel(name = "照片",height = 90, type = Excel.Type.EXPORT, cellType = Excel.ColumnType.IMAGE)
    private String photoPath;
    /**
     * 岗位职责
     */
    @Excel(name = "岗位职责")
    private String duty;
    /**
     * 服务承诺
     */
    @Excel(name = "服务承诺")
    private String promise;
    /**
     * 办理事项
     */
    @Excel(name = "办理事项")
    private String business;
    /**
     * 是否在线（0.离线，1.在线，2.暂离,3.点击暂离,4.回归,5.登陆）
     */
    private Integer online;
    /**
     * 配置站点模块，逗号分隔
     */
    private String modelIds;
    /**
     * 是否删除（0.否，1.是）
     */
    private Integer deleted;
    /**
     * 一体化经办人id
     */
    private String operatorId;
    /**
     * 最后一次登录时间
     */
    private Date lastLoginTime;
    /**
     * 最后一次登录地址
     */
    private String lastLoginAddress;
    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof WorkmanEntity) {
            WorkmanEntity tmp = (WorkmanEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
        this.loginName = "";
        this.loginPwd = "";
        this.deptId = null;
        this.deptName = "";
        this.windowId = null;
        this.windowName = "";
        this.siteId = null;
        this.siteName = "";
        this.name = "";
        this.number = "";
        this.userpost = "";
        this.posttitle = "";
        this.politicalstatus = 0;
        this.dangyuan = 0;
        this.dangyuanext = "";
        this.idCard = "";
        this.phone = "";
        this.mobile = "";
        this.starlevel = 0;
        this.summary = "";
        this.photoPath = "";
        this.duty = "";
        this.promise = "";
        this.business = "";
        this.online = 1;
        this.modelIds = "";
        this.deleted = 0;
        this.operatorId = "";
        this.lastLoginTime = null;
        this.lastLoginAddress = "";
    }
}