package com.mortals.xhx.module.workman.model.vo;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.annotation.JSONField;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.annotation.desensitization.IdCardDesensitize;
import com.mortals.framework.annotation.desensitization.MobileDesensitize;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.workman.model.WorkmanEntity;
import com.mortals.xhx.module.workman.model.WorkmanQuery;
import lombok.Data;
import org.apache.poi.ss.usermodel.PictureData;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.ArrayList;
import java.util.List;

/**
 * 工作人员视图对象
 *
 * @author zxfei
 * @date 2022-01-12
 */
@Data
public class WorkmanVo extends BaseEntityLong {
    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    private String oldPwd;
    private String newPwd;

    /**
     * 证件图片附件
     */
    @Excel(name = "证件图片", type = Excel.Type.IMPORT, cellType = Excel.ColumnType.IMAGE)
    @JSONField(serialize = false)
    private PictureData picObj;


    private String filePath;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<WorkmanQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<WorkmanQuery> andConditionList;
    /**
     * 身份证
     */
    @IdCardDesensitize
    private String idCard;
    /**
     * 手机
     */
    @MobileDesensitize
    private String mobile;

}