package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;


public enum LimitStrategyEnum {
    不限流(0, "不限流"),
    一万次日(1, "10000次/日"),
    一千次日(2, "1000次/日"),
    一百次日(3, "100次/日"),
    一千次小时(4, "1000次/小时"),
    一百次小时(5, "100次/小时"),
    一百次分钟(6, "100次/分钟"),
    十次分钟(7, "10次/分钟"),
    一次分钟(8, "1次/分钟");
    private Integer value;
    private String desc;

    LimitStrategyEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static LimitStrategyEnum getByValue(Integer value) {
        for (LimitStrategyEnum statusEnum : LimitStrategyEnum.values()) {
            if (statusEnum.getValue() == value) {
                return statusEnum;
            }
        }
        return null;
    }

    /**
     * 获取Map集合
     *
     * @param eItem 不包含项
     * @return
     */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (LimitStrategyEnum item : LimitStrategyEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}