# 基础服务平台

版本 |  创建时间   | 作者 |  备注信息
---|---|---|---
v1.0|2022-01-20|zxfei| 接口文档

## 数据类型

类型名称|类型描述|参考样例
---|---|---
String |字符串|A、a、ab
Integer|数字类型|1、12、-1
Long|长整型数字|1、12、-1
date|时间类型,单位纳秒数字|167988745573
BigDecimal|小数类型|545.256
object|对象类型|{"name":"zhang3"}
arrays|数组类型|[{"name":"zhang3"},{"name":"zhang2"}]

## 系统服务

### 登录

**请求URL:** login/login

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 用户登录

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
loginName|String|用户名称|是|-
password|String|用户密码|是|-
securityCode|String|校验码|是|-

**请求样例:**

```

{
    "loginName":"zhang3",
    "password":"123456",
    "securityCode":"5455"
}

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**

```

{
    "msg":"登录成功",
    "code":1,
    "data":{

    }
}

```

### 登出

**请求URL:** login/logout

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 用户退出注销

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---

**请求样例:**

```

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**

```


```

### 获取验证码

**请求URL:** securitycode/createCode

**请求方式:** GET

**内容类型:** image/gif

**简要描述:** 用户退出注销

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---

**请求样例:**

```

```

**响应参数:**

**响应消息样例:**

```

```

### 上传附件

**请求URL:** file/commonupload

**请求方式:** POST

**内容类型:** multipart/form-data

**简要描述:** 用户上传附件

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
file|multipart|附件|是|-
prePath|String|附件存放相对路径|否|不填时候默认为/file/fileupload

**请求样例:**

```
http://127.0.0.1/file/commonupload?prePath=/file/fileupload
Content-Type: multipart/form-data; boundary=WebAppBoundary

--WebAppBoundary
Content-Disposition: form-data; name="file"; filename="1.excel"
Content-Type: multipart/form-data
```

**响应参数:**

**响应消息样例:**

```

```
## 系统参数信息

### 查询参数信息列表

**请求URL:** param/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询参数信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;name|String|参数名称
&emsp;&emsp;firstOrganize|String|一级组织，如：平台配置
&emsp;&emsp;secondOrganize|String|二级组织，如：基础配置
&emsp;&emsp;paramKey|String|参数键，全局唯一
&emsp;&emsp;paramValue|String|参数值
&emsp;&emsp;validStatus|Integer|参数有效状态，0：禁用，1：启用，默认1
&emsp;&emsp;modStatus|Integer|参数修改状态，0：隐藏，1：页面仅查看，2：页面可修改，3：页面可删除，4：页面可修改删除，默认4
&emsp;&emsp;displayType|Integer|展现类型，0：普通文本框，1：多行文本框，2：开关，3：块输入框，默认：0
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createUserName|String|创建用户名称
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看参数信息

**请求URL:** param/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看参数信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/param/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;name|String|参数名称
&emsp;firstOrganize|String|一级组织，如：平台配置
&emsp;secondOrganize|String|二级组织，如：基础配置
&emsp;paramKey|String|参数键，全局唯一
&emsp;paramValue|String|参数值
&emsp;validStatus|Integer|参数有效状态，0：禁用，1：启用，默认1
&emsp;modStatus|Integer|参数修改状态，0：隐藏，1：页面仅查看，2：页面可修改，3：页面可删除，4：页面可修改删除，默认4
&emsp;displayType|Integer|展现类型，0：普通文本框，1：多行文本框，2：开关，3：块输入框，默认：0
&emsp;remark|String|备注
&emsp;createTime|Date|创建时间
&emsp;createUserId|Long|创建用户
&emsp;createUserName|String|创建用户名称
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":29,
            "name":"4p989i",
            "firstOrganize":"fj5xc2",
            "secondOrganize":"d5yjlg",
            "paramKey":"z8z5d0",
            "paramValue":"ezk1oj",
            "validStatus":1880,
            "modStatus":3777,
            "displayType":9326,
            "remark":"8vgfqn",
            "createTime":"2023-03-24",
            "createUserId":6280,
            "createUserName":"gv0v64"
        }
}
```

### 保存更新参数信息

**请求URL:** param/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新参数信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
name|String|否|参数名称
firstOrganize|String|否|一级组织，如：平台配置
secondOrganize|String|否|二级组织，如：基础配置
paramKey|String|否|参数键，全局唯一
paramValue|String|否|参数值
validStatus|Integer|否|参数有效状态，0：禁用，1：启用，默认1
modStatus|Integer|否|参数修改状态，0：隐藏，1：页面仅查看，2：页面可修改，3：页面可删除，4：页面可修改删除，默认4
displayType|Integer|否|展现类型，0：普通文本框，1：多行文本框，2：开关，3：块输入框，默认：0
remark|String|否|备注
createUserName|String|否|创建用户名称

**请求样例:**
```
{
    "name":"eqddrw",
    "firstOrganize":"3u01r6",
    "secondOrganize":"upj5wt",
    "paramKey":"ng5zkj",
    "paramValue":"ptyky4",
    "validStatus":2336,
    "modStatus":5096,
    "displayType":5050,
    "remark":"4nt041",
    "createUserName":"9g95tp"
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;name|String|参数名称
&emsp;&emsp;firstOrganize|String|一级组织，如：平台配置
&emsp;&emsp;secondOrganize|String|二级组织，如：基础配置
&emsp;&emsp;paramKey|String|参数键，全局唯一
&emsp;&emsp;paramValue|String|参数值
&emsp;&emsp;validStatus|Integer|参数有效状态，0：禁用，1：启用，默认1
&emsp;&emsp;modStatus|Integer|参数修改状态，0：隐藏，1：页面仅查看，2：页面可修改，3：页面可删除，4：页面可修改删除，默认4
&emsp;&emsp;displayType|Integer|展现类型，0：普通文本框，1：多行文本框，2：开关，3：块输入框，默认：0
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createUserName|String|创建用户名称

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除参数信息

**请求URL:** param/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除参数信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/param/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```

## 任务信息

### 查询任务信息列表

**请求URL:** task/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询任务信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;name|String|任务名称
&emsp;&emsp;taskKey|String|任务关键字，区分任务执行流程
&emsp;&emsp;status|Integer|任务状态，0：未启动，1：执行中，默认0
&emsp;&emsp;excuteService|String|任务执行服务
&emsp;&emsp;excuteParam|String|任务执行参数
&emsp;&emsp;excuteHost|String|任务执行主机，为空表示不限制任务的执行主机，多个用逗号分隔
&emsp;&emsp;excuteStrategy|Integer|执行策略，1：按日，2：按周，3：按月，4：按间隔时间，默认1
&emsp;&emsp;excuteDate|Long|执行日期，按日：则为0；按周：则为1-7；按月：则为：1-31；按间隔时间：则为间隔时间，单位：秒；默认0
&emsp;&emsp;excuteTime|String|执行时间，格式：HH:mm，默认：00:00
&emsp;&emsp;remark|String|备注
&emsp;&emsp;lastExcuteHost|String|最后执行主机
&emsp;&emsp;lastExcuteTime|Date|最后执行时间
&emsp;&emsp;interimExcuteStatus|Integer|临时执行状态，0：未启用，1：立即执行并保留，2：立即执行并删除，默认0
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createUserName|String|创建用户名称
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看任务信息

**请求URL:** task/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看任务信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/task/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;name|String|任务名称
&emsp;taskKey|String|任务关键字，区分任务执行流程
&emsp;status|Integer|任务状态，0：未启动，1：执行中，默认0
&emsp;excuteService|String|任务执行服务
&emsp;excuteParam|String|任务执行参数
&emsp;excuteHost|String|任务执行主机，为空表示不限制任务的执行主机，多个用逗号分隔
&emsp;excuteStrategy|Integer|执行策略，1：按日，2：按周，3：按月，4：按间隔时间，默认1
&emsp;excuteDate|Long|执行日期，按日：则为0；按周：则为1-7；按月：则为：1-31；按间隔时间：则为间隔时间，单位：秒；默认0
&emsp;excuteTime|String|执行时间，格式：HH:mm，默认：00:00
&emsp;remark|String|备注
&emsp;lastExcuteHost|String|最后执行主机
&emsp;lastExcuteTime|Date|最后执行时间
&emsp;interimExcuteStatus|Integer|临时执行状态，0：未启用，1：立即执行并保留，2：立即执行并删除，默认0
&emsp;createTime|Date|创建时间
&emsp;createUserId|Long|创建用户
&emsp;createUserName|String|创建用户名称
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":6047,
            "name":"yzacg1",
            "taskKey":"iyjpoz",
            "status":7262,
            "excuteService":"fvv4t3",
            "excuteParam":"2jgiqq",
            "excuteHost":"47j23c",
            "excuteStrategy":4942,
            "excuteDate":9987,
            "excuteTime":"gci3nz",
            "remark":"zfihsf",
            "lastExcuteHost":"hzzj02",
            "lastExcuteTime":"2023-03-24",
            "interimExcuteStatus":8435,
            "createTime":"2023-03-24",
            "createUserId":8540,
            "createUserName":"32vyv1"
        }
}
```

### 保存更新任务信息

**请求URL:** task/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新任务信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
name|String|否|任务名称
taskKey|String|否|任务关键字，区分任务执行流程
status|Integer|否|任务状态，0：未启动，1：执行中，默认0
excuteService|String|否|任务执行服务
excuteParam|String|否|任务执行参数
excuteHost|String|否|任务执行主机，为空表示不限制任务的执行主机，多个用逗号分隔
excuteStrategy|Integer|否|执行策略，1：按日，2：按周，3：按月，4：按间隔时间，默认1
excuteDate|Long|否|执行日期，按日：则为0；按周：则为1-7；按月：则为：1-31；按间隔时间：则为间隔时间，单位：秒；默认0
excuteTime|String|否|执行时间，格式：HH:mm，默认：00:00
remark|String|否|备注
lastExcuteHost|String|否|最后执行主机
lastExcuteTime|Date|否|最后执行时间
interimExcuteStatus|Integer|否|临时执行状态，0：未启用，1：立即执行并保留，2：立即执行并删除，默认0
createUserName|String|否|创建用户名称

**请求样例:**
```
{
    "name":"2l07xt",
    "taskKey":"epvpri",
    "status":8816,
    "excuteService":"i9ru4d",
    "excuteParam":"wb6ocw",
    "excuteHost":"i8rzpc",
    "excuteStrategy":6332,
    "excuteDate":3262,
    "excuteTime":"pw09n9",
    "remark":"liinse",
    "lastExcuteHost":"x9xwe9",
    "lastExcuteTime":"2023-03-24",
    "interimExcuteStatus":3469,
    "createUserName":"vs74r1"
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;name|String|任务名称
&emsp;&emsp;taskKey|String|任务关键字，区分任务执行流程
&emsp;&emsp;status|Integer|任务状态，0：未启动，1：执行中，默认0
&emsp;&emsp;excuteService|String|任务执行服务
&emsp;&emsp;excuteParam|String|任务执行参数
&emsp;&emsp;excuteHost|String|任务执行主机，为空表示不限制任务的执行主机，多个用逗号分隔
&emsp;&emsp;excuteStrategy|Integer|执行策略，1：按日，2：按周，3：按月，4：按间隔时间，默认1
&emsp;&emsp;excuteDate|Long|执行日期，按日：则为0；按周：则为1-7；按月：则为：1-31；按间隔时间：则为间隔时间，单位：秒；默认0
&emsp;&emsp;excuteTime|String|执行时间，格式：HH:mm，默认：00:00
&emsp;&emsp;remark|String|备注
&emsp;&emsp;lastExcuteHost|String|最后执行主机
&emsp;&emsp;lastExcuteTime|Date|最后执行时间
&emsp;&emsp;interimExcuteStatus|Integer|临时执行状态，0：未启用，1：立即执行并保留，2：立即执行并删除，默认0
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createUserName|String|创建用户名称

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除任务信息

**请求URL:** task/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除任务信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/task/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```


## 操作日志

### 查询操作日志列表

**请求URL:** oper/log/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询操作日志

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;platformMark|String|平台标识
&emsp;&emsp;userId|Long|用户id
&emsp;&emsp;userName|String|用户名称
&emsp;&emsp;loginName|String|用户登录名
&emsp;&emsp;requestUrl|String|请求地址
&emsp;&emsp;content|String|操作内容，记录操作具体信息，如修改前修改或的数据
&emsp;&emsp;ip|String|操作IP地址
&emsp;&emsp;logDate|Date|操作时间
&emsp;&emsp;operType|Integer|操作类型，0：新增，1：修改，2：删除
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看操作日志

**请求URL:** oper/log/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看操作日志，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/oper/log/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;platformMark|String|平台标识
&emsp;userId|Long|用户id
&emsp;userName|String|用户名称
&emsp;loginName|String|用户登录名
&emsp;requestUrl|String|请求地址
&emsp;content|String|操作内容，记录操作具体信息，如修改前修改或的数据
&emsp;ip|String|操作IP地址
&emsp;logDate|Date|操作时间
&emsp;operType|Integer|操作类型，0：新增，1：修改，2：删除
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":3164,
            "platformMark":"bndjlq",
            "userId":2769,
            "userName":"t6wf13",
            "loginName":"o3jujh",
            "requestUrl":"bmsm3m",
            "content":"o7cstx",
            "ip":"vyh59j",
            "logDate":"2023-03-24",
            "operType":96
        }
}
```



## 模块

### 查询模块列表

**请求URL:** model/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询模块

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-
modelName|String|模块名称|否|-
modelCode|String|模块编码|否|-

**请求样例:**

```

  {
        "modelName":"d515gr",
        "modelCode":"at9ccv",
        "page":1,
        "size":10
  }

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;modelName|String|模块名称|-
&emsp;&emsp;modelCode|String|模块编码|-
&emsp;&emsp;modelIcon|String|模块图标|-
&emsp;&emsp;modelUrl|String|模块地址|-
&emsp;&emsp;remark|String|备注信息|-
&emsp;&emsp;sort|Integer|排序|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-

**响应消息样例:**

```

```

### 查看模块

**请求URL:** model/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看模块，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**

```

    http://localhost/model/info?id=549

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|序号，主键，自增长|-
&emsp;modelName|String|模块名称|-
&emsp;modelCode|String|模块编码|-
&emsp;modelIcon|String|模块图标|-
&emsp;modelUrl|String|模块地址|-
&emsp;remark|String|备注信息|-
&emsp;sort|Integer|排序|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-

**响应消息样例:**

```

```

### 保存更新模块

**请求URL:** model/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新模块：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
modelName|String|模块名称|是|-
modelCode|String|模块编码|是|-
modelIcon|String|模块图标|是|-
modelUrl|String|模块地址|是|-
remark|String|备注信息|是|-
sort|Integer|排序|是|-

**请求样例:**

```

{
    "modelName":"30pd0x",
    "modelCode":"smt1nv",
    "modelIcon":"7eoui4",
    "modelUrl":"cz11cs",
    "remark":"ifqtoy",
    "sort":8069,
}

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-
&emsp;entity|object|保存更新实体|对象
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;modelName|String|模块名称|-
&emsp;&emsp;modelCode|String|模块编码|-
&emsp;&emsp;modelIcon|String|模块图标|-
&emsp;&emsp;modelUrl|String|模块地址|-
&emsp;&emsp;remark|String|备注信息|-
&emsp;&emsp;sort|Integer|排序|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-

**响应消息样例:**

```

```

### 删除模块

**请求URL:** model/delete

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除模块

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**

```

    http://localhost:8080/model/delete?id=1'

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**

```

{
    "code":1,
	"msg":"成功"

}

```

## 区域

### 查询区域列表

**请求URL:** area/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询区域

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-
name|String|区域名称|否|-

**请求样例:**

```

  {
        "name":"zt2h08",
        "page":1,
        "size":10
  }

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;ancestors|String|祖级列表，逗号分隔|-
&emsp;&emsp;name|String|区域名称|-
&emsp;&emsp;iid|String|一体化的ID号|-
&emsp;&emsp;parentId|String|一体化的父id|-
&emsp;&emsp;haveSonArea|String|是否有下级区域（True.是，False.否）|-
&emsp;&emsp;haveSonDept|String|是否有下级部门（True.是，False.否）|-
&emsp;&emsp;haveGetDept|String|是否获取部门（true.是，false.否）|-
&emsp;&emsp;haveGetMatterList|String|是否获取事项列表（true.是，false.否）|-
&emsp;&emsp;areaCode|String|区域编码|-
&emsp;&emsp;areaLevel|Integer|区域等级(1.省，2.地市州，3.区县，4.街道，5.社区)|-
&emsp;&emsp;shortName|String|名称简称|-
&emsp;&emsp;domain|String|访问地址|-
&emsp;&emsp;status|Integer|区域状态 (0.停用，1.正常)|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;haveSonArea|object|字典属性对象，详见附录|-
&emsp;haveSonDept|object|字典属性对象，详见附录|-
&emsp;haveGetDept|object|字典属性对象，详见附录|-
&emsp;haveGetMatterList|object|字典属性对象，详见附录|-
&emsp;areaLevel|object|字典属性对象，详见附录|-
&emsp;status|object|字典属性对象，详见附录|-

**响应消息样例:**

```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    },
    "query":{
        "modelCode":"phxt1",
        "modelName":"排号系统"
    }
}
```

### 查看区域

**请求URL:** area/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看区域，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**

```

    http://localhost/area/info?id=549

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|序号，主键，自增长|-
&emsp;ancestors|String|祖级列表，逗号分隔|-
&emsp;name|String|区域名称|-
&emsp;iid|String|一体化的ID号|-
&emsp;parentId|String|一体化的父id|-
&emsp;haveSonArea|String|是否有下级区域（True.是，False.否）|-
&emsp;haveSonDept|String|是否有下级部门（True.是，False.否）|-
&emsp;haveGetDept|String|是否获取部门（true.是，false.否）|-
&emsp;haveGetMatterList|String|是否获取事项列表（true.是，false.否）|-
&emsp;areaCode|String|区域编码|-
&emsp;areaLevel|Integer|区域等级(1.省，2.地市州，3.区县，4.街道，5.社区)|-
&emsp;shortName|String|名称简称|-
&emsp;domain|String|访问地址|-
&emsp;status|Integer|区域状态 (0.停用，1.正常)|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;haveSonArea|object|字典属性对象，详见附录|-
&emsp;haveSonDept|object|字典属性对象，详见附录|-
&emsp;haveGetDept|object|字典属性对象，详见附录|-
&emsp;haveGetMatterList|object|字典属性对象，详见附录|-
&emsp;areaLevel|object|字典属性对象，详见附录|-
&emsp;status|object|字典属性对象，详见附录|-

**响应消息样例:**

```

```

### 查看区域子信息

**请求URL:** area/getListByParentId

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看区域，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
parentId|String|区域树父id|是|0为树的顶层节点

**请求样例:**

```

    http://localhost/area/getListByParentId?parentId=549

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;data|object|数据对象|-
&emsp;&emsp;id|String|节点ID|-
&emsp;&emsp;label|String|节点名称|-
&emsp;&emsp;areaCode|String|区域编码|-
&emsp;&emsp;isLeaf|String|是否叶子节点|-
&emsp;&emsp;type|String|节点类型|type='site'表示站点，type='area'表示区域
&emsp;&emsp;icon|String|图标|-
&emsp;&emsp;children|Arrays|子节点|-

**响应消息样例:**

```

```

### 获取所有区域信息

**请求URL:** area/treeselect

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 返回所有区域信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---

**请求样例:**

```

    http://localhost/area/treeselect

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;data|Arrays|数组对象|-
&emsp;&emsp;id|String|节点ID|-
&emsp;&emsp;label|String|节点名称|-
&emsp;&emsp;areaCode|String|区域编码|-
&emsp;&emsp;isLeaf|String|是否叶子节点|-
&emsp;&emsp;type|String|节点类型|-
&emsp;&emsp;icon|String|图标|-
&emsp;&emsp;children|Arrays|子节点|-

**响应消息样例:**

```
{
    "code": 1,
    "data": {
            "id":9986,

        }
}
```

### 区域保存与更新

**请求URL:** area/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新区域：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
ancestors|String|祖级列表，逗号分隔|是|-
name|String|区域名称|是|-
iid|String|一体化的ID号|是|-
parentId|String|一体化的父id|是|-
haveSonArea|String|是否有下级区域（True.是，False.否）|是|-
haveSonDept|String|是否有下级部门（True.是，False.否）|是|-
haveGetDept|String|是否获取部门（true.是，false.否）|是|-
haveGetMatterList|String|是否获取事项列表（true.是，false.否）|是|-
areaCode|String|区域编码|是|-
areaLevel|Integer|区域等级(1.省，2.地市州，3.区县，4.街道，5.社区)|是|-
shortName|String|名称简称|是|-
domain|String|访问地址|是|-
status|Integer|区域状态 (0.停用，1.正常)|是|-

**请求样例:**

```

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-
&emsp;entity|object|保存更新实体|对象
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;ancestors|String|祖级列表，逗号分隔|-
&emsp;&emsp;name|String|区域名称|-
&emsp;&emsp;iid|String|一体化的ID号|-
&emsp;&emsp;parentId|String|一体化的父id|-
&emsp;&emsp;haveSonArea|String|是否有下级区域（True.是，False.否）|-
&emsp;&emsp;haveSonDept|String|是否有下级部门（True.是，False.否）|-
&emsp;&emsp;haveGetDept|String|是否获取部门（true.是，false.否）|-
&emsp;&emsp;haveGetMatterList|String|是否获取事项列表（true.是，false.否）|-
&emsp;&emsp;areaCode|String|区域编码|-
&emsp;&emsp;areaLevel|Integer|区域等级(1.省，2.地市州，3.区县，4.街道，5.社区)|-
&emsp;&emsp;shortName|String|名称简称|-
&emsp;&emsp;domain|String|访问地址|-
&emsp;&emsp;status|Integer|区域状态 (0.停用，1.正常)|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-

**响应消息样例:**

```

```

### 删除区域

**请求URL:** area/delete

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除区域

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**

```

    http://localhost:8080/area/delete?id=1'

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**

```

{
    "code":1,
	"msg":"成功"

}

```

## 站点

### 查询站点列表

**请求URL:** site/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询站点

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-
siteName|String|站点名称|否|-
areaID|String|区域Id|否|-

**请求样例:**

```

  {
        "siteName":"pmir1h",
        "areaID":"kzm70p",
        "page":1,
        "size":10
  }

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;siteName|String|站点名称|-
&emsp;&emsp;siteCode|String|站点编号|-
&emsp;&emsp;areaID|String|区域Id|-
&emsp;&emsp;areaCode|String|区域编号|-
&emsp;&emsp;areaName|String|区域名称|-
&emsp;&emsp;proCode|String|省编码|-
&emsp;&emsp;cityCode|String|市编码|-
&emsp;&emsp;districtCode|String|区编码|-
&emsp;&emsp;siteIp|String|站点服务器ip|-
&emsp;&emsp;sitePort|String|站点服务器端口|-
&emsp;&emsp;longitude|String|经度|-
&emsp;&emsp;latitude|String|纬度|-
&emsp;&emsp;siteTel|String|中心联系电话|-
&emsp;&emsp;detailAddress|String|中心详细地址|-
&emsp;&emsp;siteRemark|String|中心介绍|-
&emsp;&emsp;amWorkStartTime|Date|上午上班开始时间|-
&emsp;&emsp;amWorkEndTime|Date|上午上班结束时间|-
&emsp;&emsp;pmWorkStartTime|Date|下午上班开始时间|-
&emsp;&emsp;pmWorkEndTime|Date|下午上班结束时间|-
&emsp;&emsp;workday1|Integer|周一 (1.上班，0.不上)|-
&emsp;&emsp;workday2|Integer|周二 (1.上班，0.不上)|-
&emsp;&emsp;workday3|Integer|周三 (1.上班，0.不上)|-
&emsp;&emsp;workday4|Integer|周四 (1.上班，0.不上)|-
&emsp;&emsp;workday5|Integer|周五 (1.上班，0.不上)|-
&emsp;&emsp;workday6|Integer|周六 (1.上班，0.不上)|-
&emsp;&emsp;workday7|Integer|周日 (1.上班，0.不上)|-
&emsp;&emsp;onlineTake|Integer|在线取号（0.否，1.是）
&emsp;&emsp;appointment|Integer|微预约（0.否，1.是）
&emsp;&emsp;gowMap|Integer|政务地图（0.否，1.是）
&emsp;&emsp;level|Integer|楼层|-
&emsp;&emsp;building|Integer|楼栋|-
&emsp;&emsp;modelIds|String|部署模块，逗号分隔|-
&emsp;&emsp;logoPath|String|设备logo地址
&emsp;&emsp;logoFullPath|String|设备logo全地址
&emsp;&emsp;englishName|String|站点英文名称
&emsp;&emsp;leadingOfficial|String|负责人
&emsp;&emsp;leadingOfficialTelephone|String|联系电话
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;workday1|object|字典属性对象，详见附录|-
&emsp;workday2|object|字典属性对象，详见附录|-
&emsp;workday3|object|字典属性对象，详见附录|-
&emsp;workday4|object|字典属性对象，详见附录|-
&emsp;workday5|object|字典属性对象，详见附录|-
&emsp;workday6|object|字典属性对象，详见附录|-
&emsp;workday7|object|字典属性对象，详见附录|-

**响应消息样例:**

```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    },
    "query":{
        "modelCode":"phxt1",
        "modelName":"排号系统"
    }
}
```

### 查看站点

**请求URL:** site/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看站点，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**

```

    http://localhost/site/info?id=549

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|序号，主键，自增长|-
&emsp;siteName|String|站点名称|-
&emsp;siteCode|String|站点编号|-
&emsp;areaID|String|区域Id|-
&emsp;areaCode|String|区域编号|-
&emsp;areaName|String|区域名称|-
&emsp;proCode|String|省编码|-
&emsp;cityCode|String|市编码|-
&emsp;districtCode|String|区编码|-
&emsp;siteIp|String|站点服务器ip|-
&emsp;sitePort|String|站点服务器端口|-
&emsp;longitude|String|经度|-
&emsp;latitude|String|纬度|-
&emsp;siteTel|String|中心联系电话|-
&emsp;detailAddress|String|中心详细地址|-
&emsp;siteRemark|String|中心介绍|-
&emsp;amWorkStartTime|Date|上午上班开始时间|-
&emsp;amWorkEndTime|Date|上午上班结束时间|-
&emsp;pmWorkStartTime|Date|下午上班开始时间|-
&emsp;pmWorkEndTime|Date|下午上班结束时间|-
&emsp;workday1|Integer|周一 (1.上班，0.不上)|-
&emsp;workday2|Integer|周二 (1.上班，0.不上)|-
&emsp;workday3|Integer|周三 (1.上班，0.不上)|-
&emsp;workday4|Integer|周四 (1.上班，0.不上)|-
&emsp;workday5|Integer|周五 (1.上班，0.不上)|-
&emsp;workday6|Integer|周六 (1.上班，0.不上)|-
&emsp;workday7|Integer|周日 (1.上班，0.不上)|-
&emsp;onlineTake|Integer|在线取号（0.否，1.是）
&emsp;appointment|Integer|微预约（0.否，1.是）
&emsp;gowMap|Integer|政务地图（0.否，1.是）
&emsp;level|Integer|楼层|-
&emsp;building|Integer|楼栋|-
&emsp;logoPath|String|设备logo地址
&emsp;logoFullPath|String|设备logo全地址
&emsp;englishName|String|站点英文名称
&emsp;modelIds|String|部署模块，逗号分隔|-
&emsp;leadingOfficial|String|负责人
&emsp;leadingOfficialTelephone|String|联系电话
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;workday1|object|字典属性对象，详见附录|-
&emsp;workday2|object|字典属性对象，详见附录|-
&emsp;workday3|object|字典属性对象，详见附录|-
&emsp;workday4|object|字典属性对象，详见附录|-
&emsp;workday5|object|字典属性对象，详见附录|-
&emsp;workday6|object|字典属性对象，详见附录|-
&emsp;workday7|object|字典属性对象，详见附录|-

**响应消息样例:**

```

```

### 保存更新站点

**请求URL:** site/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新站点：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
siteName|String|站点名称|是|-
siteCode|String|站点编号|是|-
areaID|String|区域Id|是|-
areaCode|String|区域编号|是|-
areaName|String|区域名称|是|-
proCode|String|省编码|是|-
cityCode|String|市编码|是|-
districtCode|String|区编码|是|-
siteIp|String|站点服务器ip|是|-
sitePort|String|站点服务器端口|是|-
longitude|String|经度|是|-
latitude|String|纬度|是|-
siteTel|String|中心联系电话|是|-
detailAddress|String|中心详细地址|是|-
siteRemark|String|中心介绍|是|-
amWorkStartTime|Date|上午上班开始时间|是|-
amWorkEndTime|Date|上午上班结束时间|是|-
pmWorkStartTime|Date|下午上班开始时间|是|-
pmWorkEndTime|Date|下午上班结束时间|是|-
workday1|Integer|周一 (1.上班，0.不上)|是|-
workday2|Integer|周二 (1.上班，0.不上)|是|-
workday3|Integer|周三 (1.上班，0.不上)|是|-
workday4|Integer|周四 (1.上班，0.不上)|是|-
workday5|Integer|周五 (1.上班，0.不上)|是|-
workday6|Integer|周六 (1.上班，0.不上)|是|-
workday7|Integer|周日 (1.上班，0.不上)|是|-
onlineTake|Integer|否|在线取号（0.否，1.是）
appointment|Integer|否|微预约（0.否，1.是）
gowMap|Integer|否|政务地图（0.否，1.是）
level|Integer|楼层|是|-
building|Integer|楼栋|是|-
logoPath|String|是|设备logo地址|-
englishName|String|是|站点英文名称|-
leadingOfficial|String|是|负责人|-
leadingOfficialTelephone|String|是|联系电话|-
modelIds|String|部署模块，逗号分隔|是|-

**请求样例:**

```


```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-
&emsp;entity|object|保存更新实体|对象
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;siteName|String|站点名称|-
&emsp;&emsp;siteCode|String|站点编号|-
&emsp;&emsp;areaID|String|区域Id|-
&emsp;&emsp;areaCode|String|区域编号|-
&emsp;&emsp;areaName|String|区域名称|-
&emsp;&emsp;proCode|String|省编码|-
&emsp;&emsp;cityCode|String|市编码|-
&emsp;&emsp;districtCode|String|区编码|-
&emsp;&emsp;siteIp|String|站点服务器ip|-
&emsp;&emsp;sitePort|String|站点服务器端口|-
&emsp;&emsp;longitude|String|经度|-
&emsp;&emsp;latitude|String|纬度|-
&emsp;&emsp;siteTel|String|中心联系电话|-
&emsp;&emsp;detailAddress|String|中心详细地址|-
&emsp;&emsp;siteRemark|String|中心介绍|-
&emsp;&emsp;amWorkStartTime|Date|上午上班开始时间|-
&emsp;&emsp;amWorkEndTime|Date|上午上班结束时间|-
&emsp;&emsp;pmWorkStartTime|Date|下午上班开始时间|-
&emsp;&emsp;pmWorkEndTime|Date|下午上班结束时间|-
&emsp;&emsp;workday1|Integer|周一 (1.上班，0.不上)|-
&emsp;&emsp;workday2|Integer|周二 (1.上班，0.不上)|-
&emsp;&emsp;workday3|Integer|周三 (1.上班，0.不上)|-
&emsp;&emsp;workday4|Integer|周四 (1.上班，0.不上)|-
&emsp;&emsp;workday5|Integer|周五 (1.上班，0.不上)|-
&emsp;&emsp;workday6|Integer|周六 (1.上班，0.不上)|-
&emsp;&emsp;workday7|Integer|周日 (1.上班，0.不上)|-
&emsp;&emsp;level|Integer|楼层|-
&emsp;&emsp;building|Integer|楼栋|-
&emsp;&emsp;modelIds|String|部署模块，逗号分隔|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-

**响应消息样例:**

```


```

### 删除站点

**请求URL:** site/delete

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除站点

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**

```

    http://localhost:8080/site/delete?id=1'

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**

```

{
    "code":1,
	"msg":"成功"

}

```

### 构建站点树

**请求URL:** site/siteTree

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 构建站点树

**请求参数:**

参数名称|类型|备注|必填|其它

**请求样例:**

```
{}

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|Object|数据|-
&emsp;siteTree|List|数组|-
&emsp;&emsp;id|String|节点ID|-
&emsp;&emsp;label|String|节点名称|-
&emsp;&emsp;areaCode|String|区域编码|-
&emsp;&emsp;type|String|节点类型|-
&emsp;&emsp;children|List|子节点|-

**响应消息样例:**

```

{
    "code":1,
	"msg":"成功"

}

```

### 同步站点相关事项

**请求URL:** site/syncGovMatterBySiteId

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 同步站点相关事项

**请求参数:**

参数名称|类型|备注|必填|其它
id|Long|站点id|是|-
**请求样例:**

```
{“id”:3}

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|Object|数据|-

**响应消息样例:**

```

{
    "code":1,
	"msg":"成功"

}

```

### 根据区域查询站点列表

**请求URL:** site/getFlatSitesByAreaCode

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 根据区域查询站点列表

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
areaCode|String|区域编码|否|-

**请求样例:**

```

  {
        "areaCode":"510105521000"
  }

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;siteName|String|站点名称|-
&emsp;&emsp;siteCode|String|站点编号|-
&emsp;&emsp;areaID|String|区域Id|-
&emsp;&emsp;areaCode|String|区域编号|-
&emsp;&emsp;areaName|String|区域名称|-
&emsp;&emsp;proCode|String|省编码|-
&emsp;&emsp;cityCode|String|市编码|-
&emsp;&emsp;districtCode|String|区编码|-
&emsp;&emsp;siteIp|String|站点服务器ip|-
&emsp;&emsp;sitePort|String|站点服务器端口|-
&emsp;&emsp;longitude|String|经度|-
&emsp;&emsp;latitude|String|纬度|-
&emsp;&emsp;siteTel|String|中心联系电话|-
&emsp;&emsp;detailAddress|String|中心详细地址|-
&emsp;&emsp;siteRemark|String|中心介绍|-
&emsp;&emsp;amWorkStartTime|Date|上午上班开始时间|-
&emsp;&emsp;amWorkEndTime|Date|上午上班结束时间|-
&emsp;&emsp;pmWorkStartTime|Date|下午上班开始时间|-
&emsp;&emsp;pmWorkEndTime|Date|下午上班结束时间|-
&emsp;&emsp;workday1|Integer|周一 (1.上班，0.不上)|-
&emsp;&emsp;workday2|Integer|周二 (1.上班，0.不上)|-
&emsp;&emsp;workday3|Integer|周三 (1.上班，0.不上)|-
&emsp;&emsp;workday4|Integer|周四 (1.上班，0.不上)|-
&emsp;&emsp;workday5|Integer|周五 (1.上班，0.不上)|-
&emsp;&emsp;workday6|Integer|周六 (1.上班，0.不上)|-
&emsp;&emsp;workday7|Integer|周日 (1.上班，0.不上)|-
&emsp;&emsp;level|Integer|楼层|-
&emsp;&emsp;building|Integer|楼栋|-
&emsp;&emsp;modelIds|String|部署模块，逗号分隔|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;workday1|object|字典属性对象，详见附录|-
&emsp;workday2|object|字典属性对象，详见附录|-
&emsp;workday3|object|字典属性对象，详见附录|-
&emsp;workday4|object|字典属性对象，详见附录|-
&emsp;workday5|object|字典属性对象，详见附录|-
&emsp;workday6|object|字典属性对象，详见附录|-
&emsp;workday7|object|字典属性对象，详见附录|-

**响应消息样例:**

```
{
    "code":1,
    "data":{
    }
}
```


### 根据站点查询区域站点子列表

**请求URL:** site/getAreaSitesBySite

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 根据站点查询区域站点子列表

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
areaName|String|区域名称|是|-
siteName|String|站点名称|否|前后添加%%可进行模糊查找

**请求样例:**

```

  {
        "areaName":"宜宾市",
        "siteName":"%高县%",
  }

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;areaName|String|区域名称|-
&emsp;&emsp;areaCode|String|区域编码|-
&emsp;&emsp;siteList|array|站点列表|数组
&emsp;&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;&emsp;siteName|String|站点名称|-
&emsp;&emsp;&emsp;siteCode|String|站点编号|-
&emsp;&emsp;&emsp;areaID|String|区域Id|-
&emsp;&emsp;&emsp;areaCode|String|区域编号|-
&emsp;&emsp;&emsp;areaName|String|区域名称|-
&emsp;&emsp;&emsp;proCode|String|省编码|-
&emsp;&emsp;&emsp;cityCode|String|市编码|-
&emsp;&emsp;&emsp;districtCode|String|区编码|-
&emsp;&emsp;&emsp;siteIp|String|站点服务器ip|-
&emsp;&emsp;&emsp;sitePort|String|站点服务器端口|-
&emsp;&emsp;&emsp;longitude|String|经度|-
&emsp;&emsp;&emsp;latitude|String|纬度|-
&emsp;&emsp;&emsp;siteTel|String|中心联系电话|-
&emsp;&emsp;&emsp;detailAddress|String|中心详细地址|-
&emsp;&emsp;&emsp;siteRemark|String|中心介绍|-

**响应消息样例:**

```
{
    "code":1,
    "data":[{areaName:"翠屏区",siteList:[{siteName:'aaa'},{siteName:'bbbb'}]}]
}
```

## 站点事项

### 查询站点事项列表

**请求URL:** site/matter/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询站点与事项列表

**请求参数:**

参数名称|类型| 备注   |必填|其它
---|---|------|---|---
page|Integer| 当前页  |否|-
size|Integer| 每页条数 |否|-
siteId|Long| 站点ID |否|-
siteName|String| 站点名称 |否|-
matterId|Long| 事项ID |否|-
matterName|String| 事项名称 |否|-
hot|Integer| 热门   |否|-
display|Integer| 显示   |否|-
**请求样例:**

```

  {
        "siteId":9144,
        "siteName":"o68yk6",
        "matterId":2909,
        "matterName":"oz1oig",
        "hot":0,
        "display":1,
        "page":1,
        "size":10
  }

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;siteId|Long|站点ID|-
&emsp;&emsp;siteName|String|站点名称|-
&emsp;&emsp;matterId|Long|事项ID|-
&emsp;&emsp;matterName|String|事项名称|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
&emsp;&emsp;deptId|Long|部门ID|-
&emsp;&emsp;deptName|String|部门名称|-
dict|object|字典对象|-

**响应消息样例:**

```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    },
    "query":{
        "modelCode":"phxt1",
        "modelName":"排号系统"
    }
}
```

### 查看站点事项

**请求URL:** site/matter/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看站点事项，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**

```

    http://localhost/site/matter/info?id=549

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|序号，主键，自增长|-
&emsp;siteId|Long|站点ID|-
&emsp;siteName|String|站点名称|-
&emsp;matterId|Long|事项ID|-
&emsp;matterName|String|事项名称|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
&emsp;deptId|Long|部门ID|-
&emsp;deptName|String|部门名称|-
dict|object|字典对象|-

**响应消息样例:**

```

```

### 保存更新站点事项

**请求URL:** site/matter/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新站点事项：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
siteId|Long|站点ID|是|-
siteName|String|站点名称|是|-
matterId|Long|事项ID|是|-
matterName|String|事项名称|是|-
deptId|Long|部门ID|是|-
deptName|String|部门名称|是|-

**请求样例:**

```

{
    "siteId":6033,
    "siteName":"n0klqr",
    "matterId":7292,
    "matterName":"3c3brx",
    "deptId":880,
    "deptName":"m8yw73"
}

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-
&emsp;entity|object|保存更新实体|对象
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;siteId|Long|站点ID|-
&emsp;&emsp;siteName|String|站点名称|-
&emsp;&emsp;matterId|Long|事项ID|-
&emsp;&emsp;matterName|String|事项名称|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
&emsp;&emsp;deptId|Long|部门ID|-
&emsp;&emsp;deptName|String|部门名称|-

**响应消息样例:**

```

{
    "msg":"新增模块成功",
    "code":1,
    "data":{
            "__mortals_form_state__":"ADD",
            "id":4,
            "entity":{
                "createTime":1642486776780,
                "id":4,
                "modelCode":"phxt1",
                "modelName":"排号系统4",
                "updateTime":1642486776780
            }
    }
}

```

### 删除站点事项

**请求URL:** site/matter/delete

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除站点事项

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**

```

    http://localhost:8080/site/matter/delete?id=1'

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**

```

{
    "code":1,
	"msg":"成功"

}

```

## 主题

### 查询主题列表

**请求URL:** site/theme/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询主题

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
siteId|Long|否|站点id
userType|String|否|服务类型编号,字段前后添加%%模糊查询
themeCode|String|否|主题编号,字段前后添加%%模糊查询
themeName|String|否|主题名称,字段前后添加%%模糊查询

**请求样例:**
```
  {
        "siteId":9425,
        "userType":"6mu82c",
        "themeCode":"w7vxfs",
        "themeName":"a9jq7j",
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|id号
&emsp;&emsp;siteId|Long|站点id
&emsp;&emsp;userType|String|服务类型编号
&emsp;&emsp;themeCode|String|主题编号
&emsp;&emsp;themeName|String|主题名称
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户id
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看主题

**请求URL:** site/theme/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看主题，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/site/theme/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|id号
&emsp;siteId|Long|站点id
&emsp;userType|String|服务类型编号
&emsp;themeCode|String|主题编号
&emsp;themeName|String|主题名称
&emsp;createTime|Date|创建时间
&emsp;createUserId|Long|创建用户id
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":539,
            "siteId":4859,
            "userType":"ewybhk",
            "themeCode":"27cygo",
            "themeName":"qu6dep",
            "createTime":"2023-01-28",
            "createUserId":1565,
            "updateTime":"2023-01-28"
        }
}
```

## 站点主题事项

### 查询站点主题事项列表

**请求URL:** site/theme/matter/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询站点主题事项

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
siteId|Long|否|站点ID
siteName|String|否|站点名称,字段前后添加%%模糊查询
matterId|Long|否|事项ID
matterName|String|否|事项名称,字段前后添加%%模糊查询
matterCode|String|否|事项编码,字段前后添加%%模糊查询
userType|String|否|服务类型（1.公共服务，2.个人服务，3.法人服务）,字段前后添加%%模糊查询
themeCode|String|否|主题编码,字段前后添加%%模糊查询
themeName|String|否|主题名称,字段前后添加%%模糊查询
source|Integer|否|事项来源

**请求样例:**
```
  {
        "siteId":2334,
        "siteName":"j1sn8h",
        "matterId":5032,
        "matterName":"xnn17d",
        "matterCode":"5c6fxz",
        "userType":"9c8tar",
        "themeCode":"ztkpff",
        "themeName":"hyfa7h",
        "source":3642,
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;siteId|Long|站点ID
&emsp;&emsp;siteName|String|站点名称
&emsp;&emsp;matterId|Long|事项ID
&emsp;&emsp;matterName|String|事项名称
&emsp;&emsp;matterCode|String|事项编码
&emsp;&emsp;userType|String|服务类型（1.公共服务，2.个人服务，3.法人服务）
&emsp;&emsp;themeCode|String|主题编码
&emsp;&emsp;themeName|String|主题名称
&emsp;&emsp;source|Integer|事项来源
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;updateTime|Date|修改时间
dict|object|字典对象
&emsp;userType|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看站点主题事项

**请求URL:** site/theme/matter/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看站点主题事项，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/site/theme/matter/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;siteId|Long|站点ID
&emsp;siteName|String|站点名称
&emsp;matterId|Long|事项ID
&emsp;matterName|String|事项名称
&emsp;matterCode|String|事项编码
&emsp;userType|String|服务类型（1.公共服务，2.个人服务，3.法人服务）
&emsp;themeCode|String|主题编码
&emsp;themeName|String|主题名称
&emsp;source|Integer|事项来源
&emsp;createTime|Date|创建时间
&emsp;createUserId|Long|创建用户
&emsp;updateTime|Date|修改时间
dict|object|字典对象
&emsp;userType|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":6517,
            "siteId":8377,
            "siteName":"wnnjis",
            "matterId":5970,
            "matterName":"b5c0l3",
            "matterCode":"y3yyz4",
            "userType":"sr07tk",
            "themeCode":"s1az2z",
            "themeName":"isyo83",
            "source":7309,
            "createTime":"2023-01-28",
            "createUserId":2157,
            "updateTime":"2023-01-28"
        }
}
```



## 业务

### 查询站点业务列表

**请求URL:** business/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询站点业务

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-
name|String|业务名称|否|-
flownum|String|流水编号如A、B|否|-

**请求样例:**

```

  {
        "name":"q6pduw",
        "flownum":"twqunp",
        "page":1,
        "size":10
  }

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;parentId|Long|父级ID|-
&emsp;&emsp;ancestors|String|祖级列表，逗号分隔|-
&emsp;&emsp;isBusiness|Integer|业务类型(0.一级业务,1.二级业务)|-
&emsp;&emsp;name|String|业务名称|-
&emsp;&emsp;remark|String|备注|-
&emsp;&emsp;canorder|Integer|是否允许预约（1.允许，0.不允许）|-
&emsp;&emsp;cantake|Integer|是否允许取号（1.允许，0.不允许）|-
&emsp;&emsp;datashow|Integer|大厅情况展示 （1.展示，0.不展示）|-
&emsp;&emsp;englishname|String|英语业务名|-
&emsp;&emsp;flownum|String|流水编号如A、B|-
&emsp;&emsp;businessType|Integer|业务类型 (0.一体化业务，1.自建业务)|-
&emsp;&emsp;status|Integer|业务状态 (0.停用，1.正常)|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;isBusiness|object|字典属性对象，详见附录|-
&emsp;canorder|object|字典属性对象，详见附录|-
&emsp;cantake|object|字典属性对象，详见附录|-
&emsp;datashow|object|字典属性对象，详见附录|-
&emsp;businessType|object|字典属性对象，详见附录|-
&emsp;status|object|字典属性对象，详见附录|-

**响应消息样例:**

```

```

### 查询业务列表（非树形）

**请求URL:** business/flatList

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询站点业务

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-1查询全部
name|String|业务名称|否|-

**请求样例:**

```

  {
        "name":"q6pduw",
        "flownum":"twqunp",
        "page":1,
        "size":10
  }

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;parentId|Long|父级ID|-
&emsp;&emsp;ancestors|String|祖级列表，逗号分隔|-
&emsp;&emsp;isBusiness|Integer|业务类型(0.一级业务,1.二级业务)|-
&emsp;&emsp;name|String|业务名称|-
&emsp;&emsp;remark|String|备注|-
&emsp;&emsp;canorder|Integer|是否允许预约（1.允许，0.不允许）|-
&emsp;&emsp;cantake|Integer|是否允许取号（1.允许，0.不允许）|-
&emsp;&emsp;datashow|Integer|大厅情况展示 （1.展示，0.不展示）|-
&emsp;&emsp;englishname|String|英语业务名|-
&emsp;&emsp;flownum|String|流水编号如A、B|-
&emsp;&emsp;businessType|Integer|业务类型 (0.一体化业务，1.自建业务)|-
&emsp;&emsp;status|Integer|业务状态 (0.停用，1.正常)|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;isBusiness|object|字典属性对象，详见附录|-
&emsp;canorder|object|字典属性对象，详见附录|-
&emsp;cantake|object|字典属性对象，详见附录|-
&emsp;datashow|object|字典属性对象，详见附录|-
&emsp;businessType|object|字典属性对象，详见附录|-
&emsp;status|object|字典属性对象，详见附录|-

**响应消息样例:**

```
{

}
```

### 添加业务到站点

**请求URL:** business/addBusinessToSite

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 添加业务到站点

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
businessIds|String|业务id,多个逗号分隔|否|-
siteId|String|站点ID|否|-

**请求样例:**

```

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-

**响应消息样例:**

```

```

### 查看站点业务

**请求URL:** business/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看站点业务，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**

```

    http://localhost/business/info?id=549

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|序号，主键，自增长|-
&emsp;parentId|Long|父级ID|-
&emsp;ancestors|String|祖级列表，逗号分隔|-
&emsp;isBusiness|Integer|业务类型(0.一级业务,1.二级业务)|-
&emsp;name|String|业务名称|-
&emsp;remark|String|备注|-
&emsp;canorder|Integer|是否允许预约（1.允许，0.不允许）|-
&emsp;cantake|Integer|是否允许取号（1.允许，0.不允许）|-
&emsp;datashow|Integer|大厅情况展示 （1.展示，0.不展示）|-
&emsp;englishname|String|英语业务名|-
&emsp;flownum|String|流水编号如A、B|-
&emsp;businessType|Integer|业务类型 (0.一体化业务，1.自建业务)|-
&emsp;status|Integer|业务状态 (0.停用，1.正常)|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;isBusiness|object|字典属性对象，详见附录|-
&emsp;canorder|object|字典属性对象，详见附录|-
&emsp;cantake|object|字典属性对象，详见附录|-
&emsp;datashow|object|字典属性对象，详见附录|-
&emsp;businessType|object|字典属性对象，详见附录|-
&emsp;status|object|字典属性对象，详见附录|-

**响应消息样例:**

```

```

### 保存更新站点业务

**请求URL:** business/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新站点业务：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
parentId|Long|父级ID|是|默认顶级为0，当业务类型为二级时parentId不为0
isBusiness|Integer|业务类型(0.一级业务,1.二级业务)|是|当为二级业务时paraentId为一级业务的主id
name|String|业务名称|是|-
remark|String|备注|是|-
flownum|String|业务编号，如A，B|是|-
canorder|Integer|是否允许预约（1.允许，0.不允许）|是|-
cantake|Integer|是否允许取号（1.允许，0.不允许）|是|-
datashow|Integer|大厅情况展示 （1.展示，0.不展示）|是|-
englishname|String|英语业务名|是|-
flownum|String|流水编号如A、B|是|-
businessType|Integer|业务类型 (0.一体化业务，1.自建业务)|是|-
status|Integer|业务状态 (0.停用，1.正常)|是|-

**请求样例:**

```

{
  "parentId":0,
  "isBusiness":0,
  "name":"测试业务",
  "remark":"fvnn84",
  "canorder":1,
  "cantake":1,
  "datashow":1,
  "englishname":"foe6s9",
  "flownum":"k39shb",
  "businessType":1,
  "status":1
}

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-
&emsp;entity|object|保存更新实体|对象
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;parentId|Long|父级ID|-
&emsp;&emsp;ancestors|String|祖级列表，逗号分隔|-
&emsp;&emsp;isBusiness|Integer|业务类型(0.一级业务,1.二级业务)|-
&emsp;&emsp;name|String|业务名称|-
&emsp;&emsp;remark|String|备注|-
&emsp;&emsp;canorder|Integer|是否允许预约（1.允许，0.不允许）|-
&emsp;&emsp;cantake|Integer|是否允许取号（1.允许，0.不允许）|-
&emsp;&emsp;datashow|Integer|大厅情况展示 （1.展示，0.不展示）|-
&emsp;&emsp;englishname|String|英语业务名|-
&emsp;&emsp;flownum|String|流水编号如A、B|-
&emsp;&emsp;businessType|Integer|业务类型 (0.一体化业务，1.自建业务)|-
&emsp;&emsp;status|Integer|业务状态 (0.停用，1.正常)|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-

**响应消息样例:**

```

{
    "msg":"新增模块成功",
    "code":1,
    "data":{
            "__mortals_form_state__":"ADD",
            "id":4,
            "entity":{
                "createTime":1642486776780,
                "id":4,
                "modelCode":"phxt1",
                "modelName":"排号系统4",
                "updateTime":1642486776780
            }
    }
}

```

### 删除业务

**请求URL:** business/delete

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除业务

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**

```

    http://localhost:8080/business/delete?id=1'

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**

```

{
    "code":1,
	"msg":"成功"

}

```

## 基础事项

### 查询基础事项列表

**请求URL:** matter/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询基础事项

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|--|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-
matterName|String|事项名称|否|-
deptCode|String|部门编号|否|-
matterNo|String|事项编号|否|-
belongDept|String|所属部门|否|-

**请求样例:**

```

  {
        "matterName":"phh423",
        "matterNo":"1ccc9a",
        "belongDept":"ao0cxh",
        "page":1,
        "size":10
  }

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;siteId|Long|站点ID|-
&emsp;&emsp;tid|String|从政务系统来的事项id|-
&emsp;&emsp;tcode|String|从政务系统来的事项code|-
&emsp;&emsp;tname|String|从政务系统来的事项name|-
&emsp;&emsp;matterName|String|事项名称|-
&emsp;&emsp;englishName|String|英语事项名|-
&emsp;&emsp;matterNo|String|事项编号|-
&emsp;&emsp;areaCode|String|区域编码
&emsp;&emsp;deptCode|String|部门编号
&emsp;&emsp;powerCode|String|行政权力编号
&emsp;&emsp;themeCode|String|主题编号
&emsp;&emsp;usertypeCode|String|服务类型编号
&emsp;&emsp;groupName|String|事项组名
&emsp;&emsp;url|String|事项详情链接
&emsp;&emsp;haveGetMatterInfo|String|是否获取事项详情
&emsp;&emsp;belongDept|String|所属部门|-
&emsp;&emsp;appoveObjectShow|String|服务对象 （事业法人.事业法人，社会组织法人.社会组织法人，非法人企业.非法人企业，企业法人.企业法人，自然人.自然人，其他组织.其他组织）|-
&emsp;&emsp;operatScopeShow|String|通办范围 （无.无，全国.全国，全市.全市，全县.全县，全镇[乡 街道].全镇[乡 街道]，跨村[社区].跨村[社区]）|-
&emsp;&emsp;appoveTimeLimitShow|String|办件类型（网络办件.网络办件，行政审批一般件.行政审批一般件，综合窗口件.综合窗口件）|-
&emsp;&emsp;handleType|String|办理形式（窗口办理.窗口办理，网上办理.网上办理）    |-
&emsp;&emsp;legalTimeLimitShow|String|法定办结时限|-
&emsp;&emsp;legalEndExplain|String|法定时限办结说明|-
&emsp;&emsp;promiseTimeLimitShow|String|承诺办结时限|-
&emsp;&emsp;promiseEndExplain|String|承诺时限办结说明|-
&emsp;&emsp;isChargesShow|String|是否收费（否.否，是.是）|-
&emsp;&emsp;certificationLevelsShow|String|认证等级需求（实名认证.实名认证，单次面签.单次面签，每次面签.每次面签）|-
&emsp;&emsp;planTakeTime|Date|计划生效日期|-
&emsp;&emsp;promiseTakeTime|Date|承诺生效日期|-
&emsp;&emsp;specialProcedure|String|特别程序|-
&emsp;&emsp;windowToTheSceneNum|Integer|窗口到现场次数|-
&emsp;&emsp;isOnlineSubscribeShow|String|是否网上预约,窗口办理选（否.否，是.是）|-
&emsp;&emsp;isExpressTakeShow|String|物流快递,窗口办理选（否.否，是.是）|-
&emsp;&emsp;isProvinceAcquisitionShow|String|是否支持全省范围就近取件（否.否，是.是）|-
&emsp;&emsp;isApplyProvinceShow|String|是否支持全省范围就近办理（否.否，是.是）|-
&emsp;&emsp;mustSceneExplain|String|必须到现场原因|-
&emsp;&emsp;onlineType|String|网办类型（原件预审.原件预审，原件核验.原件核验，全程网办.全程网办）|-
&emsp;&emsp;onlineToTheSceneNum|Integer|网办到现场次数|-
&emsp;&emsp;onlineOperatDeep|String|网络办理深度（互联网咨询.互联网咨询，互联网收件.互联网收件，互联网预审.互联网预审，互联网受理.互联网受理，互联网办理.互联网办理，互联网办理结果信息反馈.互联网办理结果信息反馈，其他.其他）|-
&emsp;&emsp;isExpressTakeOnlineShow|String|物流快递，网上办理选（否.否，是.是）|-
&emsp;&emsp;isDoorTakeShow|String|是否支持上门收取申请（否.否，是.是）|-
&emsp;&emsp;onlineMustSceneExplain|String|网上必须到现场原因|-
&emsp;&emsp;performDeptType|String|实施主体|-
&emsp;&emsp;matterEdition|String|事项版本|-
&emsp;&emsp;eventTypeShow|String|事项类型名称（行政许可.行政许可，行政处罚.行政处罚，行政强制.行政强制，行政征收.行政征收，行政给付.行政给付，行政检查.行政检查，行政确认.行政确认，行政奖励.行政奖励，行政裁决.行政裁决，其他行政权力.其他行政权力，主动服务.主动服务，依申请服务.依申请服务，咨询查询.咨询查询，未归类事项.未归类事项）|-
&emsp;&emsp;performHierarchyShow|String|行使层级名称（省级.省级，市级.市级，县级.县级，镇[乡 街道].镇[乡 街道]，村[社区]级.村[社区]级）|-
&emsp;&emsp;powerSourceShow|String|权力来源（法定本级行使.法定本级行使，上级下放.上级下放，上级授权.上级授权，同级授权.同级授权，上级委托.上级委托，同级委托.同级委托）|-
&emsp;&emsp;performDeptTypeShow|String|实施主体性质（法定机关.法定机关，授权组织.授权组织，受委托组织.受委托组织）|-
&emsp;&emsp;goveServiceCenterShow|String|是否进驻中心（否.否，是.是）|-
&emsp;&emsp;isConvenientCenterShow|String|是否纳入便民服务中心（否.否，是.是）|-
&emsp;&emsp;terminalHandle|String|自助终端办理 （否.否，是.是）|-
&emsp;&emsp;isOnline|String|是否网办 （否.否，是.是）|-
&emsp;&emsp;isOnlinePayShow|String|支持网上支付（否.否，是.是）|-
&emsp;&emsp;entrustmentDepartmen|String|委托部门（否.否，是.是）|-
&emsp;&emsp;jointInfoShow|String|联办机构|-
&emsp;&emsp;matterStatus|String|事项状态（停用.停用，在用.在用）|-
&emsp;&emsp;numberLimit|Long|数量限制|-
&emsp;&emsp;type|String|主题类型|-
&emsp;&emsp;baseCode|String|基本编码|-
&emsp;&emsp;implementCode|String|实施编码|-
&emsp;&emsp;implementBodyCode|String|实施主体编码|-
&emsp;&emsp;operateItemCode|String|办理项编码|-
&emsp;&emsp;townshipName|String|乡镇街道名称|-
&emsp;&emsp;townshipCode|String|乡镇街道代码|-
&emsp;&emsp;villageName|String|村居社区名称|-
&emsp;&emsp;villageCode|String|村居社区代码|-
&emsp;&emsp;operateTime|String|办理时间|-
&emsp;&emsp;operateSite|String|办理地点|-
&emsp;&emsp;cousultingShow|String|咨询方式|-
&emsp;&emsp;cousultingTelephoneShow|String|咨询电话|-
&emsp;&emsp;superviseShow|String|监督投诉方式|-
&emsp;&emsp;sort|Integer|排序|-
&emsp;&emsp;source|Integer|事项来源(0.政务网，1.自定义)|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;appoveObjectShow|object|字典属性对象，详见附录|-
&emsp;operatScopeShow|object|字典属性对象，详见附录|-
&emsp;appoveTimeLimitShow|object|字典属性对象，详见附录|-
&emsp;handleType|object|字典属性对象，详见附录|-
&emsp;isChargesShow|object|字典属性对象，详见附录|-
&emsp;certificationLevelsShow|object|字典属性对象，详见附录|-
&emsp;isOnlineSubscribeShow|object|字典属性对象，详见附录|-
&emsp;isExpressTakeShow|object|字典属性对象，详见附录|-
&emsp;isProvinceAcquisitionShow|object|字典属性对象，详见附录|-
&emsp;isApplyProvinceShow|object|字典属性对象，详见附录|-
&emsp;onlineType|object|字典属性对象，详见附录|-
&emsp;onlineOperatDeep|object|字典属性对象，详见附录|-
&emsp;isExpressTakeOnlineShow|object|字典属性对象，详见附录|-
&emsp;isDoorTakeShow|object|字典属性对象，详见附录|-
&emsp;eventTypeShow|object|字典属性对象，详见附录|-
&emsp;performHierarchyShow|object|字典属性对象，详见附录|-
&emsp;powerSourceShow|object|字典属性对象，详见附录|-
&emsp;performDeptTypeShow|object|字典属性对象，详见附录|-
&emsp;goveServiceCenterShow|object|字典属性对象，详见附录|-
&emsp;isConvenientCenterShow|object|字典属性对象，详见附录|-
&emsp;terminalHandle|object|字典属性对象，详见附录|-
&emsp;isOnline|object|字典属性对象，详见附录|-
&emsp;isOnlinePayShow|object|字典属性对象，详见附录|-
&emsp;entrustmentDepartmen|object|字典属性对象，详见附录|-
&emsp;matterStatus|object|字典属性对象，详见附录|-
&emsp;source|object|字典属性对象，详见附录|-

**响应消息样例:**

```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    },
    "query":{
        "modelCode":"phxt1",
        "modelName":"排号系统"
    }
}
```

### 查看基础事项

**请求URL:** matter/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看基础事项，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**

```

    http://localhost/matter/info?id=549

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|序号，主键，自增长|-
&emsp;siteId|Long|站点ID|-
&emsp;tid|String|从政务系统来的事项id|-
&emsp;tcode|String|从政务系统来的事项code|-
&emsp;tname|String|从政务系统来的事项name|-
&emsp;matterName|String|事项名称|-
&emsp;englishName|String|英语事项名|-
&emsp;matterNo|String|事项编号|-
&emsp;belongDept|String|所属部门|-
&emsp;appoveObjectShow|String|服务对象 （事业法人.事业法人，社会组织法人.社会组织法人，非法人企业.非法人企业，企业法人.企业法人，自然人.自然人，其他组织.其他组织）|-
&emsp;operatScopeShow|String|通办范围 （无.无，全国.全国，全市.全市，全县.全县，全镇[乡 街道].全镇[乡 街道]，跨村[社区].跨村[社区]）|-
&emsp;appoveTimeLimitShow|String|办件类型（网络办件.网络办件，行政审批一般件.行政审批一般件，综合窗口件.综合窗口件）|-
&emsp;handleType|String|办理形式（窗口办理.窗口办理，网上办理.网上办理）    |-
&emsp;legalTimeLimitShow|String|法定办结时限|-
&emsp;legalEndExplain|String|法定时限办结说明|-
&emsp;promiseTimeLimitShow|String|承诺办结时限|-
&emsp;promiseEndExplain|String|承诺时限办结说明|-
&emsp;isChargesShow|String|是否收费（否.否，是.是）|-
&emsp;certificationLevelsShow|String|认证等级需求（实名认证.实名认证，单次面签.单次面签，每次面签.每次面签）|-
&emsp;planTakeTime|Date|计划生效日期|-
&emsp;promiseTakeTime|Date|承诺生效日期|-
&emsp;specialProcedure|String|特别程序|-
&emsp;windowToTheSceneNum|Integer|窗口到现场次数|-
&emsp;isOnlineSubscribeShow|String|是否网上预约,窗口办理选（否.否，是.是）|-
&emsp;isExpressTakeShow|String|物流快递,窗口办理选（否.否，是.是）|-
&emsp;isProvinceAcquisitionShow|String|是否支持全省范围就近取件（否.否，是.是）|-
&emsp;isApplyProvinceShow|String|是否支持全省范围就近办理（否.否，是.是）|-
&emsp;mustSceneExplain|String|必须到现场原因|-
&emsp;onlineType|String|网办类型（原件预审.原件预审，原件核验.原件核验，全程网办.全程网办）|-
&emsp;onlineToTheSceneNum|Integer|网办到现场次数|-
&emsp;onlineOperatDeep|String|网络办理深度（互联网咨询.互联网咨询，互联网收件.互联网收件，互联网预审.互联网预审，互联网受理.互联网受理，互联网办理.互联网办理，互联网办理结果信息反馈.互联网办理结果信息反馈，其他.其他）|-
&emsp;isExpressTakeOnlineShow|String|物流快递，网上办理选（否.否，是.是）|-
&emsp;isDoorTakeShow|String|是否支持上门收取申请（否.否，是.是）|-
&emsp;onlineMustSceneExplain|String|网上必须到现场原因|-
&emsp;performDeptType|String|实施主体|-
&emsp;matterEdition|String|事项版本|-
&emsp;eventTypeShow|String|事项类型名称（行政许可.行政许可，行政处罚.行政处罚，行政强制.行政强制，行政征收.行政征收，行政给付.行政给付，行政检查.行政检查，行政确认.行政确认，行政奖励.行政奖励，行政裁决.行政裁决，其他行政权力.其他行政权力，主动服务.主动服务，依申请服务.依申请服务，咨询查询.咨询查询，未归类事项.未归类事项）|-
&emsp;performHierarchyShow|String|行使层级名称（省级.省级，市级.市级，县级.县级，镇[乡 街道].镇[乡 街道]，村[社区]级.村[社区]级）|-
&emsp;powerSourceShow|String|权力来源（法定本级行使.法定本级行使，上级下放.上级下放，上级授权.上级授权，同级授权.同级授权，上级委托.上级委托，同级委托.同级委托）|-
&emsp;performDeptTypeShow|String|实施主体性质（法定机关.法定机关，授权组织.授权组织，受委托组织.受委托组织）|-
&emsp;goveServiceCenterShow|String|是否进驻中心（否.否，是.是）|-
&emsp;isConvenientCenterShow|String|是否纳入便民服务中心（否.否，是.是）|-
&emsp;terminalHandle|String|自助终端办理 （否.否，是.是）|-
&emsp;isOnline|String|是否网办 （否.否，是.是）|-
&emsp;isOnlinePayShow|String|支持网上支付（否.否，是.是）|-
&emsp;entrustmentDepartmen|String|委托部门（否.否，是.是）|-
&emsp;jointInfoShow|String|联办机构|-
&emsp;matterStatus|String|事项状态（停用.停用，在用.在用）|-
&emsp;numberLimit|Long|数量限制|-
&emsp;type|String|主题类型|-
&emsp;baseCode|String|基本编码|-
&emsp;implementCode|String|实施编码|-
&emsp;implementBodyCode|String|实施主体编码|-
&emsp;operateItemCode|String|办理项编码|-
&emsp;townshipName|String|乡镇街道名称|-
&emsp;townshipCode|String|乡镇街道代码|-
&emsp;villageName|String|村居社区名称|-
&emsp;villageCode|String|村居社区代码|-
&emsp;operateTime|String|办理时间|-
&emsp;operateSite|String|办理地点|-
&emsp;cousultingShow|String|咨询方式|-
&emsp;cousultingTelephoneShow|String|咨询电话|-
&emsp;superviseShow|String|监督投诉方式|-
&emsp;sort|Integer|排序|-
&emsp;source|Integer|事项来源(0.政务网，1.自定义)|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;appoveObjectShow|object|字典属性对象，详见附录|-
&emsp;operatScopeShow|object|字典属性对象，详见附录|-
&emsp;appoveTimeLimitShow|object|字典属性对象，详见附录|-
&emsp;handleType|object|字典属性对象，详见附录|-
&emsp;isChargesShow|object|字典属性对象，详见附录|-
&emsp;certificationLevelsShow|object|字典属性对象，详见附录|-
&emsp;isOnlineSubscribeShow|object|字典属性对象，详见附录|-
&emsp;isExpressTakeShow|object|字典属性对象，详见附录|-
&emsp;isProvinceAcquisitionShow|object|字典属性对象，详见附录|-
&emsp;isApplyProvinceShow|object|字典属性对象，详见附录|-
&emsp;onlineType|object|字典属性对象，详见附录|-
&emsp;onlineOperatDeep|object|字典属性对象，详见附录|-
&emsp;isExpressTakeOnlineShow|object|字典属性对象，详见附录|-
&emsp;isDoorTakeShow|object|字典属性对象，详见附录|-
&emsp;eventTypeShow|object|字典属性对象，详见附录|-
&emsp;performHierarchyShow|object|字典属性对象，详见附录|-
&emsp;powerSourceShow|object|字典属性对象，详见附录|-
&emsp;performDeptTypeShow|object|字典属性对象，详见附录|-
&emsp;goveServiceCenterShow|object|字典属性对象，详见附录|-
&emsp;isConvenientCenterShow|object|字典属性对象，详见附录|-
&emsp;terminalHandle|object|字典属性对象，详见附录|-
&emsp;isOnline|object|字典属性对象，详见附录|-
&emsp;isOnlinePayShow|object|字典属性对象，详见附录|-
&emsp;entrustmentDepartmen|object|字典属性对象，详见附录|-
&emsp;matterStatus|object|字典属性对象，详见附录|-
&emsp;source|object|字典属性对象，详见附录|-

**响应消息样例:**

```

```

### 保存更新基础事项

**请求URL:** matter/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新基础事项：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
siteId|Long|站点ID|是|-
tid|String|从政务系统来的事项id|是|-
tcode|String|从政务系统来的事项code|是|-
tname|String|从政务系统来的事项name|是|-
matterName|String|事项名称|是|-
englishName|String|英语事项名|是|-
matterNo|String|事项编号|是|-
belongDept|String|所属部门|是|-
appoveObjectShow|String|服务对象 （事业法人.事业法人，社会组织法人.社会组织法人，非法人企业.非法人企业，企业法人.企业法人，自然人.自然人，其他组织.其他组织）|是|-
operatScopeShow|String|通办范围 （无.无，全国.全国，全市.全市，全县.全县，全镇[乡 街道].全镇[乡 街道]，跨村[社区].跨村[社区]）|是|-
appoveTimeLimitShow|String|办件类型（网络办件.网络办件，行政审批一般件.行政审批一般件，综合窗口件.综合窗口件）|是|-
handleType|String|办理形式（窗口办理.窗口办理，网上办理.网上办理）    |是|-
legalTimeLimitShow|String|法定办结时限|是|-
legalEndExplain|String|法定时限办结说明|是|-
promiseTimeLimitShow|String|承诺办结时限|是|-
promiseEndExplain|String|承诺时限办结说明|是|-
isChargesShow|String|是否收费（否.否，是.是）|是|-
certificationLevelsShow|String|认证等级需求（实名认证.实名认证，单次面签.单次面签，每次面签.每次面签）|是|-
planTakeTime|Date|计划生效日期|是|-
promiseTakeTime|Date|承诺生效日期|是|-
specialProcedure|String|特别程序|是|-
windowToTheSceneNum|Integer|窗口到现场次数|是|-
isOnlineSubscribeShow|String|是否网上预约,窗口办理选（否.否，是.是）|是|-
isExpressTakeShow|String|物流快递,窗口办理选（否.否，是.是）|是|-
isProvinceAcquisitionShow|String|是否支持全省范围就近取件（否.否，是.是）|是|-
isApplyProvinceShow|String|是否支持全省范围就近办理（否.否，是.是）|是|-
mustSceneExplain|String|必须到现场原因|是|-
onlineType|String|网办类型（原件预审.原件预审，原件核验.原件核验，全程网办.全程网办）|是|-
onlineToTheSceneNum|Integer|网办到现场次数|是|-
onlineOperatDeep|String|网络办理深度（互联网咨询.互联网咨询，互联网收件.互联网收件，互联网预审.互联网预审，互联网受理.互联网受理，互联网办理.互联网办理，互联网办理结果信息反馈.互联网办理结果信息反馈，其他.其他）|是|-
isExpressTakeOnlineShow|String|物流快递，网上办理选（否.否，是.是）|是|-
isDoorTakeShow|String|是否支持上门收取申请（否.否，是.是）|是|-
onlineMustSceneExplain|String|网上必须到现场原因|是|-
performDeptType|String|实施主体|是|-
matterEdition|String|事项版本|是|-
eventTypeShow|String|事项类型名称（行政许可.行政许可，行政处罚.行政处罚，行政强制.行政强制，行政征收.行政征收，行政给付.行政给付，行政检查.行政检查，行政确认.行政确认，行政奖励.行政奖励，行政裁决.行政裁决，其他行政权力.其他行政权力，主动服务.主动服务，依申请服务.依申请服务，咨询查询.咨询查询，未归类事项.未归类事项）|是|-
performHierarchyShow|String|行使层级名称（省级.省级，市级.市级，县级.县级，镇[乡 街道].镇[乡 街道]，村[社区]级.村[社区]级）|是|-
powerSourceShow|String|权力来源（法定本级行使.法定本级行使，上级下放.上级下放，上级授权.上级授权，同级授权.同级授权，上级委托.上级委托，同级委托.同级委托）|是|-
performDeptTypeShow|String|实施主体性质（法定机关.法定机关，授权组织.授权组织，受委托组织.受委托组织）|是|-
goveServiceCenterShow|String|是否进驻中心（否.否，是.是）|是|-
isConvenientCenterShow|String|是否纳入便民服务中心（否.否，是.是）|是|-
terminalHandle|String|自助终端办理 （否.否，是.是）|是|-
isOnline|String|是否网办 （否.否，是.是）|是|-
isOnlinePayShow|String|支持网上支付（否.否，是.是）|是|-
entrustmentDepartmen|String|委托部门（否.否，是.是）|是|-
jointInfoShow|String|联办机构|是|-
matterStatus|String|事项状态（停用.停用，在用.在用）|是|-
numberLimit|Long|数量限制|是|-
type|String|主题类型|是|-
baseCode|String|基本编码|是|-
implementCode|String|实施编码|是|-
implementBodyCode|String|实施主体编码|是|-
operateItemCode|String|办理项编码|是|-
townshipName|String|乡镇街道名称|是|-
townshipCode|String|乡镇街道代码|是|-
villageName|String|村居社区名称|是|-
villageCode|String|村居社区代码|是|-
operateTime|String|办理时间|是|-
operateSite|String|办理地点|是|-
cousultingShow|String|咨询方式|是|-
cousultingTelephoneShow|String|咨询电话|是|-
superviseShow|String|监督投诉方式|是|-
sort|Integer|排序|是|-
source|Integer|事项来源(0.政务网，1.自定义)|是|-

**请求样例:**

```


```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-
&emsp;entity|object|保存更新实体|对象
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;siteId|Long|站点ID|-
&emsp;&emsp;tid|String|从政务系统来的事项id|-
&emsp;&emsp;tcode|String|从政务系统来的事项code|-
&emsp;&emsp;tname|String|从政务系统来的事项name|-
&emsp;&emsp;matterName|String|事项名称|-
&emsp;&emsp;englishName|String|英语事项名|-
&emsp;&emsp;matterNo|String|事项编号|-
&emsp;&emsp;belongDept|String|所属部门|-
&emsp;&emsp;appoveObjectShow|String|服务对象 （事业法人.事业法人，社会组织法人.社会组织法人，非法人企业.非法人企业，企业法人.企业法人，自然人.自然人，其他组织.其他组织）|-
&emsp;&emsp;operatScopeShow|String|通办范围 （无.无，全国.全国，全市.全市，全县.全县，全镇[乡 街道].全镇[乡 街道]，跨村[社区].跨村[社区]）|-
&emsp;&emsp;appoveTimeLimitShow|String|办件类型（网络办件.网络办件，行政审批一般件.行政审批一般件，综合窗口件.综合窗口件）|-
&emsp;&emsp;handleType|String|办理形式（窗口办理.窗口办理，网上办理.网上办理）    |-
&emsp;&emsp;legalTimeLimitShow|String|法定办结时限|-
&emsp;&emsp;legalEndExplain|String|法定时限办结说明|-
&emsp;&emsp;promiseTimeLimitShow|String|承诺办结时限|-
&emsp;&emsp;promiseEndExplain|String|承诺时限办结说明|-
&emsp;&emsp;isChargesShow|String|是否收费（否.否，是.是）|-
&emsp;&emsp;certificationLevelsShow|String|认证等级需求（实名认证.实名认证，单次面签.单次面签，每次面签.每次面签）|-
&emsp;&emsp;planTakeTime|Date|计划生效日期|-
&emsp;&emsp;promiseTakeTime|Date|承诺生效日期|-
&emsp;&emsp;specialProcedure|String|特别程序|-
&emsp;&emsp;windowToTheSceneNum|Integer|窗口到现场次数|-
&emsp;&emsp;isOnlineSubscribeShow|String|是否网上预约,窗口办理选（否.否，是.是）|-
&emsp;&emsp;isExpressTakeShow|String|物流快递,窗口办理选（否.否，是.是）|-
&emsp;&emsp;isProvinceAcquisitionShow|String|是否支持全省范围就近取件（否.否，是.是）|-
&emsp;&emsp;isApplyProvinceShow|String|是否支持全省范围就近办理（否.否，是.是）|-
&emsp;&emsp;mustSceneExplain|String|必须到现场原因|-
&emsp;&emsp;onlineType|String|网办类型（原件预审.原件预审，原件核验.原件核验，全程网办.全程网办）|-
&emsp;&emsp;onlineToTheSceneNum|Integer|网办到现场次数|-
&emsp;&emsp;onlineOperatDeep|String|网络办理深度（互联网咨询.互联网咨询，互联网收件.互联网收件，互联网预审.互联网预审，互联网受理.互联网受理，互联网办理.互联网办理，互联网办理结果信息反馈.互联网办理结果信息反馈，其他.其他）|-
&emsp;&emsp;isExpressTakeOnlineShow|String|物流快递，网上办理选（否.否，是.是）|-
&emsp;&emsp;isDoorTakeShow|String|是否支持上门收取申请（否.否，是.是）|-
&emsp;&emsp;onlineMustSceneExplain|String|网上必须到现场原因|-
&emsp;&emsp;performDeptType|String|实施主体|-
&emsp;&emsp;matterEdition|String|事项版本|-
&emsp;&emsp;eventTypeShow|String|事项类型名称（行政许可.行政许可，行政处罚.行政处罚，行政强制.行政强制，行政征收.行政征收，行政给付.行政给付，行政检查.行政检查，行政确认.行政确认，行政奖励.行政奖励，行政裁决.行政裁决，其他行政权力.其他行政权力，主动服务.主动服务，依申请服务.依申请服务，咨询查询.咨询查询，未归类事项.未归类事项）|-
&emsp;&emsp;performHierarchyShow|String|行使层级名称（省级.省级，市级.市级，县级.县级，镇[乡 街道].镇[乡 街道]，村[社区]级.村[社区]级）|-
&emsp;&emsp;powerSourceShow|String|权力来源（法定本级行使.法定本级行使，上级下放.上级下放，上级授权.上级授权，同级授权.同级授权，上级委托.上级委托，同级委托.同级委托）|-
&emsp;&emsp;performDeptTypeShow|String|实施主体性质（法定机关.法定机关，授权组织.授权组织，受委托组织.受委托组织）|-
&emsp;&emsp;goveServiceCenterShow|String|是否进驻中心（否.否，是.是）|-
&emsp;&emsp;isConvenientCenterShow|String|是否纳入便民服务中心（否.否，是.是）|-
&emsp;&emsp;terminalHandle|String|自助终端办理 （否.否，是.是）|-
&emsp;&emsp;isOnline|String|是否网办 （否.否，是.是）|-
&emsp;&emsp;isOnlinePayShow|String|支持网上支付（否.否，是.是）|-
&emsp;&emsp;entrustmentDepartmen|String|委托部门（否.否，是.是）|-
&emsp;&emsp;jointInfoShow|String|联办机构|-
&emsp;&emsp;matterStatus|String|事项状态（停用.停用，在用.在用）|-
&emsp;&emsp;numberLimit|Long|数量限制|-
&emsp;&emsp;type|String|主题类型|-
&emsp;&emsp;baseCode|String|基本编码|-
&emsp;&emsp;implementCode|String|实施编码|-
&emsp;&emsp;implementBodyCode|String|实施主体编码|-
&emsp;&emsp;operateItemCode|String|办理项编码|-
&emsp;&emsp;townshipName|String|乡镇街道名称|-
&emsp;&emsp;townshipCode|String|乡镇街道代码|-
&emsp;&emsp;villageName|String|村居社区名称|-
&emsp;&emsp;villageCode|String|村居社区代码|-
&emsp;&emsp;operateTime|String|办理时间|-
&emsp;&emsp;operateSite|String|办理地点|-
&emsp;&emsp;cousultingShow|String|咨询方式|-
&emsp;&emsp;cousultingTelephoneShow|String|咨询电话|-
&emsp;&emsp;superviseShow|String|监督投诉方式|-
&emsp;&emsp;sort|Integer|排序|-
&emsp;&emsp;source|Integer|事项来源(0.政务网，1.自定义)|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-

**响应消息样例:**

```

{
    "msg":"新增模块成功",
    "code":1,
    "data":{
            "__mortals_form_state__":"ADD",
            "id":4,
            "entity":{
                "createTime":1642486776780,
                "id":4,
                "modelCode":"phxt1",
                "modelName":"排号系统4",
                "updateTime":1642486776780
            }
    }
}

```

### 删除基础事项

**请求URL:** matter/delete

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除基础事项

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**

```

    http://localhost:8080/matter/delete?id=1'

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**

```

{
    "code":1,
	"msg":"成功"

}

```

## 事项申请材料

### 查询事项申请材料列表

**请求URL:** matter/datum/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询事项申请材料

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-
matterId|Long|事项id|否|-
matterName|String|事项名称|否|-
materialName|String|材料名|否|-

**请求样例:**

```

  {
        "matterId":6998,
        "matterName":"w9aqxs",
        "materialName":"ga7uwz",
        "page":1,
        "size":10
  }

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键，自增长|-
&emsp;&emsp;matterId|Long|事项id|-
&emsp;&emsp;matterName|String|事项名称|-
&emsp;&emsp;materialName|String|材料名|-
&emsp;&emsp;isMust|String|必交性|-
&emsp;&emsp;materialType|String|材料类型|-
&emsp;&emsp;materialProperty|String|材料形式|-
&emsp;&emsp;electronicgs|String|电子材料格式|-
&emsp;&emsp;materialSource|String|材料来源渠道（无.无，申请人自备.申请人自备，政府部门核发.政府部门核发，其他.其他）|-
&emsp;&emsp;paperNum|Integer|纸质材料份数|-
&emsp;&emsp;paperGg|String|纸质材料规格|-
&emsp;&emsp;jianmMs|String|减免模式（无.无，减.减，免.免）|-
&emsp;&emsp;sealWay|String|盖章方式|-
&emsp;&emsp;isjianm|String|是否减免（否.否，是.是）|-
&emsp;&emsp;isLack|String|材料是否容缺（必要.必要，非必要.非必要）|-
&emsp;&emsp;ybUrl|String|材料地址|-
&emsp;&emsp;materialSourceSm|String|来源渠道说明|-
&emsp;&emsp;remarkSub|String|填报须知|-
&emsp;&emsp;clauseContent|String|要求提供材料的依据|-
&emsp;&emsp;summary|String|受理标准|-
&emsp;&emsp;remark|String|备注|-
&emsp;&emsp;source|Integer|事项来源(0.政务网，1.自定义)|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
&emsp;&emsp;datumFileList|arrays|附件列表|-
&emsp;&emsp;&emsp;datumId|Long|材料id|-
&emsp;&emsp;&emsp;fileName|String|附件名称|-
&emsp;&emsp;&emsp;fileUrl|String|附件下载地址|-
&emsp;&emsp;&emsp;filetype|Integer|附件类型 (1.示例样表，2.空白表格)|-
&emsp;&emsp;&emsp;source|Integer|附件来源 (0.政务网，1.自定义)|-
&emsp;&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;&emsp;updateTime|Date|修改时间|-
&emsp;&emsp;&emsp;materialName|String|材料名|-

**响应消息样例:**

```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    },
    "query":{
        "modelCode":"phxt1",
        "modelName":"排号系统"
    }
}
```

### 查看事项申请材料

**请求URL:** matter/datum/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看事项申请材料，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**

```

    http://localhost/matter/datum/info?id=549

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|主键，自增长|-
&emsp;matterId|Long|事项id|-
&emsp;matterName|String|事项名称|-
&emsp;materialName|String|材料名|-
&emsp;isMust|String|必交性|-
&emsp;materialType|String|材料类型（无.无，原件.原件，复印件.复印件，原件和复印件.原件和复印件)|-
&emsp;materialProperty|String|材料形式|-
&emsp;electronicgs|String|电子材料格式|-
&emsp;materialSource|String|材料来源渠道（无.无，申请人自备.申请人自备，政府部门核发.政府部门核发，其他.其他）|-
&emsp;paperNum|Integer|纸质材料份数|-
&emsp;paperGg|String|纸质材料规格|-
&emsp;jianmMs|String|减免模式（无.无，减.减，免.免）|-
&emsp;sealWay|String|盖章方式|-
&emsp;isjianm|String|是否减免（否.否，是.是）|-
&emsp;isLack|String|材料是否容缺（必要.必要，非必要.非必要）|-
&emsp;ybUrl|String|材料地址|-
&emsp;materialSourceSm|String|来源渠道说明|-
&emsp;remarkSub|String|填报须知|-
&emsp;clauseContent|String|要求提供材料的依据|-
&emsp;summary|String|受理标准|-
&emsp;remark|String|备注|-
&emsp;source|Integer|事项来源(0.政务网，1.自定义)|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
&emsp;datumFileList|arrays|附件列表|-
&emsp;&emsp;datumId|Long|材料id|-
&emsp;&emsp;fileName|String|附件名称|-
&emsp;&emsp;fileUrl|String|附件下载地址|-
&emsp;&emsp;filetype|Integer|附件类型 (1.示例样表，2.空白表格)|-
&emsp;&emsp;source|Integer|附件来源 (0.政务网，1.自定义)|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
&emsp;&emsp;materialName|String|材料名|-
dict|object|字典对象|-
&emsp;isMust|object|字典属性对象，详见附录|-
&emsp;materialProperty|object|字典属性对象，详见附录|-
&emsp;electronicgs|object|字典属性对象，详见附录|-
&emsp;materialSource|object|字典属性对象，详见附录|-
&emsp;jianmMs|object|字典属性对象，详见附录|-
&emsp;isjianm|object|字典属性对象，详见附录|-
&emsp;isLack|object|字典属性对象，详见附录|-
&emsp;source|object|字典属性对象，详见附录|-

**响应消息样例:**

```

```

### 保存更新事项申请材料

**请求URL:** matter/datum/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新事项申请材料：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
matterId|Long|事项id|是|-
matterName|String|事项名称|是|-
materialName|String|材料名|是|-
isMust|String|必交性|是|-
materialType|String|材料类型（无.无，原件.原件，复印件.复印件，原件和复印件.原件和复印件)|是|-
materialProperty|String|材料形式|是|-
electronicgs|String|电子材料格式|是|-
materialSource|String|材料来源渠道（无.无，申请人自备.申请人自备，政府部门核发.政府部门核发，其他.其他）|是|-
paperNum|Integer|纸质材料份数|是|-
paperGg|String|纸质材料规格|是|-
jianmMs|String|减免模式（无.无，减.减，免.免）|是|-
sealWay|String|盖章方式|是|-
isjianm|String|是否减免（否.否，是.是）|是|-
isLack|String|材料是否容缺（必要.必要，非必要.非必要）|是|-
ybUrl|String|材料地址|是|-
materialSourceSm|String|来源渠道说明|是|-
remarkSub|String|填报须知|是|-
clauseContent|String|要求提供材料的依据|是|-
summary|String|受理标准|是|-
remark|String|备注|是|-
source|Integer|事项来源(0.政务网，1.自定义)|是|-
datumFileList|arrays|附件列表|是|-
&emsp;datumId|Long|材料id|是|-
&emsp;fileName|String|附件名称|是|-
&emsp;fileUrl|String|附件下载地址|是|-
&emsp;filetype|Integer|附件类型 (1.示例样表，2.空白表格)|是|-
&emsp;source|Integer|附件来源 (0.政务网，1.自定义)|是|-
&emsp;createTime|Date|创建时间|是|-
&emsp;createUserId|Long|创建用户|是|-
&emsp;materialName|String|材料名|是|-

**请求样例:**

```


```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-

**响应消息样例:**

```

{
    "msg":"新增模块成功",
    "code":1,
    "data":{
            "__mortals_form_state__":"ADD",
            "id":4,
            "entity":{
                "createTime":1642486776780,
                "id":4,
                "modelCode":"phxt1",
                "modelName":"排号系统4",
                "updateTime":1642486776780
            }
    }
}

```

### 删除事项申请材料

**请求URL:** matter/datum/delete

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除事项申请材料

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**

```

    http://localhost:8080/matter/datum/delete?id=1'

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**

```

{
    "code":1,
	"msg":"成功"

}

``` 

## 事项受理条件

### 查询事项受理条件列表

**请求URL:** matter/accept/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询事项受理条件

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-
matterId|Long|基础事项表id|否|-
matterName|String|事项名称|否|-

**请求样例:**

```

  {
        "matterId":3134,
        "matterName":"hzziqb",
        "page":1,
        "size":10
  }

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键，自增长|-
&emsp;&emsp;matterId|Long|基础事项表id|-
&emsp;&emsp;matterName|String|事项名称|-
&emsp;&emsp;content|String|受理条件|-
&emsp;&emsp;source|Integer|事项来源 (0.政务网，1.自定义)|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;source|object|字典属性对象，详见附录|-

**响应消息样例:**

```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    },
    "query":{
        "modelCode":"phxt1",
        "modelName":"排号系统"
    }
}
```

### 查看事项受理条件

**请求URL:** matter/accept/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看事项受理条件，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**

```

    http://localhost/matter/accept/info?id=549

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|主键，自增长|-
&emsp;matterId|Long|基础事项表id|-
&emsp;matterName|String|事项名称|-
&emsp;content|String|受理条件|-
&emsp;source|Integer|事项来源 (0.政务网，1.自定义)|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;source|object|字典属性对象，详见附录|-

**响应消息样例:**

```
{
    "code": 1,
    "data": {
            "id":6306,
            "matterId":7846,
            "matterName":"ixu1jj",
            "content":"ngsx83",
            "source":1663,
            "createTime":"2022-01-20",
            "createUserId":2733,
            "updateTime":"2022-01-20"
        }
}
```

### 保存更新事项受理条件

**请求URL:** matter/accept/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新事项受理条件：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
matterId|Long|基础事项表id|是|-
matterName|String|事项名称|是|-
content|String|受理条件|是|-
source|Integer|事项来源 (0.政务网，1.自定义)|是|-

**请求样例:**

```

{
    "matterId":4751,
    "matterName":"ck29y9",
    "content":"mpvy7g",
    "source":4828,
}

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-
&emsp;entity|object|保存更新实体|对象
&emsp;&emsp;id|Long|主键，自增长|-
&emsp;&emsp;matterId|Long|基础事项表id|-
&emsp;&emsp;matterName|String|事项名称|-
&emsp;&emsp;content|String|受理条件|-
&emsp;&emsp;source|Integer|事项来源 (0.政务网，1.自定义)|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-

**响应消息样例:**

```

{
    "msg":"新增模块成功",
    "code":1,
    "data":{
            "__mortals_form_state__":"ADD",
            "id":4,
            "entity":{
                "createTime":1642486776780,
                "id":4,
                "modelCode":"phxt1",
                "modelName":"排号系统4",
                "updateTime":1642486776780
            }
    }
}

```

### 删除事项受理条件

**请求URL:** matter/accept/delete

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除事项受理条件

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**

```

    http://localhost:8080/matter/accept/delete?id=1'

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**

```

{
    "code":1,
	"msg":"成功"

}

```

## 事项收费标准

### 查询事项收费标准列表

**请求URL:** matter/charges/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询事项收费标准

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-
matterId|Long|事项基础表matter id|否|-
matterName|String|事项名称|否|-

**请求样例:**

```

  {
        "matterId":8677,
        "matterName":"un0w0b",
        "page":1,
        "size":10
  }

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键，自增长|-
&emsp;&emsp;matterId|Long|事项基础表matter id|-
&emsp;&emsp;matterName|String|事项名称|-
&emsp;&emsp;content|String|收费标准|-
&emsp;&emsp;source|Integer|事项来源，(0.政务网，1.自定义)|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;source|object|字典属性对象，详见附录|-

**响应消息样例:**

```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    },
    "query":{
        "modelCode":"phxt1",
        "modelName":"排号系统"
    }
}
```

### 查看事项收费标准

**请求URL:** matter/charges/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看事项收费标准，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**

```

    http://localhost/matter/charges/info?id=549

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|主键，自增长|-
&emsp;matterId|Long|事项基础表matter id|-
&emsp;matterName|String|事项名称|-
&emsp;content|String|收费标准|-
&emsp;source|Integer|事项来源，(0.政务网，1.自定义)|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;source|object|字典属性对象，详见附录|-

**响应消息样例:**

```
{
    "code": 1,
    "data": {
            "id":2450,
            "matterId":7827,
            "matterName":"h01l8w",
            "content":"2dhalp",
            "source":52,
            "createTime":"2022-01-20",
            "createUserId":1089,
            "updateTime":"2022-01-20"
        }
}
```

### 保存更新事项收费标准

**请求URL:** matter/charges/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新事项收费标准：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
matterId|Long|事项基础表matter id|是|-
matterName|String|事项名称|是|-
content|String|收费标准|是|-
source|Integer|事项来源，(0.政务网，1.自定义)|是|-

**请求样例:**

```

{
    "matterId":7458,
    "matterName":"o7rf01",
    "content":"dn7ppd",
    "source":4400,
}

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-
&emsp;entity|object|保存更新实体|对象
&emsp;&emsp;id|Long|主键，自增长|-
&emsp;&emsp;matterId|Long|事项基础表matter id|-
&emsp;&emsp;matterName|String|事项名称|-
&emsp;&emsp;content|String|收费标准|-
&emsp;&emsp;source|Integer|事项来源，(0.政务网，1.自定义)|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-

**响应消息样例:**

```

{
    "msg":"新增模块成功",
    "code":1,
    "data":{
            "__mortals_form_state__":"ADD",
            "id":4,
            "entity":{
                "createTime":1642486776780,
                "id":4,
                "modelCode":"phxt1",
                "modelName":"排号系统4",
                "updateTime":1642486776780
            }
    }
}

```

### 删除事项收费标准

**请求URL:** matter/charges/delete

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除事项收费标准

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**

```

    http://localhost:8080/matter/charges/delete?id=1'

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**

```

{
    "code":1,
	"msg":"成功"

}

```

## 材料附件

### 查询材料附件列表

**请求URL:** matter/datum/file/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询材料附件

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-
datumId|Long|材料id|否|-
fileName|String|附件名称|否|-

**请求样例:**

```

  {
        "datumId":6854,
        "fileName":"cmvaf0",
        "page":1,
        "size":10
  }

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键，自增长|-
&emsp;&emsp;datumId|Long|材料id|-
&emsp;&emsp;fileName|String|附件名称|-
&emsp;&emsp;fileUrl|String|附件下载地址|-
&emsp;&emsp;filetype|Integer|附件类型 (1.示例样表，2.空白表格)|-
&emsp;&emsp;source|Integer|附件来源 (0.政务网，1.自定义)|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
&emsp;&emsp;materialName|String|材料名|-
dict|object|字典对象|-
&emsp;filetype|object|字典属性对象，详见附录|-
&emsp;source|object|字典属性对象，详见附录|-

**响应消息样例:**

```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    },
    "query":{
        "modelCode":"phxt1",
        "modelName":"排号系统"
    }
}
```

### 查看材料附件

**请求URL:** matter/datum/file/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看材料附件，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**

```

    http://localhost/matter/datum/file/info?id=549

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|主键，自增长|-
&emsp;datumId|Long|材料id|-
&emsp;fileName|String|附件名称|-
&emsp;fileUrl|String|附件下载地址|-
&emsp;filetype|Integer|附件类型 (1.示例样表，2.空白表格)|-
&emsp;source|Integer|附件来源 (0.政务网，1.自定义)|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
&emsp;materialName|String|材料名|-
dict|object|字典对象|-
&emsp;filetype|object|字典属性对象，详见附录|-
&emsp;source|object|字典属性对象，详见附录|-

**响应消息样例:**

```
{
    "code": 1,
    "data": {
            "id":6421,
            "datumId":8129,
            "fileName":"323vu4",
            "fileUrl":"r2k16i",
            "filetype":1122,
            "source":7522,
            "createTime":"2022-01-20",
            "createUserId":6432,
            "updateTime":"2022-01-20",
            "materialName":"lyfq8o"
        }
}
```

### 保存更新材料附件

**请求URL:** matter/datum/file/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新材料附件：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
datumId|Long|材料id|是|-
fileName|String|附件名称|是|-
fileUrl|String|附件下载地址|是|-
filetype|Integer|附件类型 (1.示例样表，2.空白表格)|是|-
source|Integer|附件来源 (0.政务网，1.自定义)|是|-
materialName|String|材料名|是|-

**请求样例:**

```

{
    "datumId":3896,
    "fileName":"ekgiva",
    "fileUrl":"rzkwum",
    "filetype":3934,
    "source":2574,
    "materialName":"ifpw37"
}

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-
&emsp;entity|object|保存更新实体|对象
&emsp;&emsp;id|Long|主键，自增长|-
&emsp;&emsp;datumId|Long|材料id|-
&emsp;&emsp;fileName|String|附件名称|-
&emsp;&emsp;fileUrl|String|附件下载地址|-
&emsp;&emsp;filetype|Integer|附件类型 (1.示例样表，2.空白表格)|-
&emsp;&emsp;source|Integer|附件来源 (0.政务网，1.自定义)|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
&emsp;&emsp;materialName|String|材料名|-

**响应消息样例:**

```

{
    "msg":"新增模块成功",
    "code":1,
    "data":{
            "__mortals_form_state__":"ADD",
            "id":4,
            "entity":{
                "createTime":1642486776780,
                "id":4,
                "modelCode":"phxt1",
                "modelName":"排号系统4",
                "updateTime":1642486776780
            }
    }
}

```

### 删除材料附件

**请求URL:** matter/datum/file/delete

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除材料附件

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**

```

    http://localhost:8080/matter/datum/file/delete?id=1'

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**

```

{
    "code":1,
	"msg":"成功"

}

```

## 事项办理流程

### 查询事项办理流程列表

**请求URL:** matter/flowlimit/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询事项办理流程

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-
matterId|Long|事项基础表id|否|-
matterName|String|事项名称|否|-

**请求样例:**

```

  {
        "matterId":2173,
        "matterName":"cqy04f",
        "page":1,
        "size":10
  }

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键，自增长|-
&emsp;&emsp;matterId|Long|事项基础表id|-
&emsp;&emsp;matterName|String|事项名称|-
&emsp;&emsp;flowName|String|办理流程|-
&emsp;&emsp;flowTime|String|办理时长|-
&emsp;&emsp;flowLimit|String|转外时限|-
&emsp;&emsp;flowDesc|String|办理流程说明|-
&emsp;&emsp;source|Integer|事项来源(0.政务网，1.自定义)|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;source|object|字典属性对象，详见附录|-

**响应消息样例:**

```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    },
    "query":{
        "modelCode":"phxt1",
        "modelName":"排号系统"
    }
}
```

### 查看事项办理流程

**请求URL:** matter/flowlimit/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看事项办理流程，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**

```

    http://localhost/matter/flowlimit/info?id=549

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|主键，自增长|-
&emsp;matterId|Long|事项基础表id|-
&emsp;matterName|String|事项名称|-
&emsp;flowName|String|办理流程|-
&emsp;flowTime|String|办理时长|-
&emsp;flowLimit|String|转外时限|-
&emsp;flowDesc|String|办理流程说明|-
&emsp;source|Integer|事项来源(0.政务网，1.自定义)|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;source|object|字典属性对象，详见附录|-

**响应消息样例:**

```
{
    "code": 1,
    "data": {
            "id":3909,
            "matterId":3205,
            "matterName":"h6i683",
            "flowName":"yb5ugg",
            "flowTime":"ev49kh",
            "flowLimit":"a4saqm",
            "flowDesc":"svo4o3",
            "source":5527,
            "createTime":"2022-01-20",
            "createUserId":88,
            "updateTime":"2022-01-20"
        }
}
```

### 保存更新事项办理流程

**请求URL:** matter/flowlimit/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新事项办理流程：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
matterId|Long|事项基础表id|是|-
matterName|String|事项名称|是|-
flowName|String|办理流程|是|-
flowTime|String|办理时长|是|-
flowLimit|String|转外时限|是|-
flowDesc|String|办理流程说明|是|-
source|Integer|事项来源(0.政务网，1.自定义)|是|-

**请求样例:**

```

{
    "matterId":3168,
    "matterName":"swsnrv",
    "flowName":"vr4lg2",
    "flowTime":"3a6cft",
    "flowLimit":"lscqsy",
    "flowDesc":"wsfp3o",
    "source":273,
}

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-
&emsp;entity|object|保存更新实体|对象
&emsp;&emsp;id|Long|主键，自增长|-
&emsp;&emsp;matterId|Long|事项基础表id|-
&emsp;&emsp;matterName|String|事项名称|-
&emsp;&emsp;flowName|String|办理流程|-
&emsp;&emsp;flowTime|String|办理时长|-
&emsp;&emsp;flowLimit|String|转外时限|-
&emsp;&emsp;flowDesc|String|办理流程说明|-
&emsp;&emsp;source|Integer|事项来源(0.政务网，1.自定义)|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-

**响应消息样例:**

```

{
    "msg":"新增模块成功",
    "code":1,
    "data":{
            "__mortals_form_state__":"ADD",
            "id":4,
            "entity":{
                "createTime":1642486776780,
                "id":4,
                "modelCode":"phxt1",
                "modelName":"排号系统4",
                "updateTime":1642486776780
            }
    }
}

```

### 删除事项办理流程

**请求URL:** matter/flowlimit/delete

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除事项办理流程

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**

```

    http://localhost:8080/matter/flowlimit/delete?id=1'

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**

```

{
    "code":1,
	"msg":"成功"

}

```

## 事项中介服务

### 查询事项中介服务列表

**请求URL:** matter/intermediary/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询事项中介服务

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-
matterId|Long|事项matter id|否|-
matterName|String|事项名称|否|-
title|String|中介服务事项名称|否|-

**请求样例:**

```

  {
        "matterId":7330,
        "matterName":"kzotex",
        "title":"unhpcs",
        "page":1,
        "size":10
  }

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键，自增长|-
&emsp;&emsp;matterId|Long|事项matter id|-
&emsp;&emsp;matterName|String|事项名称|-
&emsp;&emsp;title|String|中介服务事项名称|-
&emsp;&emsp;intermediaryRequest|String|中介服务实施机构及资质资格要求|-
&emsp;&emsp;intermediaryRequestTime|String|服务时限|-
&emsp;&emsp;remark|String|备注|-
&emsp;&emsp;source|Integer|事项来源，(0.政务网，1.自定义)|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;source|object|字典属性对象，详见附录|-

**响应消息样例:**

```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    },
    "query":{
        "modelCode":"phxt1",
        "modelName":"排号系统"
    }
}
```

### 查看事项中介服务

**请求URL:** matter/intermediary/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看事项中介服务，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**

```

    http://localhost/matter/intermediary/info?id=549

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|主键，自增长|-
&emsp;matterId|Long|事项matter id|-
&emsp;matterName|String|事项名称|-
&emsp;title|String|中介服务事项名称|-
&emsp;intermediaryRequest|String|中介服务实施机构及资质资格要求|-
&emsp;intermediaryRequestTime|String|服务时限|-
&emsp;remark|String|备注|-
&emsp;source|Integer|事项来源，(0.政务网，1.自定义)|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;source|object|字典属性对象，详见附录|-

**响应消息样例:**

```
{
    "code": 1,
    "data": {
            "id":4634,
            "matterId":4889,
            "matterName":"3wyffd",
            "title":"fqhmyq",
            "intermediaryRequest":"okwe65",
            "intermediaryRequestTime":"4pqpz8",
            "remark":"d82t6c",
            "source":5689,
            "createTime":"2022-01-20",
            "createUserId":6033,
            "updateTime":"2022-01-20"
        }
}
```

### 保存更新事项中介服务

**请求URL:** matter/intermediary/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新事项中介服务：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
matterId|Long|事项matter id|是|-
matterName|String|事项名称|是|-
title|String|中介服务事项名称|是|-
intermediaryRequest|String|中介服务实施机构及资质资格要求|是|-
intermediaryRequestTime|String|服务时限|是|-
remark|String|备注|是|-
source|Integer|事项来源，(0.政务网，1.自定义)|是|-

**请求样例:**

```

{
    "matterId":5339,
    "matterName":"hrjf8x",
    "title":"qrajcn",
    "intermediaryRequest":"ugmqee",
    "intermediaryRequestTime":"w1h2ly",
    "remark":"umnliy",
    "source":9668,
}

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-
&emsp;entity|object|保存更新实体|对象
&emsp;&emsp;id|Long|主键，自增长|-
&emsp;&emsp;matterId|Long|事项matter id|-
&emsp;&emsp;matterName|String|事项名称|-
&emsp;&emsp;title|String|中介服务事项名称|-
&emsp;&emsp;intermediaryRequest|String|中介服务实施机构及资质资格要求|-
&emsp;&emsp;intermediaryRequestTime|String|服务时限|-
&emsp;&emsp;remark|String|备注|-
&emsp;&emsp;source|Integer|事项来源，(0.政务网，1.自定义)|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-

**响应消息样例:**

```

{
    "msg":"新增模块成功",
    "code":1,
    "data":{
            "__mortals_form_state__":"ADD",
            "id":4,
            "entity":{
                "createTime":1642486776780,
                "id":4,
                "modelCode":"phxt1",
                "modelName":"排号系统4",
                "updateTime":1642486776780
            }
    }
}

```

### 删除事项中介服务

**请求URL:** matter/intermediary/delete

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除事项中介服务

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**

```

    http://localhost:8080/matter/intermediary/delete?id=1'

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**

```

{
    "code":1,
	"msg":"成功"

}

```

## 事项常见问题

### 查询事项常见问题列表

**请求URL:** matter/question/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询事项常见问题

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-
matterId|Long|事项基础表matter id|否|-
matterName|String|事项名称|否|-
question|String|问题|否|-

**请求样例:**

```

  {
        "matterId":4001,
        "matterName":"471szs",
        "question":"nl7vkv",
        "page":1,
        "size":10
  }

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键，自增长|-
&emsp;&emsp;matterId|Long|事项基础表matter id|-
&emsp;&emsp;matterName|String|事项名称|-
&emsp;&emsp;question|String|问题|-
&emsp;&emsp;answer|String|常见问题|-
&emsp;&emsp;source|Integer|事项来源，(0.政务网，1.自定义)|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;source|object|字典属性对象，详见附录|-

**响应消息样例:**

```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    },
    "query":{
        "modelCode":"phxt1",
        "modelName":"排号系统"
    }
}
```

### 查看事项常见问题

**请求URL:** matter/question/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看事项常见问题，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**

```

    http://localhost/matter/question/info?id=549

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|主键，自增长|-
&emsp;matterId|Long|事项基础表matter id|-
&emsp;matterName|String|事项名称|-
&emsp;question|String|问题|-
&emsp;answer|String|常见问题|-
&emsp;source|Integer|事项来源，(0.政务网，1.自定义)|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;source|object|字典属性对象，详见附录|-

**响应消息样例:**

```
{
    "code": 1,
    "data": {
            "id":7822,
            "matterId":7731,
            "matterName":"914nyn",
            "question":"gmyh3g",
            "answer":"qf1xo0",
            "source":829,
            "createTime":"2022-01-20",
            "createUserId":9937,
            "updateTime":"2022-01-20"
        }
}
```

### 保存更新事项常见问题

**请求URL:** matter/question/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新事项常见问题：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
matterId|Long|事项基础表matter id|是|-
matterName|String|事项名称|是|-
question|String|问题|是|-
answer|String|常见问题|是|-
source|Integer|事项来源，(0.政务网，1.自定义)|是|-

**请求样例:**

```

{
    "matterId":4640,
    "matterName":"00jhnp",
    "question":"o429o9",
    "answer":"o1kldp",
    "source":6338,
}

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-
&emsp;entity|object|保存更新实体|对象
&emsp;&emsp;id|Long|主键，自增长|-
&emsp;&emsp;matterId|Long|事项基础表matter id|-
&emsp;&emsp;matterName|String|事项名称|-
&emsp;&emsp;question|String|问题|-
&emsp;&emsp;answer|String|常见问题|-
&emsp;&emsp;source|Integer|事项来源，(0.政务网，1.自定义)|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-

**响应消息样例:**

```

{
    "msg":"新增模块成功",
    "code":1,
    "data":{
            "__mortals_form_state__":"ADD",
            "id":4,
            "entity":{
                "createTime":1642486776780,
                "id":4,
                "modelCode":"phxt1",
                "modelName":"排号系统4",
                "updateTime":1642486776780
            }
    }
}

```

### 删除事项常见问题

**请求URL:** matter/question/delete

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除事项常见问题

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**

```

    http://localhost:8080/matter/question/delete?id=1'

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**

```

{
    "code":1,
	"msg":"成功"

}

```

## 事项设定依据

### 查询事项设定依据列表

**请求URL:** matter/setbase/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询事项设定依据

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-
matterId|Long|事项matter id|否|-
matterName|String|事项名称|否|-
policyName|String|法规标题|否|-

**请求样例:**

```

  {
        "matterId":3556,
        "matterName":"1d5nhh",
        "policyName":"5jnt3e",
        "page":1,
        "size":10
  }

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键，自增长|-
&emsp;&emsp;matterId|Long|事项matter id|-
&emsp;&emsp;matterName|String|事项名称|-
&emsp;&emsp;policyName|String|法规标题|-
&emsp;&emsp;policyType|String|法规类型，(1.法律，2.行政法规，3.地方法规，4.部门规章，5.其他，6.政府规章，7.规范性文件)|-
&emsp;&emsp;policyitem|String|条例|-
&emsp;&emsp;content|String|条款内容|-
&emsp;&emsp;source|Integer|事项来源，(0.政务网，1.自定义)|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;policyType|object|字典属性对象，详见附录|-
&emsp;source|object|字典属性对象，详见附录|-

**响应消息样例:**

```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    },
    "query":{
        "modelCode":"phxt1",
        "modelName":"排号系统"
    }
}
```

### 查看事项设定依据

**请求URL:** matter/setbase/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看事项设定依据，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**

```

    http://localhost/matter/setbase/info?id=549

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|主键，自增长|-
&emsp;matterId|Long|事项matter id|-
&emsp;matterName|String|事项名称|-
&emsp;policyName|String|法规标题|-
&emsp;policyType|String|法规类型，(1.法律，2.行政法规，3.地方法规，4.部门规章，5.其他，6.政府规章，7.规范性文件)|-
&emsp;policyitem|String|条例|-
&emsp;content|String|条款内容|-
&emsp;source|Integer|事项来源，(0.政务网，1.自定义)|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;policyType|object|字典属性对象，详见附录|-
&emsp;source|object|字典属性对象，详见附录|-

**响应消息样例:**

```
{
    "code": 1,
    "data": {
            "id":6432,
            "matterId":2527,
            "matterName":"ons1sf",
            "policyName":"b6ehen",
            "policyType":"xx0ax8",
            "policyitem":"nyp1a1",
            "content":"m2gx91",
            "source":7499,
            "createTime":"2022-01-20",
            "createUserId":9100,
            "updateTime":"2022-01-20"
        }
}
```

### 保存更新事项设定依据

**请求URL:** matter/setbase/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新事项设定依据：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
matterId|Long|事项matter id|是|-
matterName|String|事项名称|是|-
policyName|String|法规标题|是|-
policyType|String|法规类型，(1.法律，2.行政法规，3.地方法规，4.部门规章，5.其他，6.政府规章，7.规范性文件)|是|-
policyitem|String|条例|是|-
content|String|条款内容|是|-
source|Integer|事项来源，(0.政务网，1.自定义)|是|-

**请求样例:**

```

{
    "matterId":1721,
    "matterName":"pbovtq",
    "policyName":"5bqm2b",
    "policyType":"cs39ba",
    "policyitem":"inci0i",
    "content":"8xrmlm",
    "source":8483,
}

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-
&emsp;entity|object|保存更新实体|对象
&emsp;&emsp;id|Long|主键，自增长|-
&emsp;&emsp;matterId|Long|事项matter id|-
&emsp;&emsp;matterName|String|事项名称|-
&emsp;&emsp;policyName|String|法规标题|-
&emsp;&emsp;policyType|String|法规类型，(1.法律，2.行政法规，3.地方法规，4.部门规章，5.其他，6.政府规章，7.规范性文件)|-
&emsp;&emsp;policyitem|String|条例|-
&emsp;&emsp;content|String|条款内容|-
&emsp;&emsp;source|Integer|事项来源，(0.政务网，1.自定义)|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-

**响应消息样例:**

```

{
    "msg":"新增模块成功",
    "code":1,
    "data":{
            "__mortals_form_state__":"ADD",
            "id":4,
            "entity":{
                "createTime":1642486776780,
                "id":4,
                "modelCode":"phxt1",
                "modelName":"排号系统4",
                "updateTime":1642486776780
            }
    }
}

```

### 删除事项设定依据

**请求URL:** matter/setbase/delete

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除事项设定依据

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**

```

    http://localhost:8080/matter/setbase/delete?id=1'

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**

```

{
    "code":1,
	"msg":"成功"

}

```

## 部门

### 查询部门列表

**请求URL:** dept/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询部门

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-
name|String|部门名称|否|-
deptAbb|String|部门简称|否|-
deptNumber|String|部门编号|否|-
filter|Integer|是否过滤没有事项的部门(0.否，1.是)|否|-
isBkb|Integer|背靠背展示 (0.否，1.是)|否|-
orderColList| arrays  |否|排序列表字段
&emsp;| object  |否|排序列表对象
&emsp;&emsp;colName| String  |否|排序列名
&emsp;&emsp;sortKind| String  |否|排序方式（asc:升序，desc:降序，默认升序）

**请求样例:**

```
{
  "siteId":1,
  "isWorkGuide":1,
  "filter":1,
  "page":1,
  "source":0,
  "size":-1,
  "orderColList":[
    {
      "colName":"sort",
      "sortKind":"desc"
    }
  ]
}
```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;tid|String|从政务系统来的部门id|-
&emsp;&emsp;tname|String|从政务系统来的部门name|-
&emsp;&emsp;name|String|部门名称|-
&emsp;&emsp;simpleName|String|从政务系统来的别名|-
&emsp;&emsp;siteId|Long|站点ID|-
&emsp;&emsp;deptAbb|String|部门简称|-
&emsp;&emsp;deptTelphone|String|部门电话|-
&emsp;&emsp;deptNumber|String|部门编号|-
&emsp;&emsp;isAutotable|Integer|填单机展示 (0.否，1.是) |-
&emsp;&emsp;isOrder|Integer|预约展示 (0.否，1.是) |-
&emsp;&emsp;isBkb|Integer|背靠背展示 (0.否，1.是) |-
&emsp;&emsp;isWorkGuide|Integer|办事指南展示 (0.否，1.是) |-
&emsp;&emsp;usValid|Integer|是否使用 (0.否，1.是) |-
&emsp;&emsp;isSecphone|Integer|部门电话是否展示 (0.否，1.是) |-
&emsp;&emsp;isEnglish|Integer|是否展示英文 (0.否，1.是) |-
&emsp;&emsp;sort|Integer|排序|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;isAutotable|object|字典属性对象，详见附录|-
&emsp;isOrder|object|字典属性对象，详见附录|-
&emsp;isBkb|object|字典属性对象，详见附录|-
&emsp;isWorkGuide|object|字典属性对象，详见附录|-
&emsp;usValid|object|字典属性对象，详见附录|-
&emsp;isSecphone|object|字典属性对象，详见附录|-
&emsp;isEnglish|object|字典属性对象，详见附录|-

**响应消息样例:**

```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    },
    "query":{
        "modelCode":"phxt1",
        "modelName":"排号系统"
    }
}
```

### 查看部门

**请求URL:** dept/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看部门，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**

```

    http://localhost/dept/info?id=549

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|序号，主键，自增长|-
&emsp;tid|String|从政务系统来的部门id|-
&emsp;tname|String|从政务系统来的部门name|-
&emsp;name|String|部门名称|-
&emsp;simpleName|String|从政务系统来的别名|-
&emsp;siteId|Long|站点ID|-
&emsp;deptAbb|String|部门简称|-
&emsp;deptTelphone|String|部门电话|-
&emsp;deptNumber|String|部门编号|-
&emsp;isAutotable|Integer|填单机展示 (0.否，1.是) |-
&emsp;isOrder|Integer|预约展示 (0.否，1.是) |-
&emsp;isBkb|Integer|背靠背展示 (0.否，1.是) |-
&emsp;isWorkGuide|Integer|办事指南展示 (0.否，1.是) |-
&emsp;usValid|Integer|是否使用 (0.否，1.是) |-
&emsp;isSecphone|Integer|部门电话是否展示 (0.否，1.是) |-
&emsp;isEnglish|Integer|是否展示英文 (0.否，1.是) |-
&emsp;sort|Integer|排序|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;isAutotable|object|字典属性对象，详见附录|-
&emsp;isOrder|object|字典属性对象，详见附录|-
&emsp;isBkb|object|字典属性对象，详见附录|-
&emsp;isWorkGuide|object|字典属性对象，详见附录|-
&emsp;usValid|object|字典属性对象，详见附录|-
&emsp;isSecphone|object|字典属性对象，详见附录|-
&emsp;isEnglish|object|字典属性对象，详见附录|-

**响应消息样例:**

```
{
    "code": 1,
    "data": {
            "id":3878,
            "tid":"j5vugc",
            "tname":"akwq1c",
            "name":"euai3f",
            "simpleName":"hkfv7v",
            "siteId":3415,
            "deptAbb":"w2ndhg",
            "deptTelphone":"m3tcad",
            "deptNumber":"xx3e0q",
            "isAutotable":3260,
            "isOrder":652,
            "isBkb":655,
            "isWorkGuide":4574,
            "usValid":5018,
            "isSecphone":877,
            "isEnglish":7265,
            "sort":9898,
            "createTime":"2022-01-20",
            "createUserId":715,
            "updateTime":"2022-01-20"
        }
}
```

### 保存更新部门

**请求URL:** dept/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新部门：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
tid|String|从政务系统来的部门id|否|-
tname|String|从政务系统来的部门name|否|-
name|String|部门名称|是|-
simpleName|String|从政务系统来的别名|否|-
siteId|Long|站点ID|是|-
deptAbb|String|部门简称|否|-
deptTelphone|String|部门电话|否|-
deptNumber|String|部门编号|否|-
isAutotable|Integer|填单机展示 (0.否，1.是) |否|-
isOrder|Integer|预约展示 (0.否，1.是) |否|-
isBkb|Integer|背靠背展示 (0.否，1.是) |否|-
isWorkGuide|Integer|办事指南展示 (0.否，1.是) |否|-
usValid|Integer|是否使用 (0.否，1.是) |是|-
isSecphone|Integer|部门电话是否展示 (0.否，1.是) |否|-
isEnglish|Integer|是否展示英文 (0.否，1.是) |否|-
sort|Integer|排序|否|-

**请求样例:**

```

{
  "code": 1,
  "data": {
    "createTime": 1643006419000,
    "createUserId": 1,
    "deptAbb": "mly6ov",
    "deptNumber": "o9mdz123131w",
    "deptTelphone": "1328444586",
    "id": 1,
    "isAutotable": 1,
    "isBkb": 1,
    "isEnglish": 1,
    "isOrder": 1,
    "isSecphone": 1,
    "isWorkGuide": 1,
    "name": "测试站点部门",
    "simpleName": "测试站点部门",
    "siteId": 1,
    "sort": 1,
    "tid": "pnvi0e",
    "tname": "g8b6wr",
    "updateTime": 1643006419000,
    "usValid": 1
  }
}

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-
&emsp;entity|object|保存更新实体|对象
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;tid|String|从政务系统来的部门id|-
&emsp;&emsp;tname|String|从政务系统来的部门name|-
&emsp;&emsp;name|String|部门名称|-
&emsp;&emsp;simpleName|String|从政务系统来的别名|-
&emsp;&emsp;siteId|Long|站点ID|-
&emsp;&emsp;deptAbb|String|部门简称|-
&emsp;&emsp;deptTelphone|String|部门电话|-
&emsp;&emsp;deptNumber|String|部门编号|-
&emsp;&emsp;isAutotable|Integer|填单机展示 (0.否，1.是) |-
&emsp;&emsp;isOrder|Integer|预约展示 (0.否，1.是) |-
&emsp;&emsp;isBkb|Integer|背靠背展示 (0.否，1.是) |-
&emsp;&emsp;isWorkGuide|Integer|办事指南展示 (0.否，1.是) |-
&emsp;&emsp;usValid|Integer|是否使用 (0.否，1.是) |-
&emsp;&emsp;isSecphone|Integer|部门电话是否展示 (0.否，1.是) |-
&emsp;&emsp;isEnglish|Integer|是否展示英文 (0.否，1.是) |-
&emsp;&emsp;sort|Integer|排序|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-

**响应消息样例:**

```

{
    "msg":"新增模块成功",
    "code":1,
    "data":{
            "__mortals_form_state__":"ADD",
            "id":4,
            "entity":{
                "createTime":1642486776780,
                "id":4,
                "modelCode":"phxt1",
                "modelName":"排号系统4",
                "updateTime":1642486776780
            }
    }
}

```

### 删除部门

**请求URL:** dept/delete

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除部门

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**

```

    http://localhost:8080/dept/delete?id=1'

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**

```

{
    "code":1,
	"msg":"成功"

}

```

### 通过部门获取业务列表

**请求URL:** dept/getBusinessByDept

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 通过部门获取业务列表

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
idList|Arrays|部门ids|是|-

**请求样例:**

```
{"idList":[414]}

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|Object|结果集|

**响应消息样例:**

```

{
    "code":1,
	"msg":"成功"

}

```


### 通过业务ids获取部门分组列表

**请求URL:** dept/getDeptListByBusiness

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 通过业务ids获取部门分组列表

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
siteBusinessIdList|Arrays|业务ids|是|-

**请求样例:**

```
{
  "siteBusinessIdList":[8,28]
}

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|Object|结果集|

**响应消息样例:**

```

{
    "code":1,
	"msg":"成功"

}

```

## 站点部门窗口

### 查询站点部门窗口列表

**请求URL:** window/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询站点部门窗口

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-
idList|Arrays|窗口id列表|否|-

**请求样例:**

```

  {
        "page":1,
        "size":10,
         "idList":[1,2]
  }

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;siteId|Long|站点ID|-
&emsp;&emsp;siteName|String|站点名称|-
&emsp;&emsp;deptId|Long|部门ID|-
&emsp;&emsp;deptName|String|部门名称|-
&emsp;&emsp;name|String|窗口名称|-
&emsp;&emsp;englishName|String|英语窗口名|-
&emsp;&emsp;region|String|区域|-
&emsp;&emsp;englishRegion|String|英语区域|-
&emsp;&emsp;fromnum|String|窗口编号|-
&emsp;&emsp;hongqi|Integer|红旗窗口 (1.是，0.否)|-
&emsp;&emsp;summary|String|备注|-
&emsp;&emsp;building|Integer|楼栋|-
&emsp;&emsp;level|Integer|楼层|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
&emsp;&emsp;nameDesc|String|名称描述
&emsp;&emsp;englishNameDesc|String|英文名称描述
dict|object|字典对象|-
&emsp;hongqi|object|字典属性对象，详见附录|-

**响应消息样例:**

```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    },
    "query":{
        "modelCode":"phxt1",
        "modelName":"排号系统"
    }
}
```

### 查看站点部门窗口

**请求URL:** window/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看站点部门窗口，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**

```

    http://localhost/window/info?id=549

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|序号，主键，自增长|-
&emsp;siteId|Long|站点ID|-
&emsp;siteName|String|站点名称|-
&emsp;deptId|Long|部门ID|-
&emsp;deptName|String|部门名称|-
&emsp;name|String|窗口名称|-
&emsp;englishName|String|英语窗口名|-
&emsp;region|String|区域|-
&emsp;englishRegion|String|英语区域|-
&emsp;fromnum|String|窗口编号|-
&emsp;hongqi|Integer|红旗窗口 (1.是，0.否)|-
&emsp;summary|String|备注|-
&emsp;building|Integer|楼栋|-
&emsp;level|Integer|楼层|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
&emsp;nameDesc|String|名称描述
&emsp;englishNameDesc|String|英文名称描述
dict|object|字典对象|-
&emsp;hongqi|object|字典属性对象，详见附录|-

**响应消息样例:**

```

```

### 保存更新站点部门窗口

**请求URL:** window/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新站点部门窗口：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
siteId|Long|站点ID|是|-
siteName|String|站点名称|是|-
deptId|Long|部门ID|是|-
deptName|String|部门名称|是|-
name|String|窗口名称|是|-
englishName|String|英语窗口名|是|-
region|String|区域|是|-
englishRegion|String|英语区域|是|-
fromnum|String|窗口编号|是|-
hongqi|Integer|红旗窗口 (1.是，0.否)|是|-
summary|String|备注|是|-
building|Integer|楼栋|是|-
level|Integer|楼层|是|-
nameDesc|String|否|名称描述
englishNameDesc|String|否|英文名称描述

**请求样例:**

```

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-
&emsp;entity|object|保存更新实体|对象
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;siteId|Long|站点ID|-
&emsp;&emsp;siteName|String|站点名称|-
&emsp;&emsp;deptId|Long|部门ID|-
&emsp;&emsp;deptName|String|部门名称|-
&emsp;&emsp;name|String|窗口名称|-
&emsp;&emsp;englishName|String|英语窗口名|-
&emsp;&emsp;region|String|区域|-
&emsp;&emsp;englishRegion|String|英语区域|-
&emsp;&emsp;fromnum|String|窗口编号|-
&emsp;&emsp;hongqi|Integer|红旗窗口 (1.是，0.否)|-
&emsp;&emsp;summary|String|备注|-
&emsp;&emsp;building|Integer|楼栋|-
&emsp;&emsp;level|Integer|楼层|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-

**响应消息样例:**

```

```

### 删除站点部门窗口

**请求URL:** window/delete

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除站点部门窗口

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**

```

    http://localhost:8080/window/delete?id=1'

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**

```

{
    "code":1,
	"msg":"成功"

}

```



### 添加业务到窗口

**请求URL:** window/addBusinessToWindow

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 添加业务到窗口

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
businessIds|String|业务ids|是|逗号分隔
windowId|Long|窗口ID|是|窗口id

**请求样例:**

```
{
   

}


```

**Response-example:**

```
...

```


### 查询大厅窗口列表

**请求URL:** window/subHalllist

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询当前站点所有没有在大厅配置的过的窗口

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-1全部
siteId|Integer|每页条数|否|站点id

**请求样例:**

```

  {
        "page":1,
        "size":10,
         "siteId":1
  }

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;siteId|Long|站点ID|-
&emsp;&emsp;siteName|String|站点名称|-
&emsp;&emsp;deptId|Long|部门ID|-
&emsp;&emsp;deptName|String|部门名称|-
&emsp;&emsp;name|String|窗口名称|-
&emsp;&emsp;englishName|String|英语窗口名|-
&emsp;&emsp;region|String|区域|-
&emsp;&emsp;englishRegion|String|英语区域|-
&emsp;&emsp;fromnum|String|窗口编号|-
&emsp;&emsp;hongqi|Integer|红旗窗口 (1.是，0.否)|-
&emsp;&emsp;summary|String|备注|-
&emsp;&emsp;building|Integer|楼栋|-
&emsp;&emsp;level|Integer|楼层|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;hongqi|object|字典属性对象，详见附录|-

**响应消息样例:**

```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    },
}
```


## 工作人员

### 查询工作人员列表

**请求URL:** workman/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询工作人员

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-
deptId|Long|部门id号|否|-
deptName|String|部门名称|否|-
windowId|Long|窗口id号|否|-
windowName|String|窗口名称|否|-
siteId|Long|站点ID|否|-
siteName|String|站点名称|否|-
name|String|姓名|否|-
number|String|工号|否|-
modelIds|String|模块id,逗号分隔|否|-
modelIds|String|模块id,逗号分隔|否|-


**请求样例:**

```

  {
        "deptId":1825,
        "deptName":"3cca81",
        "windowId":2970,
        "windowName":"2shv7u",
        "siteId":4516,
        "siteName":"o4ci2j",
        "name":"to5b5a",
        "number":"qrw98p",
        "page":1,
        "size":10
  }

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|--|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;loginName|Long|工作人员登录名称|-
&emsp;&emsp;deptId|Long|部门id号|-
&emsp;&emsp;deptName|String|部门名称|-
&emsp;&emsp;windowId|Long|窗口id号|-
&emsp;&emsp;windowName|String|窗口名称|-
&emsp;&emsp;siteId|Long|站点ID|-
&emsp;&emsp;siteName|String|站点名称|-
&emsp;&emsp;name|String|姓名|-
&emsp;&emsp;number|String|工号|-
&emsp;&emsp;userpost|String|职务|-
&emsp;&emsp;posttitle|String|职称|-
&emsp;&emsp;politicalstatus|Integer|政治面貌 (0.中共党员，1.中共预备党员，2.共青团员，3.普通居民，4.其它)|-
&emsp;&emsp;dangyuan|Integer|党员 (0.非党员，1.党员，2.党员示范岗，3.党员先锋岗，99.其它)|-
&emsp;&emsp;dangyuanext|String|扩展信息|-
&emsp;&emsp;idCard|String|身份证
&emsp;&emsp;phone|String|电话|-
&emsp;&emsp;mobile|String|手机|-
&emsp;&emsp;modelIds|String|模块id,逗号分隔|-
&emsp;&emsp;starlevel|Integer|星级|-
&emsp;&emsp;summary|String|个人简介|-
&emsp;&emsp;photoPath|String|照片|-
&emsp;&emsp;duty|String|岗位职责|-
&emsp;&emsp;promise|String|服务承诺|-
&emsp;&emsp;business|String|办理事项|-
&emsp;&emsp;online|Integer|是否在线（0.离线，1.在线，2.暂离,3.点击暂离,4.回归,5.登陆）|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
&emsp;&emsp;operatorId|String|一体化经办人id|-
dict|object|字典对象|-
&emsp;online|object|字典属性对象，详见附录|-

**响应消息样例:**

```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    },
    "query":{
        "modelCode":"phxt1",
        "modelName":"排号系统"
    }
}
```

### 查看工作人员

**请求URL:** workman/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看工作人员，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**

```

    http://localhost/workman/info?id=549

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|序号，主键，自增长|-
&emsp;deptId|Long|部门id号|-
&emsp;deptName|String|部门名称|-
&emsp;windowId|Long|窗口id号|-
&emsp;windowName|String|窗口名称|-
&emsp;siteId|Long|站点ID|-
&emsp;siteName|String|站点名称|-
&emsp;name|String|姓名|-
&emsp;number|String|工号|-
&emsp;userpost|String|职务|-
&emsp;posttitle|String|职称|-
&emsp;politicalstatus|Integer|政治面貌 （0.中共党员，1.中共预备党员，2.共青团员，3.普通居民，4.其它)|-
&emsp;dangyuan|Integer|党员 （0.非党员，1.党员，2.党员示范岗，3.党员先锋岗)|-
&emsp;idCard|String|身份证
&emsp;phone|String|电话|-
&emsp;mobile|String|手机|-
&emsp;starlevel|Integer|星级|-
&emsp;summary|String|个人简介|-
&emsp;photoPath|String|照片|-
&emsp;duty|String|岗位职责|-
&emsp;promise|String|服务承诺|-
&emsp;business|String|办理事项|-
&emsp;modelIds|String|模块id,逗号分隔|-
&emsp;online|Integer|是否在线（0.离线，1.在线，2.暂离,3.点击暂离,4.回归,5.登陆）|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
&emsp;operatorId|String|一体化经办人id|-
dict|object|字典对象|-
&emsp;online|object|字典属性对象，详见附录|-

**响应消息样例:**

```

```

### 保存更新工作人员

**请求URL:** workman/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新工作人员：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称| 类型      | 备注                                        | 必填  |其它
---|---------|-------------------------------------------|-----|---
loginName| String  | 用户名                                       | 是   |-
loginPwd| String  | 密码                                        | 是   |-
deptId| Long    | 部门id号                                     | 是   |-
deptName| String  | 部门名称                                      | 是   |-
windowId| Long    | 窗口id号                                     | 是   |-
windowName| String  | 窗口名称                                      | 是   |-
siteId| Long    | 站点ID                                      | 是   |-
siteName| String  | 站点名称                                      | 是   |-
name| String  | 姓名                                        | 是   |-
number| String  | 工号                                        | 是   |-
userpost| String  | 职务                                        | 是   |-
posttitle| String  | 职称                                        | 是   |-
politicalstatus| Integer | 政治面貌 （0.中共党员，1.中共预备党员，2.共青团员，3.普通居民，4.其它) | 是   |-
dangyuan| Integer | 党员 （0.非党员，1.党员，2.党员示范岗，3.党员先锋岗，99.其它)     | 是   |-
idCard|String| 身份证                                       |否
dangyuanext| String  | 党员扩展                                      | 否   |-
phone| String  | 电话                                        | 是   |-
mobile| String  | 手机                                        | 是   |-
starlevel| Integer | 星级                                        | 是   |-
summary| String  | 个人简介                                      | 是   |-
photoPath| String  | 照片                                        | 是   |-
duty| String  | 岗位职责                                      | 是   |-
promise| String  | 服务承诺               bn nb                  | 是   |-
business| String  | 办理事项                                      | 是   |-
modelIds| String  | 模块ids                                     | 是   |-
online| Integer | 是否在线（0.离线，1.在线，2.暂离,3.点击暂离,4.回归,5.登陆）     | 是   |-
operatorId|String|一体化经办人id|否|-

**请求样例:**

```

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-
&emsp;entity|object|保存更新实体|对象
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;deptId|Long|部门id号|-
&emsp;&emsp;deptName|String|部门名称|-
&emsp;&emsp;windowId|Long|窗口id号|-
&emsp;&emsp;windowName|String|窗口名称|-
&emsp;&emsp;siteId|Long|站点ID|-
&emsp;&emsp;siteName|String|站点名称|-
&emsp;&emsp;name|String|姓名|-
&emsp;&emsp;number|String|工号|-
&emsp;&emsp;userpost|String|职务|-
&emsp;&emsp;posttitle|String|职称|-
&emsp;&emsp;politicalstatus|Integer|政治面貌 （0.中共党员，1.中共预备党员，2.共青团员，3.普通居民，4.其它)|-
&emsp;&emsp;dangyuan|Integer|党员 （0.非党员，1.党员，2.党员示范岗，3.党员先锋岗)|-
&emsp;&emsp;phone|String|电话|-
&emsp;&emsp;mobile|String|手机|-
&emsp;&emsp;starlevel|Integer|星级|-
&emsp;&emsp;summary|String|个人简介|-
&emsp;&emsp;photoPath|String|照片|-
&emsp;&emsp;duty|String|岗位职责|-
&emsp;&emsp;promise|String|服务承诺|-
&emsp;&emsp;business|String|办理事项|-
&emsp;&emsp;online|Integer|是否在线（0.离线，1.在线，2.暂离,3.点击暂离,4.回归,5.登陆）|-
&emsp;&emsp;operatorId|String|一体化经办人id|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-

**响应消息样例:**

```


```

### 工作人员登录

**请求URL:** workman/doLogin

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:**

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
loginName|String|用户名|是|-
loginPwd|String|密码|是|-

**请求样例:**

```

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-
&emsp;entity|object|保存更新实体|对象
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;deptId|Long|部门id号|-
&emsp;&emsp;deptName|String|部门名称|-
&emsp;&emsp;windowId|Long|窗口id号|-
&emsp;&emsp;windowName|String|窗口名称|-
&emsp;&emsp;siteId|Long|站点ID|-
&emsp;&emsp;siteName|String|站点名称|-
&emsp;&emsp;name|String|姓名|-
&emsp;&emsp;number|String|工号|-
&emsp;&emsp;userpost|String|职务|-
&emsp;&emsp;posttitle|String|职称|-
&emsp;&emsp;politicalstatus|Integer|政治面貌 （0.中共党员，1.中共预备党员，2.共青团员，3.普通居民，4.其它)|-
&emsp;&emsp;dangyuan|Integer|党员 （0.非党员，1.党员，2.党员示范岗，3.党员先锋岗)|-
&emsp;&emsp;phone|String|电话|-
&emsp;&emsp;mobile|String|手机|-
&emsp;&emsp;starlevel|Integer|星级|-
&emsp;&emsp;summary|String|个人简介|-
&emsp;&emsp;photoPath|String|照片|-
&emsp;&emsp;duty|String|岗位职责|-
&emsp;&emsp;promise|String|服务承诺|-
&emsp;&emsp;business|String|办理事项|-
&emsp;&emsp;online|Integer|是否在线（0.离线，1.在线，2.暂离,3.点击暂离,4.回归,5.登陆）|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-

**响应消息样例:**

```

```

### 工作人员密码修改

**请求URL:** workman/change/password

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:**

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
loginName|String|用户名|是|-
oldPwd|String|旧密码|是|-
newPwd|String|新密码|是|-

**请求样例:**

```

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

### 删除工作人员

**请求URL:** workman/delete

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除工作人员

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**

```

    http://localhost:8080/workman/delete?id=1'

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**

```

```

### 导入工作人员模板下载

**请求URL:** workman/downloadTemplate

**请求方式:** POST

**内容类型:** application/x-www-form-urlencoded;charset=utf-8

**简要描述:** 工作人员导入模板下载

**请求样例:**

```

    http://localhost/workman/downloadTemplate

```

**Response-example:**

```
...

```

### 导入工作人员

**请求URL:** workman/importData

**请求方式:** POST

**内容类型:** multipart/form-data

**简要描述:** 导入工作人员

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
file|file|文件流|是|-
updateSupport|boolean|相同数据项是否更新|false|-

**请求样例:**

```

    http://localhost/workman/importData --data 'updateSupport=true'

```

**Response-example:**

```
...

```

### 导出工作人员

**请求URL:** workman/exportExcel

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 导出工作人员

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
idList|Arrays|id数组|否|需要导出的多项
deptId|Long|部门id号|否|参数查询条件
deptName|String|部门名称|否|参数查询条件
windowId|Long|窗口id号|否|参数查询条件
windowName|String|窗口名称|否|参数查询条件
siteId|Long|站点ID|否|参数查询条件
siteName|String|站点名称|否|参数查询条件
name|String|姓名|否|参数查询条件
number|String|工号|否|参数查询条件

**请求样例:**

```
{
    idList:[1,2],
        "deptId":2254,
        "deptName":"57gigc",
        "windowId":3055,
        "windowName":"uyot73",
        "siteId":3728,
        "siteName":"xbwmbd",
        "name":"4f2b4z",
        "number":"27m0ph",

}


```

**Response-example:**

```
...

```

## 站点业务

### 查询站点业务列表

**请求URL:** site/business/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询站点业务

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-

**请求样例:**

```

  {
        "page":1,
        "size":10
  }

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;siteId|Long|站点ID|-
&emsp;&emsp;siteName|String|站点名称|-
&emsp;&emsp;ancestors|String|祖级列表，逗号分隔|-
&emsp;&emsp;businessId|Long|业务ID|-
&emsp;&emsp;isBusiness|Integer|业务类型(0.一级业务,1.二级业务)|-
&emsp;&emsp;parentId|Long|业务父级ID|-
&emsp;&emsp;businessName|String|业务名称|-
&emsp;&emsp;status|Integer|业务状态 (0.停用，1.正常)|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;isBusiness|object|字典属性对象，详见附录|-
&emsp;status|object|字典属性对象，详见附录|-

**响应消息样例:**

```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    },
    "query":{
        "modelCode":"phxt1",
        "modelName":"排号系统"
    }
}
```

### 查询业务列表（非树形）

**请求URL:** site/business/flatList

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询站点业务

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-1查询全部
siteId|Long|站点Id|否|-

**请求样例:**

```
  {
        "siteId":12321,
        "page":1,
        "size":10
  }

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;siteId|Long|站点ID|-
&emsp;&emsp;siteName|String|站点名称|-
&emsp;&emsp;ancestors|String|祖级列表，逗号分隔|-
&emsp;&emsp;businessId|Long|业务ID|-
&emsp;&emsp;isBusiness|Integer|业务类型(0.一级业务,1.二级业务)|-
&emsp;&emsp;parentId|Long|业务父级ID|-
&emsp;&emsp;businessName|String|业务名称|-
&emsp;&emsp;status|Integer|业务状态 (0.停用，1.正常)|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;isBusiness|object|字典属性对象，详见附录|-
&emsp;status|object|字典属性对象，详见附录|-

**响应消息样例:**

```
{

}
```

### 查看站点业务

**请求URL:** site/business/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看站点业务，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**

```

    http://localhost/site/business/info?id=549

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|序号，主键，自增长|-
&emsp;siteId|Long|站点ID|-
&emsp;siteName|String|站点名称|-
&emsp;ancestors|String|祖级列表，逗号分隔|-
&emsp;businessId|Long|业务ID|-
&emsp;isBusiness|Integer|业务类型(0.一级业务,1.二级业务)|-
&emsp;parentId|Long|业务父级ID|-
&emsp;businessName|String|业务名称|-
&emsp;status|Integer|业务状态 (0.停用，1.正常)|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;isBusiness|object|字典属性对象，详见附录|-
&emsp;status|object|字典属性对象，详见附录|-

**响应消息样例:**

```
{
    "code": 1,
    "data": {
            "id":6359,
            "siteId":7183,
            "siteName":"ogqt4r",
            "ancestors":"9hbmif",
            "businessId":3215,
            "isBusiness":7872,
            "parentId":3603,
            "businessName":"lm7xuz",
            "status":9670,
            "createTime":"2022-01-20",
            "createUserId":3441,
            "updateTime":"2022-01-20"
        }
}
```

### 保存更新站点业务

**请求URL:** site/business/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新站点业务：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
siteId|Long|站点ID|是|-
siteName|String|站点名称|是|-
ancestors|String|祖级列表，逗号分隔|是|-
businessId|Long|业务ID|是|-
isBusiness|Integer|业务类型(0.一级业务,1.二级业务)|是|-
parentId|Long|业务父级ID|是|-
businessName|String|业务名称|是|-
status|Integer|业务状态 (0.停用，1.正常)|是|-

**请求样例:**

```

{
    "siteId":1528,
    "siteName":"1tu3gc",
    "ancestors":"3pl8ft",
    "businessId":7906,
    "isBusiness":7336,
    "parentId":9290,
    "businessName":"7cqyft",
    "status":474,
}

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-
&emsp;entity|object|保存更新实体|对象
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;siteId|Long|站点ID|-
&emsp;&emsp;siteName|String|站点名称|-
&emsp;&emsp;ancestors|String|祖级列表，逗号分隔|-
&emsp;&emsp;businessId|Long|业务ID|-
&emsp;&emsp;isBusiness|Integer|业务类型(0.一级业务,1.二级业务)|-
&emsp;&emsp;parentId|Long|业务父级ID|-
&emsp;&emsp;businessName|String|业务名称|-
&emsp;&emsp;status|Integer|业务状态 (0.停用，1.正常)|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-

**响应消息样例:**

```

{
    "msg":"新增模块成功",
    "code":1,
    "data":{
            "__mortals_form_state__":"ADD",
            "id":4,
            "entity":{
                "createTime":1642486776780,
                "id":4,
                "modelCode":"phxt1",
                "modelName":"排号系统4",
                "updateTime":1642486776780
            }
    }
}

```

### 删除站点业务

**请求URL:** site/business/delete

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除站点业务

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**

```

    http://localhost:8080/site/business/delete?id=1'

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**

```

{
    "code":1,
	"msg":"成功"

}

```

## 业务事项关联

### 查询业务事项关联列表

**请求URL:** business/matter/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询业务事项关联

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-
siteId|Long|站点ID|否|-
siteBusinessId|Long|业务id|否|-
matterId|Long|事项id|否|-

**请求样例:**

```

  {
        "siteId":6325,
        "siteBusinessId":8310,
        "matterId":7540,
        "page":1,
        "size":10
  }

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;siteId|Long|站点ID|-
&emsp;&emsp;siteName|String|站点名称|-
&emsp;&emsp;siteBusinessId|Long|业务id|-
&emsp;&emsp;siteBusinessName|String|业务名称|-
&emsp;&emsp;matterId|Long|事项id|-
&emsp;&emsp;matterName|String|事项名称|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-

**响应消息样例:**

```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    },
    "query":{
        "modelCode":"phxt1",
        "modelName":"排号系统"
    }
}
```

### 查看业务事项关联

**请求URL:** business/matter/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看业务事项关联，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**

```

    http://localhost/business/matter/info?id=549

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|序号，主键，自增长|-
&emsp;siteId|Long|站点ID|-
&emsp;siteName|String|站点名称|-
&emsp;siteBusinessId|Long|业务id|-
&emsp;siteBusinessName|String|业务名称|-
&emsp;matterId|Long|事项id|-
&emsp;matterName|String|事项名称|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-

**响应消息样例:**

```
{
    "code": 1,
    "data": {
            "id":1854,
            "siteId":5756,
            "siteName":"0qgv9z",
            "siteBusinessId":5724,
            "siteBusinessName":"vkd4ei",
            "matterId":7383,
            "matterName":"bne31q",
            "createTime":"2022-01-20",
            "createUserId":9528,
            "updateTime":"2022-01-20"
        }
}
```

### 保存更新业务事项关联

**请求URL:** business/matter/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新业务事项关联：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
siteId|Long|站点ID|是|-
siteName|String|站点名称|是|-
siteBusinessId|Long|业务id|是|-
siteBusinessName|String|业务名称|是|-
matterId|Long|事项id|是|-
matterName|String|事项名称|是|-

**请求样例:**

```

{
    "siteId":3701,
    "siteName":"1g9g6a",
    "siteBusinessId":5174,
    "siteBusinessName":"l9it9g",
    "matterId":3695,
    "matterName":"nx48a4",
}

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-
&emsp;entity|object|保存更新实体|对象
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;siteId|Long|站点ID|-
&emsp;&emsp;siteName|String|站点名称|-
&emsp;&emsp;siteBusinessId|Long|业务id|-
&emsp;&emsp;siteBusinessName|String|业务名称|-
&emsp;&emsp;matterId|Long|事项id|-
&emsp;&emsp;matterName|String|事项名称|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-

**响应消息样例:**

```

{
    "msg":"新增模块成功",
    "code":1,
    "data":{
            "__mortals_form_state__":"ADD",
            "id":4,
            "entity":{
                "createTime":1642486776780,
                "id":4,
                "modelCode":"phxt1",
                "modelName":"排号系统4",
                "updateTime":1642486776780
            }
    }
}

```

### 删除业务事项关联

**请求URL:** business/matter/delete

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除业务事项关联

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**

```

    http://localhost:8080/business/matter/delete?id=1'

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**

```

{
    "code":1,
	"msg":"成功"

}

```

## 窗口业务

### 查询窗口业务列表

**请求URL:** window/business/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询窗口业务

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-
windowId|Long|窗口id|否|-
siteBusinessId|Long|站点业务ID|否|-

**请求样例:**

```

  {
        "windowId":608,
        "siteBusinessId":3179,
        "page":1,
        "size":10
  }

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;windowId|Long|窗口id|-
&emsp;&emsp;windowName|String|窗口名称|-
&emsp;&emsp;siteBusinessId|Long|站点业务ID|-
&emsp;&emsp;businessName|String|业务名称|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-

**响应消息样例:**

```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    },
    "query":{
        "modelCode":"phxt1",
        "modelName":"排号系统"
    }
}
```

### 查看窗口业务

**请求URL:** window/business/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看窗口业务，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**

```

    http://localhost/window/business/info?id=549

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|序号，主键，自增长|-
&emsp;windowId|Long|窗口id|-
&emsp;windowName|String|窗口名称|-
&emsp;siteBusinessId|Long|站点业务ID|-
&emsp;businessName|String|业务名称|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-

**响应消息样例:**

```
{
    "code": 1,
    "data": {
            "id":609,
            "windowId":4474,
            "windowName":"ino2e2",
            "siteBusinessId":4469,
            "businessName":"3y0ohl",
            "createTime":"2022-01-20",
            "createUserId":1459,
            "updateTime":"2022-01-20"
        }
}
```

### 保存更新窗口业务

**请求URL:** window/business/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新窗口业务：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
windowId|Long|窗口id|是|-
windowName|String|窗口名称|是|-
siteBusinessId|Long|站点业务ID|是|-
businessName|String|业务名称|是|-

**请求样例:**

```

{
    "windowId":4074,
    "windowName":"2ebok4",
    "siteBusinessId":4104,
    "businessName":"67os3n",
}

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-
&emsp;entity|object|保存更新实体|对象
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;windowId|Long|窗口id|-
&emsp;&emsp;windowName|String|窗口名称|-
&emsp;&emsp;siteBusinessId|Long|站点业务ID|-
&emsp;&emsp;businessName|String|业务名称|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-

**响应消息样例:**

```

{
    "msg":"新增模块成功",
    "code":1,
    "data":{
            "__mortals_form_state__":"ADD",
            "id":4,
            "entity":{
                "createTime":1642486776780,
                "id":4,
                "modelCode":"phxt1",
                "modelName":"排号系统4",
                "updateTime":1642486776780
            }
    }
}

```

### 删除窗口业务

**请求URL:** window/business/delete

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除窗口业务

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**

```

    http://localhost:8080/window/business/delete?id=1'

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**

```

{
    "code":1,
	"msg":"成功"

}

```

## 窗口事项

### 查询窗口事项列表

**请求URL:** window/matter/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询窗口事项

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-
windowId|Long|窗口ID|否|-
siteMatterId|Long|站点事项ID|否|-
deptId|Long|部门ID|否|-

**请求样例:**

```

  {
        "windowId":4378,
        "siteMatterId":4903,
        "deptId":7226,
        "page":1,
        "size":10
  }

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;windowId|Long|窗口ID|-
&emsp;&emsp;windowName|String|窗口名称|-
&emsp;&emsp;siteMatterId|Long|站点事项ID|-
&emsp;&emsp;matterName|String|事项名称|-
&emsp;&emsp;deptId|Long|部门ID|-
&emsp;&emsp;deptName|String|部门名称|-
&emsp;&emsp;isShow|Integer|是否显示 (1.是，0.否)|-
&emsp;&emsp;sort|Integer|排序|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;isShow|object|字典属性对象，详见附录|-

**响应消息样例:**

```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    },
    "query":{
        "modelCode":"phxt1",
        "modelName":"排号系统"
    }
}
```

### 查看窗口事项

**请求URL:** window/matter/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看窗口事项，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**

```

    http://localhost/window/matter/info?id=549

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|序号，主键，自增长|-
&emsp;windowId|Long|窗口ID|-
&emsp;windowName|String|窗口名称|-
&emsp;siteMatterId|Long|站点事项ID|-
&emsp;matterName|String|事项名称|-
&emsp;deptId|Long|部门ID|-
&emsp;deptName|String|部门名称|-
&emsp;isShow|Integer|是否显示 (1.是，0.否)|-
&emsp;sort|Integer|排序|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;isShow|object|字典属性对象，详见附录|-

**响应消息样例:**

```
{
    "code": 1,
    "data": {
            "id":6053,
            "windowId":69,
            "windowName":"64rwjk",
            "siteMatterId":8665,
            "matterName":"hjnkoq",
            "deptId":1727,
            "deptName":"yckvo6",
            "isShow":9799,
            "sort":6368,
            "createTime":"2022-01-20",
            "createUserId":1039,
            "updateTime":"2022-01-20"
        }
}
```

### 保存更新窗口事项

**请求URL:** window/matter/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新窗口事项：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
windowId|Long|窗口ID|是|-
windowName|String|窗口名称|是|-
siteMatterId|Long|站点事项ID|是|-
matterName|String|事项名称|是|-
deptId|Long|部门ID|是|-
deptName|String|部门名称|是|-
isShow|Integer|是否显示 (1.是，0.否)|是|-
sort|Integer|排序|是|-

**请求样例:**

```

{
    "windowId":8143,
    "windowName":"mtv5rh",
    "siteMatterId":6893,
    "matterName":"epawga",
    "deptId":5288,
    "deptName":"ivpfm8",
    "isShow":5062,
    "sort":4093,
}

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-
&emsp;entity|object|保存更新实体|对象
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;windowId|Long|窗口ID|-
&emsp;&emsp;windowName|String|窗口名称|-
&emsp;&emsp;siteMatterId|Long|站点事项ID|-
&emsp;&emsp;matterName|String|事项名称|-
&emsp;&emsp;deptId|Long|部门ID|-
&emsp;&emsp;deptName|String|部门名称|-
&emsp;&emsp;isShow|Integer|是否显示 (1.是，0.否)|-
&emsp;&emsp;sort|Integer|排序|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-

**响应消息样例:**

```

{
    "msg":"新增模块成功",
    "code":1,
    "data":{
            "__mortals_form_state__":"ADD",
            "id":4,
            "entity":{
                "createTime":1642486776780,
                "id":4,
                "modelCode":"phxt1",
                "modelName":"排号系统4",
                "updateTime":1642486776780
            }
    }
}

```


### 批量保存更新窗口事项

**请求URL:** window/matter/batchSave

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新窗口事项：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
windowId|Long|窗口ID|是|-
windowName|String|窗口名称|是|-
siteMatterId|Long|站点事项ID|是|-
matterName|String|事项名称|是|-
deptId|Long|部门ID|是|-
deptName|String|部门名称|是|-
isShow|Integer|是否显示 (1.是，0.否)|是|-
sort|Integer|排序|是|-

**请求样例:**

```
[
{
    "windowId":1,
    "windowName":"mtv5rh",
    "siteMatterId":6893,
    "matterName":"epawga",
    "deptId":5288,
    "deptName":"ivpfm8",
    "isShow":1,
    "sort":1,
}]

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-

**响应消息样例:**

```

{
    "msg":"批量新增成功",
    "code":1,
    "data":{}
    }
}

```

### 删除窗口事项

**请求URL:** window/matter/delete

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除窗口事项

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**

```

    http://localhost:8080/window/matter/delete?id=1'

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**

```

{
    "code":1,
	"msg":"成功"

}

```

## 短信设置

### 查询短信设置列表

**请求URL:** sms/set/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询短信设置

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
siteId|Long|站点id|否|-

**请求样例:**

```
  {
        "siteId":7832,
     
  }
```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;sign|String|短信签名|-
&emsp;&emsp;lastnum|Long|剩余短信条数|-
&emsp;&emsp;username|String|用户名|-
&emsp;&emsp;messageoff|Integer|短信开关 (1.开,0.关)|-
&emsp;&emsp;siteId|Long|站点id|-
&emsp;&emsp;smsplatform|Integer|短信平台 (1.容联,2.阿里云,3.移动)|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
&emsp;&emsp;siteName|String|站点名称|-
dict|object|字典对象|-
&emsp;messageoff|object|字典属性对象，详见附录|-
&emsp;smsplatform|object|字典属性对象，详见附录|-

**响应消息样例:**

```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    },
    "query":{
        "modelCode":"phxt1",
        "modelName":"排号系统"
    }
}
```

### 保存更新短信设置

**请求URL:** sms/set/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新短信设置：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
siteId|Long|站点id|是|-
siteName|String|站点名称|是|-
messageoff|Integer|短信开关 (1.开,0.关)|是|-

**请求样例:**

```
{
    "siteId":2436,
    "siteName":"td3b9x",
    "messageoff":0,
}

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-
&emsp;entity|object|保存更新实体|对象
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;sign|String|短信签名|-
&emsp;&emsp;lastnum|Long|剩余短信条数|-
&emsp;&emsp;username|String|用户名|-
&emsp;&emsp;messageoff|Integer|短信开关 (1.开,0.关)|-
&emsp;&emsp;siteId|Long|站点id|-
&emsp;&emsp;smsplatform|Integer|短信平台 (1.容联,2.阿里云,3.移动)|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
&emsp;&emsp;siteName|String|站点名称|-

**响应消息样例:**

```

{
    "msg":"新增模块成功",
    "code":1,
    "data":{
            "__mortals_form_state__":"ADD",
            "id":4,
            "entity":{
                "createTime":1642486776780,
                "id":4,
                "modelCode":"phxt1",
                "modelName":"排号系统4",
                "updateTime":1642486776780
            }
    }
}

```

### 删除短信设置

**请求URL:** sms/set/delete

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除短信设置

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**

```

    http://localhost:8080/sms/set/delete?id=1'

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**

```

{
    "code":1,
	"msg":"成功"

}

```

## 短信模板

### 查询短信模板列表

**请求URL:** sms/template/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询短信模板

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-
siteid|Long|站点ID|否|-
code|String|模板code|否|-

**请求样例:**

```

  {
        "siteid":5023,
        "code":"aystj7",
        "page":1,
        "size":10
  }

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;siteid|Long|站点ID|-
&emsp;&emsp;code|String|模板code|-
&emsp;&emsp;summary|String|备注|-
&emsp;&emsp;content|String|内容|-
&emsp;&emsp;type|Integer|模板选择 (1.预约成功短信,2.取号成功短信,3.临近叫号短信)|-
&emsp;&emsp;source|Integer|系统来源(1.排号系统,2.取件系统）|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
&emsp;&emsp;siteName|String|站点名称|-
dict|object|字典对象|-
&emsp;type|object|字典属性对象，详见附录|-

**响应消息样例:**

```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    },
    "query":{
        "modelCode":"phxt1",
        "modelName":"排号系统"
    }
}
```

### 查看短信模板

**请求URL:** sms/template/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看短信模板，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**

```

    http://localhost/sms/template/info?id=549

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|序号，主键，自增长|-
&emsp;siteid|Long|站点ID|-
&emsp;code|String|模板code|-
&emsp;summary|String|备注|-
&emsp;content|String|内容|-
&emsp;type|Integer|模板选择 (1.预约成功短信,2.取号成功短信,3.临近叫号短信)|-
&emsp;source|Integer|系统来源(1.排号系统,2.取件系统）|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
&emsp;siteName|String|站点名称|-
dict|object|字典对象|-
&emsp;type|object|字典属性对象，详见附录|-

**响应消息样例:**

```
{
    "code": 1,
    "data": {
            "id":9282,
            "siteid":286,
            "code":"ek95u9",
            "summary":"2eulo7",
            "content":"dqmtxi",
            "type":3013,
            "source":2256,
            "createTime":"2022-01-20",
            "createUserId":1265,
            "updateTime":"2022-01-20",
            "siteName":"480o1d"
        }
}
```

### 保存更新短信模板

**请求URL:** sms/template/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新短信模板：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
siteid|Long|站点ID|是|-
code|String|模板code|是|-
summary|String|备注|是|-
content|String|内容|是|-
type|Integer|模板选择 (1.预约成功短信,2.取号成功短信,3.临近叫号短信)|是|-
source|Integer|系统来源(1.排号系统,2.取件系统）|是|-
siteName|String|站点名称|是|-

**请求样例:**

```

{
    "siteid":555,
    "code":"61ggk9",
    "summary":"pjd65w",
    "content":"c5ebwu",
    "type":4127,
    "source":2791,
    "siteName":"dl66lx"
}

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-
&emsp;entity|object|保存更新实体|对象
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;siteid|Long|站点ID|-
&emsp;&emsp;code|String|模板code|-
&emsp;&emsp;summary|String|备注|-
&emsp;&emsp;content|String|内容|-
&emsp;&emsp;type|Integer|模板选择 (1.预约成功短信,2.取号成功短信,3.临近叫号短信)|-
&emsp;&emsp;source|Integer|系统来源(1.排号系统,2.取件系统）|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
&emsp;&emsp;siteName|String|站点名称|-

**响应消息样例:**

```

{
    "msg":"新增模块成功",
    "code":1,
    "data":{
            "__mortals_form_state__":"ADD",
            "id":4,
            "entity":{
                "createTime":1642486776780,
                "id":4,
                "modelCode":"phxt1",
                "modelName":"排号系统4",
                "updateTime":1642486776780
            }
    }
}

```

### 删除短信模板

**请求URL:** sms/template/delete

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除短信模板

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**

```

    http://localhost:8080/sms/template/delete?id=1'

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**

```

{
    "code":1,
	"msg":"成功"

}

```

## 节假日

### 查询节假日列表

**请求URL:** holiday/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询节假日

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-
siteId|Long|站点ID|否|-
name|String|节日名称|否|-
year|Integer|年份|否|-

**请求样例:**

```

  {
        "siteId":8753,
        "name":"3mddm4",
        "year":4926,
        "page":1,
        "size":10
  }

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;siteId|Long|站点ID|-
&emsp;&emsp;name|String|节日名称|-
&emsp;&emsp;summary|String|备注|-
&emsp;&emsp;year|Integer|年份|-
&emsp;&emsp;startTime|Date|开始时间|-
&emsp;&emsp;endTime|Date|结束时间|-
&emsp;&emsp;workorholiday|Integer|是否工作日（0.节假日,1.工作日)|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-

**响应消息样例:**

```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    },
    "query":{
        "modelCode":"phxt1",
        "modelName":"排号系统"
    }
}
```

### 查看节假日

**请求URL:** holiday/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看节假日，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**

```

    http://localhost/holiday/info?id=549

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|序号，主键，自增长|-
&emsp;siteId|Long|站点ID|-
&emsp;name|String|节日名称|-
&emsp;summary|String|备注|-
&emsp;year|Integer|年份|-
&emsp;startTime|Date|开始时间|-
&emsp;endTime|Date|结束时间|-
&emsp;workorholiday|Integer|是否工作日（0.节假日,1.工作日)|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-

**响应消息样例:**

```
{
    "code": 1,
    "data": {
            "id":9570,
            "siteId":6109,
            "name":"bhjyt6",
            "summary":"vwtu13",
            "year":4021,
            "startTime":"2022-01-20",
            "endTime":"2022-01-20",
            "workorholiday":9042,
            "createTime":"2022-01-20",
            "createUserId":5336,
            "updateTime":"2022-01-20"
        }
}
```

### 保存更新节假日

**请求URL:** holiday/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新节假日：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
siteId|Long|站点ID|是|-
name|String|节日名称|是|-
summary|String|备注|是|-
year|Integer|年份|是|-
startTime|Date|开始时间|是|-
endTime|Date|结束时间|是|-
workorholiday|Integer|是否工作日（0.节假日,1.工作日)|是|-

**请求样例:**

```

{
    "siteId":2820,
    "name":"4fyqim",
    "summary":"vw50f4",
    "year":3721,
    "startTime":"2022-01-20",
    "endTime":"2022-01-20",
    "workorholiday":6137,
}

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-
&emsp;entity|object|保存更新实体|对象
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;siteId|Long|站点ID|-
&emsp;&emsp;name|String|节日名称|-
&emsp;&emsp;summary|String|备注|-
&emsp;&emsp;year|Integer|年份|-
&emsp;&emsp;startTime|Date|开始时间|-
&emsp;&emsp;endTime|Date|结束时间|-
&emsp;&emsp;workorholiday|Integer|是否工作日（0.节假日,1.工作日)|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-

**响应消息样例:**

```

{
    "msg":"新增模块成功",
    "code":1,
    "data":{
            "__mortals_form_state__":"ADD",
            "id":4,
            "entity":{
                "createTime":1642486776780,
                "id":4,
                "modelCode":"phxt1",
                "modelName":"排号系统4",
                "updateTime":1642486776780
            }
    }
}

```

### 删除节假日

**请求URL:** holiday/delete

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除节假日

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**

```

    http://localhost:8080/holiday/delete?id=1'

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**

```

{
    "code":1,
	"msg":"成功"

}

```

## 产品

### 查询产品列表

**请求URL:** product/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询产品

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-1为查询所有

**请求样例:**

```
  {
        "page":1,
        "size":10
  }

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键ID，主键，自增长|-
&emsp;&emsp;productName|String|产品名称|-
&emsp;&emsp;productCode|String|产品编码|-
&emsp;&emsp;productRemark|String|备注|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;updateUserId|Long|更新用户|-
&emsp;&emsp;updateTime|Date|更新时间|-
dict|object|字典对象|-

**响应消息样例:**

```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    },
    "query":{
        "modelCode":"phxt1",
        "modelName":"排号系统"
    }
}
```

### 查看产品

**请求URL:** product/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看产品，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**

```

    http://localhost/product/info?id=549

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|主键ID，主键，自增长|-
&emsp;productName|String|产品名称|-
&emsp;productCode|String|产品编码|-
&emsp;productRemark|String|备注|-
&emsp;createUserId|Long|创建用户|-
&emsp;createTime|Date|创建时间|-
&emsp;updateUserId|Long|更新用户|-
&emsp;updateTime|Date|更新时间|-
dict|object|字典对象|-

**响应消息样例:**

```
{
    "code": 1,
    "data": {
            "id":8828,
            "productName":"hym13l",
            "productCode":"foq4iy",
            "productRemark":"hohx3r",
            "createUserId":2201,
            "createTime":"2022-05-24",
            "updateUserId":4705,
            "updateTime":"2022-05-24"
        }
}
```

### 保存更新产品

**请求URL:** product/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新产品：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
productName|String|产品名称|是|-
productCode|String|产品编码|是|-
productRemark|String|备注|是|-

**请求样例:**

```

{
    "productName":"m0rlar",
    "productCode":"ah1bb7",
    "productRemark":"13qrvl",
}

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-
&emsp;entity|object|保存更新实体|对象
&emsp;&emsp;id|Long|主键ID，主键，自增长|-
&emsp;&emsp;productName|String|产品名称|-
&emsp;&emsp;productCode|String|产品编码|-
&emsp;&emsp;productRemark|String|备注|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;updateUserId|Long|更新用户|-
&emsp;&emsp;updateTime|Date|更新时间|-

**响应消息样例:**

```

{
    "msg":"新增模块成功",
    "code":1,
    "data":{
            "__mortals_form_state__":"ADD",
            "id":4,
            "entity":{
                "createTime":1642486776780,
                "id":4,
                "modelCode":"phxt1",
                "modelName":"排号系统4",
                "updateTime":1642486776780
            }
    }
}

```

### 删除产品

**请求URL:** product/delete

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除产品

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**

```

    http://localhost:8080/product/delete?id=1'

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**

```

{
    "code":1,
	"msg":"成功"

}

```

## 系统基础皮肤

### 查询系统基础皮肤列表

**请求URL:** skin/base/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询系统基础皮肤

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-1为全部
productCode|String|产品编码|否|pdj=排队机;ckp=窗口屏;hjq=呼叫器;jzxsp=集中显示屏;dsj=导视机;pjq=评级器;zzfwzd=自助服务终端;tdj=填单机;ybj=样表机;

**请求样例:**

```

  {
        "page":1,
        "size":10,
        "productCode":"pdj"
        
  }

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;categoryId|Long|所属种类,来源种类|-
&emsp;&emsp;productId|Long|产品id|-
&emsp;&emsp;productName|String|产品名称|-
&emsp;&emsp;cssFilePath|String|css模板合成后文件地址|-
&emsp;&emsp;imageResolution|String|分辨率 (1.1920*1080，2.1080*1920，3.1280*1280)|-
&emsp;&emsp;previewImagePath|String|预览图片|-
&emsp;&emsp;sortNum|Integer|排序编号|-
&emsp;&emsp;skinFieldList|Arrays|皮肤属性列表|-
&emsp;&emsp;&emsp;id|Long|ID|-
&emsp;&emsp;&emsp;skinId|Long|皮肤id|-
&emsp;&emsp;&emsp;templateId|Long|模板id,不为空时为模板配置属性|-
&emsp;&emsp;&emsp;fieldCode|String|字段编码|-
&emsp;&emsp;&emsp;fieldName|String|字段名称|-
&emsp;&emsp;&emsp;fieldType|String|数据类型（1.颜色，2.图片地址）|-
&emsp;&emsp;&emsp;fieldValue|String|字段值|-
&emsp;&emsp;&emsp;fieldLen|Integer|数据长度，默认100|-
&emsp;&emsp;&emsp;fieldNull|Integer|是否允许为空，0否1是|-
&emsp;&emsp;&emsp;fieldOrderNo|String|排序号|-
&emsp;&emsp;&emsp;remark|String|备注|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
&emsp;&emsp;name|String|产品皮肤名称，唯一且不为空|-
dict|object|字典对象|-

**响应消息样例:**

```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    }
}
```

### 查看系统基础皮肤

**请求URL:** skin/base/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看系统基础皮肤，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**

```
    http://localhost/skin/base/info?id=549
```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|序号，主键，自增长|-
&emsp;categoryId|Long|所属种类,来源种类|-
&emsp;productId|Long|产品id|-
&emsp;productName|String|产品名称|-
&emsp;cssFilePath|String|css模板合成后文件地址|-
&emsp;sortNum|Integer|排序编号|-
&emsp;name|String|产品皮肤名称，唯一且不为空|-
&emsp;imageResolution|String|分辨率 (1.1920*1080，2.1080*1920，3.1280*1280)|-
&emsp;previewImagePath|String|预览图片|-
&emsp;skinFieldList|Arrays|皮肤属性列表|-
&emsp;&emsp;id|Long|ID|-
&emsp;&emsp;skinId|Long|皮肤id|-
&emsp;&emsp;templateId|Long|模板id,不为空时为模板配置属性|-
&emsp;&emsp;fieldCode|String|字段编码|-
&emsp;&emsp;fieldName|String|字段名称|-
&emsp;&emsp;fieldType|String|数据类型（1.颜色，2.图片地址）|-
&emsp;&emsp;fieldValue|String|字段值|-
&emsp;&emsp;fieldLen|Integer|数据长度，默认100|-
&emsp;&emsp;fieldNull|Integer|是否允许为空，0否1是|-
&emsp;&emsp;fieldOrderNo|String|排序号|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
&emsp;name|String|产品皮肤名称，唯一且不为空|-
dict|object|字典对象|-

**响应消息样例:**

```
{
    "code": 1,
    "data": {
            "id":9178,
            "categoryId":1060,
            "productId":870,
            "productName":"bts4lb",
            "cssFilePath":"miafc3",
            "sortNum":749,
            "createTime":"2022-05-24",
            "createUserId":3251,
            "updateTime":"2022-05-24",
            "name":"srh4xi"
        }
}
```

### 保存更新系统基础皮肤

**请求URL:** skin/base/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新系统基础皮肤：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
categoryId|Long|所属种类,来源种类|是|-
productId|Long|产品id|是|-
productName|String|产品名称|是|-
cssFilePath|String|css模板合成后文件地址|是|-
sortNum|Integer|排序编号|是|-
name|String|产品皮肤名称，唯一且不为空|是|-
imageResolution|String|分辨率 (1.1920*1080，2.1080*1920，3.1280*1280)|是|-
previewImagePath|String|预览图片|是|-
skinFieldList|Arrays|皮肤属性列表|是|-
&emsp;id|Long|ID|是|-
&emsp;skinId|Long|皮肤id|是|-
&emsp;templateId|Long|模板id,不为空时为模板配置属性|否|-
&emsp;fieldCode|String|字段编码|是|-
&emsp;fieldName|String|字段名称|是|-
&emsp;fieldType|String|数据类型（1.颜色，2.图片地址）|是|-
&emsp;fieldValue|String|字段值|是|-
&emsp;fieldLen|Integer|数据长度，默认100|是|-
&emsp;fieldNull|Integer|是否允许为空，0否1是|是|-
&emsp;fieldOrderNo|String|排序号|是|-

**请求样例:**

```

{
    "categoryId":7334,
    "productId":8273,
    "productName":"ug744s",
    "cssFilePath":"m5cctt",
    "sortNum":9498,
    "name":"grw4yu"
}

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-
&emsp;entity|object|保存更新实体|对象
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;categoryId|Long|所属种类,来源种类|-
&emsp;&emsp;productId|Long|产品id|-
&emsp;&emsp;productName|String|产品名称|-
&emsp;&emsp;cssFilePath|String|css模板合成后文件地址|-
&emsp;&emsp;sortNum|Integer|排序编号|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
&emsp;&emsp;name|String|产品皮肤名称，唯一且不为空|-

**响应消息样例:**

```

{
    "msg":"新增模块成功",
    "code":1,
    "data":{
            "__mortals_form_state__":"ADD",
            "id":4,
            "entity":{
                "createTime":1642486776780,
                "id":4,
                "modelCode":"phxt1",
                "modelName":"排号系统4",
                "updateTime":1642486776780
            }
    }
}

```

### 删除系统基础皮肤

**请求URL:** skin/base/delete

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除系统基础皮肤

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**

```
    http://localhost:8080/skin/base/delete?id=1'
```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**

```

{
    "code":1,
	"msg":"成功"

}

```

## 系统皮肤模板

### 查询系统皮肤模板列表

**请求URL:** skin/template/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询系统皮肤模板

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-1

**请求样例:**

```
  {
        "page":1,
        "size":10
  }

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;productId|Long|产品ID|-
&emsp;&emsp;productName|String|产品名称|-
&emsp;&emsp;templateName|String|模板名称|-
&emsp;&emsp;skinFieldList|Arrays|皮肤属性列表|-
&emsp;&emsp;&emsp;id|Long|ID|-
&emsp;&emsp;&emsp;skinId|Long|皮肤id|-
&emsp;&emsp;&emsp;templateId|Long|模板id,不为空时为模板配置属性|-
&emsp;&emsp;&emsp;fieldCode|String|字段编码|-
&emsp;&emsp;&emsp;fieldName|String|字段名称|-
&emsp;&emsp;&emsp;fieldType|String|数据类型（1.颜色，2.图片地址）|-
&emsp;&emsp;&emsp;fieldValue|String|字段值|-
&emsp;&emsp;&emsp;fieldLen|Integer|数据长度，默认100|-
&emsp;&emsp;&emsp;fieldNull|Integer|是否允许为空，0否1是|-
&emsp;&emsp;&emsp;fieldOrderNo|String|排序号|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-

**响应消息样例:**

```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    },
    "query":{
        "modelCode":"phxt1",
        "modelName":"排号系统"
    }
}
```

### 查看系统皮肤模板

**请求URL:** skin/template/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看系统皮肤模板，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**

```

    http://localhost/skin/template/info?id=549

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|序号，主键，自增长|-
&emsp;productId|Long|产品ID|-
&emsp;productName|String|产品名称|-
&emsp;templateName|String|模板名称|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-

**响应消息样例:**

```
{
    "code": 1,
    "data": {
            "id":2387,
            "productId":2127,
            "productName":"k1oyub",
            "templateName":"r8wvjv",
            "createTime":"2022-05-24",
            "createUserId":9107,
            "updateTime":"2022-05-24"
        }
}
```

### 保存更新系统皮肤模板

**请求URL:** skin/template/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新系统皮肤模板：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
productId|Long|产品ID|是|-
productName|String|产品名称|是|-
templateName|String|模板名称|是|-
skinFieldList|Arrays|皮肤属性列表|是|-
&emsp;id|Long|ID|是|-
&emsp;skinId|Long|皮肤id|是|-
&emsp;templateId|Long|模板id,不为空时为模板配置属性|否|-
&emsp;fieldCode|String|字段编码|是|-
&emsp;fieldName|String|字段名称|是|-
&emsp;fieldType|String|数据类型（1.颜色，2.图片地址）|是|-
&emsp;fieldValue|String|字段值|是|-
&emsp;fieldLen|Integer|数据长度，默认100|是|-
&emsp;fieldNull|Integer|是否允许为空，0否1是|是|-
&emsp;fieldOrderNo|String|排序号|是|-

**请求样例:**

```
{
    "productId":9859,
    "productName":"u0u2tk",
    "templateName":"uu2uz9",
}

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-
&emsp;entity|object|保存更新实体|对象
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;productId|Long|产品ID|-
&emsp;&emsp;productName|String|产品名称|-
&emsp;&emsp;templateName|String|模板名称|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-

**响应消息样例:**

```

{
    "msg":"新增模块成功",
    "code":1,
    "data":{
            "__mortals_form_state__":"ADD",
            "id":4,
            "entity":{
                "createTime":1642486776780,
                "id":4,
                "modelCode":"phxt1",
                "modelName":"排号系统4",
                "updateTime":1642486776780
            }
    }
}

```

### 删除系统皮肤模板

**请求URL:** skin/template/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除系统皮肤模板

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**

```
    http://localhost:8080/skin/template/delete?id=1'
```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**

```
{
    "code":1,
	"msg":"成功"

}

```

## 皮肤属性字段配置

### 查询皮肤属性字段配置列表

**请求URL:** skin/field/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询皮肤属性字段配置

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-1查询所有
skinId|Long|产品皮肤ID|否|
templateId|Long|产品模板ID|否|

**请求样例:**

```

  {
        "page":1,
        "size":10
  }

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;skinId|Long|皮肤id|-
&emsp;&emsp;templateId|Long|模板id,不为空时为模板配置属性|-
&emsp;&emsp;fieldCode|String|字段编码|-
&emsp;&emsp;fieldName|String|字段名称|-
&emsp;&emsp;fieldType|String|数据类型（1.颜色，2.图片地址）|-
&emsp;&emsp;fieldValue|String|字段值|-
&emsp;&emsp;fieldLen|Integer|数据长度，默认100|-
&emsp;&emsp;fieldNull|Integer|是否允许为空，0否1是|-
&emsp;&emsp;fieldOrderNo|String|排序号|-
&emsp;&emsp;remark|String|备注|-
&emsp;&emsp;enabled|Integer|是否启用，0否1是|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
&emsp;&emsp;updateUserId|Long|修改用户|-
dict|object|字典对象|-
&emsp;fieldType|object|字典属性对象，详见附录|-

**响应消息样例:**

```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    },
    "query":{
        "modelCode":"phxt1",
        "modelName":"排号系统"
    }
}
```

### 查看皮肤属性字段配置

**请求URL:** skin/field/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看皮肤属性字段配置，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**

```

    http://localhost/skin/field/info?id=549

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|序号，主键，自增长|-
&emsp;skinId|Long|皮肤id|-
&emsp;templateId|Long|模板id,不为空时为模板配置属性|-
&emsp;fieldCode|String|字段编码|-
&emsp;fieldName|String|字段名称|-
&emsp;fieldType|String|数据类型（1.颜色，2.图片地址）|-
&emsp;fieldValue|String|字段值|-
&emsp;fieldLen|Integer|数据长度，默认100|-
&emsp;fieldNull|Integer|是否允许为空，0否1是|-
&emsp;fieldOrderNo|String|排序号|-
&emsp;remark|String|备注|-
&emsp;enabled|Integer|是否启用，0否1是|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
&emsp;updateUserId|Long|修改用户|-
dict|object|字典对象|-
&emsp;fieldType|object|字典属性对象，详见附录|-

**响应消息样例:**

```
{
    "code": 1,
    "data": {
            "id":3005,
            "skinId":1939,
            "templateId":1491,
            "fieldCode":"qts13r",
            "fieldName":"x744d8",
            "fieldType":"v5fddy",
            "fieldValue":"taerzd",
            "fieldLen":2061,
            "fieldNull":462,
            "fieldOrderNo":"m96lxf",
            "remark":"eezl03",
            "enabled":2982,
            "createTime":"2022-05-24",
            "createUserId":7715,
            "updateTime":"2022-05-24",
            "updateUserId":3863
        }
}
```

### 保存更新皮肤属性字段配置

**请求URL:** skin/field/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新皮肤属性字段配置：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
skinId|Long|皮肤id|是|-
templateId|Long|模板id,不为空时为模板配置属性|是|-
fieldCode|String|字段编码|是|-
fieldName|String|字段名称|是|-
fieldType|String|数据类型（1.颜色，2.图片地址）|是|-
fieldValue|String|字段值|是|-
fieldLen|Integer|数据长度，默认100|是|-
fieldNull|Integer|是否允许为空，0否1是|是|-
fieldOrderNo|String|排序号|是|-
remark|String|备注|是|-
enabled|Integer|是否启用，0否1是|是|-

**请求样例:**

```

{
    "skinId":6333,
    "templateId":6493,
    "fieldCode":"2psfz0",
    "fieldName":"wp1zqc",
    "fieldType":"ngy4jx",
    "fieldValue":"srpx1u",
    "fieldLen":1626,
    "fieldNull":2283,
    "fieldOrderNo":"vagivy",
    "remark":"byhxb5",
    "enabled":3333,
}

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-
&emsp;entity|object|保存更新实体|对象
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;skinId|Long|皮肤id|-
&emsp;&emsp;templateId|Long|模板id,不为空时为模板配置属性|-
&emsp;&emsp;fieldCode|String|字段编码|-
&emsp;&emsp;fieldName|String|字段名称|-
&emsp;&emsp;fieldType|String|数据类型（1.颜色，2.图片地址）|-
&emsp;&emsp;fieldValue|String|字段值|-
&emsp;&emsp;fieldLen|Integer|数据长度，默认100|-
&emsp;&emsp;fieldNull|Integer|是否允许为空，0否1是|-
&emsp;&emsp;fieldOrderNo|String|排序号|-
&emsp;&emsp;remark|String|备注|-
&emsp;&emsp;enabled|Integer|是否启用，0否1是|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
&emsp;&emsp;updateUserId|Long|修改用户|-

**响应消息样例:**

```

{
    "msg":"新增模块成功",
    "code":1,
    "data":{
            "__mortals_form_state__":"ADD",
            "id":4,
            "entity":{
                "createTime":1642486776780,
                "id":4,
                "modelCode":"phxt1",
                "modelName":"排号系统4",
                "updateTime":1642486776780
            }
    }
}

```

### 删除皮肤属性字段配置

**请求URL:** skin/field/delete

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除皮肤属性字段配置

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**

```

    http://localhost:8080/skin/field/delete?id=1'

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**

```

{
    "code":1,
	"msg":"成功"

}

```

## 系统皮肤分类

### 查询系统皮肤分类列表

**请求URL:** skin/category/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询系统皮肤分类

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
page|Integer|当前页|否|-
size|Integer|每页条数|否|-1查询所有
name|String|分类名称|否|字段前后添加%%模糊查询

**请求样例:**

```
  {
        "page":1,
        "size":10
  }

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;name|String|分类名称|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-

**响应消息样例:**

```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    },
    "query":{
        "modelCode":"phxt1",
        "modelName":"排号系统"
    }
}
```

### 查看系统皮肤分类

**请求URL:** skin/category/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看系统皮肤分类，返回实例详细信息

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|Long|主键,唯一|是|-

**请求样例:**

```

    http://localhost/skin/category/info?id=549

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|序号，主键，自增长|-
&emsp;name|String|分类名称|-
&emsp;createTime|Date|创建时间|-
&emsp;createUserId|Long|创建用户|-
&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-

**响应消息样例:**

```
{
    "code": 1,
    "data": {
            "id":5835,
            "name":"d99ib4",
            "createTime":"2022-05-24",
            "createUserId":4537,
            "updateTime":"2022-05-24"
        }
}
```

### 保存更新系统皮肤分类

**请求URL:** skin/category/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新系统皮肤分类：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
name|String|分类名称|是|-

**请求样例:**

```

{
    "name":"s8fx7a",
}

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;id|Long|保存后主键id|-
&emsp;entity|object|保存更新实体|对象
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;name|String|分类名称|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-

**响应消息样例:**

```

{
    "msg":"新增模块成功",
    "code":1,
    "data":{
            "__mortals_form_state__":"ADD",
            "id":4,
            "entity":{
                "createTime":1642486776780,
                "id":4,
                "modelCode":"phxt1",
                "modelName":"排号系统4",
                "updateTime":1642486776780
            }
    }
}

```

### 删除系统皮肤分类

**请求URL:** skin/category/delete

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除系统皮肤分类

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
id|String|字符串，多个逗号分隔|是|-

**请求样例:**

```

    http://localhost:8080/skin/category/delete?id=1'

```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**

```

{
    "code":1,
	"msg":"成功"

}

```

## 人员身份信息

### 保存更新用户信息

**请求URL:** people/info/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新用户信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
id|Long|否|
name|String|是|姓名
sex|String|是|性别
nation|String|是|民族
born|String|是|出生日期
address|String|是|地址
idCardNo|String|是|身份证号
grantDept|String|是|发证机关
userLifeBegin|String|是|有效期开始
userLifeEnd|String|是|有效期结束
photoFileName|String|是|照片
phone|String|是|手机
openid|String|是|微信开放认证id
icon|String|是|微信头像
nickname|String|是|微信昵称
username|String|是|天府通办用户名
createTime|Date|否|申请预约时间
updateTime|Date|否|

**请求样例:**

```
{
    "name":"g1mtla",
    "sex":"yw1i5w",
    "nation":"41zi5f",
    "born":"a491q9",
    "address":"1r4khf",
    "idCardNo":"4fj9z8",
    "grantDept":"p1k0fs",
    "userLifeBegin":"mfsh33",
    "userLifeEnd":"xet91i",
    "photoFileName":"rzyl46",
    "phone":"nousp9",
    "openid":"pv5ivw",
    "lastTime":"2022-08-08",
    "upTime":"2022-08-08",
    "icon":"1tc9bb",
    "nickname":"bta47q",
    "zImg":"o2l8lq",
    "bImg":"o6ll60",
    "siteid":1733,
    "username":"3kw7ko",
}

```

**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|
&emsp;&emsp;name|String|姓名
&emsp;&emsp;sex|String|性别
&emsp;&emsp;nation|String|民族
&emsp;&emsp;born|String|出生日期
&emsp;&emsp;address|String|地址
&emsp;&emsp;idCardNo|String|身份证号
&emsp;&emsp;grantDept|String|发证机关
&emsp;&emsp;userLifeBegin|String|有效期开始
&emsp;&emsp;userLifeEnd|String|有效期结束
&emsp;&emsp;photoFileName|String|照片
&emsp;&emsp;phone|String|手机
&emsp;&emsp;openid|String|
&emsp;&emsp;lastTime|Date|最近登录时间
&emsp;&emsp;upTime|Date|
&emsp;&emsp;icon|String|微信头像
&emsp;&emsp;nickname|String|微信昵称
&emsp;&emsp;zImg|String|身份证正面照片
&emsp;&emsp;bImg|String|身份证背面照片
&emsp;&emsp;siteid|Long|默认选择的站点id
&emsp;&emsp;username|String|天府通办用户名
&emsp;&emsp;createTime|Date|申请预约时间
&emsp;&emsp;updateTime|Date|

**响应消息样例:**

```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 查看用户信息

**请求URL:** people/info/findIdEntity

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看用户信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
idCardNo|String|是|身份证号
phone|String|是|手机
openid|String|是|微信开放认证id

**请求样例:**

```
{
    "idCardNo":"4fj9z8",
    "phone":"nousp9",
    "openid":"pv5ivw"
}

```

**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|
&emsp;name|String|姓名
&emsp;sex|String|性别
&emsp;nation|String|民族
&emsp;born|String|出生日期
&emsp;address|String|地址
&emsp;idCardNo|String|身份证号
&emsp;grantDept|String|发证机关
&emsp;userLifeBegin|String|有效期开始
&emsp;userLifeEnd|String|有效期结束
&emsp;photoFileName|String|照片
&emsp;phone|String|手机
&emsp;openid|String|
&emsp;lastTime|Date|最近登录时间
&emsp;upTime|Date|
&emsp;icon|String|微信头像
&emsp;nickname|String|微信昵称
&emsp;zImg|String|身份证正面照片
&emsp;bImg|String|身份证背面照片
&emsp;siteid|Long|默认选择的站点id
&emsp;username|String|天府通办用户名
&emsp;createTime|Date|申请预约时间
&emsp;updateTime|Date|
dict|object|字典对象

**响应消息样例:**

```
{
    "code": 1,
    "data": {
            "id":8372,
            "name":"3nj72f",
            "sex":"8pss9q",
            "nation":"y79jur",
            "born":"6y0ihf",
            "address":"d9b5h9",
            "idCardNo":"651c8z",
            "grantDept":"80i44h",
            "userLifeBegin":"vjgnio",
            "userLifeEnd":"dr6abb",
            "photoFileName":"1pm3dk",
            "phone":"xbu2rm",
            "openid":"s4x184",
            "lastTime":"2022-08-08",
            "upTime":"2022-08-08",
            "icon":"ayzdhq",
            "nickname":"f485cv",
            "zImg":"baipag",
            "bImg":"mfv9jr",
            "siteid":7496,
            "username":"vfycx8",
            "createTime":"2022-08-08",
            "updateTime":"2022-08-08"
        }
}
```

## 自助终端应用

### 查询自助终端应用列表

**请求URL:** app/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询自助终端应用

**请求参数:**

参数名称| 类型      |必填|描述
:---|:--------|:---|:------
page| Integer |否|当前页
size| Integer |否|每页条数，值为-1，查询所有记录
siteId| Long    |否|站点Id
appName| String  |否|应用名称,字段前后添加%%模糊查询
type| Integer |否|类型(1.终端应用,2.移动端应用)
deviceCode| String  |否|设备编码，用于控制单个设备显示的app

**请求样例:**

```
  {
        "siteId":3,
        "appName":"%测试%",
        "type":1,
        "page":1,
        "size":10
  }

```

**响应参数:**

参数名称| 参数类型    |描述
:---|:--------|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;siteId|Long|站点Id
&emsp;&emsp;siteName|String|站点名称
&emsp;&emsp;appCode|String|应用编码
&emsp;&emsp;appName|String|应用名称
&emsp;&emsp;appIconPath|String|应用图标
&emsp;&emsp;appThemeName|String|应用主题名称
&emsp;&emsp;type|Integer|类型(1.终端应用,2.移动端应用)
&emsp;&emsp;url|String|链接地址
&emsp;&emsp;downDevCount|Integer|下发设备次数
&emsp;&emsp;shelves|Integer|是否上架(0.下架，1.上架)
&emsp;&emsp;appType|Integer|类型(1.应用程序,2.url)
&emsp;&emsp;fileName|String|文件名称
&emsp;&emsp;filePath|String|文件相对路径地址
&emsp;&emsp;distributeFilePath|String|文件部署路径地址
&emsp;&emsp;version|Integer|当前版本
&emsp;&emsp;summary|String|简介
&emsp;&emsp;notes|String|更新说明
&emsp;&emsp;distribute|Integer|是否部署(0.否，1.是)
&emsp;&emsp;dataUpdate|Integer|是否数据更新(0.否，1.是)
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
&emsp;&emsp;serviceApi|String|服务接口地址
&emsp;&emsp;custUrl|String|自主应用前端访问地址
&emsp;&emsp;appIconUrl|String|自主应用前端图标地址
dict|object|字典对象
&emsp;type|object|字典属性对象，详见附录
&emsp;shelves|object|字典属性对象，详见附录
&emsp;appType|object|字典属性对象，详见附录
&emsp;distribute|object|字典属性对象，详见附录
&emsp;dataUpdate|object|字典属性对象，详见附录

**响应消息样例:**

```
{
    "code":1,
    "data":{
    }
}
```

### 查看自助终端应用

**请求URL:** app/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看自助终端应用，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**

```
    http://localhost/app/info?id=549
```

**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|主键ID，主键，自增长
&emsp;siteId|Long|站点Id
&emsp;siteName|String|站点名称
&emsp;appCode|String|应用编码
&emsp;appName|String|应用名称
&emsp;appIconPath|String|应用图标
&emsp;appThemeName|String|应用主题名称
&emsp;type|Integer|类型(1.终端应用,2.移动端应用)
&emsp;url|String|链接地址
&emsp;downDevCount|Integer|下发设备次数
&emsp;shelves|Integer|是否上架(0.下架，1.上架)
&emsp;appType|Integer|类型(1.应用程序,2.url)
&emsp;fileName|String|文件名称
&emsp;filePath|String|文件相对路径地址
&emsp;distributeFilePath|String|文件部署路径地址
&emsp;version|Integer|当前版本
&emsp;summary|String|简介
&emsp;notes|String|更新说明
&emsp;distribute|Integer|是否部署(0.否，1.是)
&emsp;dataUpdate|Integer|是否数据更新(0.否，1.是)
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
&emsp;serviceApi|String|服务接口地址
&emsp;custUrl|String|自主应用前端访问地址
&emsp;appIconUrl|String|自主应用前端图标地址
dict|object|字典对象
&emsp;type|object|字典属性对象，详见附录
&emsp;shelves|object|字典属性对象，详见附录
&emsp;appType|object|字典属性对象，详见附录
&emsp;distribute|object|字典属性对象，详见附录
&emsp;dataUpdate|object|字典属性对象，详见附录

**响应消息样例:**

```
{
    "code": 1,
    "data": {
            "id":5661,
            "siteId":3038,
            "siteName":"59cqwl",
            "appCode":"ew650t",
            "appName":"01v3ys",
            "appIconPath":"i9tva9",
            "appThemeName":"t9c5x7",
            "type":8218,
            "downDevCount":8121,
            "shelves":767,
            "filePath":"bahk04",
            "distributeFilePath":"zwnec2",
            "version":"h2hykn",
            "summary":"fkx21x",
            "distribute":2324,
            "dateUpdate":4081,
            "createTime":"2022-11-28",
            "updateUserId":1517,
            "updateTime":"2022-11-28"
        }
}
```

### 保存更新自助终端应用

**请求URL:** app/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新自助终端应用：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
siteId|Long|否|站点Id
siteName|String|否|站点名称
appCode|String|否|应用编码
appName|String|否|应用名称
appIconPath|String|否|应用图标
appThemeName|String|否|应用主题名称
type|Integer|否|类型(1.终端应用,2.移动端应用)
url|String|否|链接地址
downDevCount|Integer|否|下发设备次数
shelves|Integer|否|是否上架(0.下架，1.上架)
appType|Integer|否|类型(1.应用程序,2.url)
fileName|String|否|文件名称
filePath|String|否|文件相对路径地址
distributeFilePath|String|否|文件部署路径地址
version|Integer|否|当前版本
summary|String|否|简介
notes|String|否|更新说明
distribute|Integer|否|是否部署(0.否，1.是)
dataUpdate|Integer|否|是否数据更新(0.否，1.是)
serviceApi|String|否|服务接口地址

**请求样例:**

```
{
    "siteId":3,
    "siteName":"d2gw07",
    "appCode":"lkbgoi",
    "appName":"pcgabb",
    "appIconPath":"3dzxzj",
    "appThemeName":"jy1ied",
    "type":1,
    "appType":1,
    "downDevCount":1824,
    "shelves":226,
    "filePath":"f20yrl",
    "summary":"ahn2gk",
    "distribute":0,
    "dataUpdate":5868,
}

```

**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;siteId|Long|站点Id
&emsp;&emsp;siteName|String|站点名称
&emsp;&emsp;appCode|String|应用编码
&emsp;&emsp;appName|String|应用名称
&emsp;&emsp;appIconPath|String|应用图标
&emsp;&emsp;appThemeName|String|应用主题名称
&emsp;&emsp;type|Integer|类型(1.终端应用,2.移动端应用)
&emsp;&emsp;downDevCount|Integer|下发设备次数
&emsp;&emsp;shelves|Integer|是否上架(0.上架，1.下架)
&emsp;&emsp;filePath|String|文件相对路径地址
&emsp;&emsp;distributeFilePath|String|文件部署路径地址
&emsp;&emsp;version|String|当前版本
&emsp;&emsp;summary|String|简介
&emsp;&emsp;distribute|Integer|是否部署(0.否，1.是)
&emsp;&emsp;dateUpdate|Integer|是否数据更新(0.否，1.是)
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**

```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除自助终端应用

**请求URL:** app/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除自助终端应用

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**

```
    http://localhost:8080/app/delete?id=1&id=2'
```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**

```
{
    "code":1,
	"msg":"成功"
}

```


### 自助终端应用部署

**请求URL:** app/appDistribute

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 应用部署

**请求参数:**

参数名称| 类型    | 必填  |描述
:---|:------|:----|:-------
id|Long|否|应用Id

**请求样例:**

```
{

}

```

**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象

**响应消息样例:**

```
{
    "msg":"应用部署成功",
    "code":1,
    "data":{}
    }
}

```

## 自助终端应用分类

### 查询自助终端应用分类列表

**请求URL:** /app/category/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询自助终端应用分类

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
{
      "page":1,
      "size":10
}

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;siteId|Long|站点Id
&emsp;&emsp;siteName|String|站点名称
&emsp;&emsp;categoryCode|String|分类编码
&emsp;&emsp;categoryName|String|分类名称
&emsp;&emsp;sort|Integer|排序字段
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
  "code":1,
  "data":{
  }
}
```

### 查看自助终端应用分类

**请求URL:** /app/category/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看自助终端应用分类，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
  http://localhost/app/category/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|主键ID，主键，自增长
&emsp;siteId|Long|站点Id
&emsp;siteName|String|站点名称
&emsp;categoryCode|String|分类编码
&emsp;categoryName|String|分类名称
&emsp;sort|Integer|排序字段
&emsp;createTime|Date|创建时间
&emsp;createUserId|Long|创建用户
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
  "code": 1,
  "data": {
          "id":7446,
          "siteId":6287,
          "siteName":"hdyoc5",
          "categoryCode":"lghzhw",
          "categoryName":"9grukd",
          "sort":8579,
          "createTime":"2023-06-15",
          "createUserId":5522,
          "updateUserId":6707,
          "updateTime":"2023-06-15"
      }
}
```

### 保存更新自助终端应用分类

**请求URL:** /app/category/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新自助终端应用分类：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
siteId|Long|否|站点Id
siteName|String|否|站点名称
categoryCode|String|否|分类编码
categoryName|String|否|分类名称
sort|Integer|否|排序字段

**请求样例:**
```
{
  "siteId":8230,
  "siteName":"zbhc82",
  "categoryCode":"d7b0ft",
  "categoryName":"82or58",
  "sort":9021,
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;siteId|Long|站点Id
&emsp;&emsp;siteName|String|站点名称
&emsp;&emsp;categoryCode|String|分类编码
&emsp;&emsp;categoryName|String|分类名称
&emsp;&emsp;sort|Integer|排序字段
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
  "msg":"新增模块成功",
  "code":1,
  "data":{}
  }
}

```

### 删除自助终端应用分类

**请求URL:** /app/category/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除自助终端应用分类

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
  http://localhost:8080/app/category/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
  "code":1,
  "msg":"成功"
}

```


### 自助终端基础应用部署

**请求URL:** app/appCommonDistribute

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 基础应用部署

**请求参数:**

参数名称| 类型    | 必填  |描述
:---|:------|:----|:-------
filePath|String|是|文件相对路径地址

**请求样例:**

```
{

}

```

**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象

**响应消息样例:**

```
{
    "msg":"应用部署成功",
    "code":1,
    "data":{}
    }
}

```


### 自助终端应用克隆

**请求URL:** app/cloneAppsBySites

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 应用克隆

**请求参数:**

参数名称| 类型    | 必填  |描述
:---|:------|:----|:-------
idList| array | 是   |应用app Id列表
siteIdList| array | 是   |站点Id列表

**请求样例:**

```
{
    "idList":[1,2],
    "siteIdList":[1,2,3],
}

```

**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象

**响应消息样例:**

```
{
    "msg":"应用克隆成功",
    "code":1,
    "data":{}
    }
}

```

## 自助终端应用数据集

### 查询自助终端应用数据集列表

**请求URL:** app/dataset/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询自助终端应用数据集

**请求参数:**

参数名称|类型| 必填  |描述
:---|:---|:----|:------
page|Integer| 否   |当前页
size|Integer| 否   |每页条数，值为-1，查询所有记录
appId|Long| 是   |appId

**请求样例:**

```
  {
        "appId":1,
        "page":1,
        "size":10
  }

```

**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;appId|Long|appId
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
&emsp;&emsp;appInfoFieldList|array|属性列表|数组
&emsp;&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;&emsp;datasetId|Long|应用数据集id
&emsp;&emsp;&emsp;fieldCode|String|字段编码
&emsp;&emsp;&emsp;fieldName|String|字段名称
&emsp;&emsp;&emsp;fieldType|String|字段类型（input.单行输入框,textarea.多行输入框,SELECT.下拉选项框,date.日期选择框）
&emsp;&emsp;&emsp;dataType|String|数据类型（number.数字,string.字符串）
&emsp;&emsp;&emsp;fieldValue|String|字段值
&emsp;&emsp;&emsp;fieldLen|Integer|数据长度，默认128
&emsp;&emsp;&emsp;fieldNull|Integer|是否允许为空，(0.否,1.是)
&emsp;&emsp;&emsp;isList|Integer|字段是否列表显示(0.否,1.是)
&emsp;&emsp;&emsp;fieldOrderNo|String|排序号
&emsp;&emsp;&emsp;remark|String|备注

**响应消息样例:**

```
{
    "code":1,
    "data":{
    }
}
```

### 查看自助终端应用数据集

**请求URL:** app/dataset/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看自助终端应用数据集，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**

```
    http://localhost/app/dataset/info?id=549
```

**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|主键ID，主键，自增长
&emsp;appId|Long|appId
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**

```
{
    "code": 1,
    "data": {
            "id":5613,
            "appId":3,
            "createTime":"2022-11-28",
            "updateUserId":6256,
            "updateTime":"2022-11-28"
        }
}
```

### 保存更新自助终端应用数据集

**请求URL:** app/dataset/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新自助终端应用数据集：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称| 类型     |必填|描述
:---|:-------|:---|:-------
appId| Long   |否|appId
appInfoFieldList| arrays |否|属性列表，可选属性对象详见属性字段

**请求样例:**

```
{
    "appId":1,
    "appInfoFieldList":[
  {
    "fieldCode": "title1",
    "fieldName": "标题1",
    "fieldType": "input",
    "dataType": "number",
    "fieldValue": "zo0",
    "fieldLen": 255,
    "fieldNull": 1,
    "isList": 1,
    "fieldOrderNo": "1",
    "remark": "1111111111"
  },
  {
    "fieldCode": "title2",
    "fieldName": "标题2",
    "fieldType": "input",
    "dataType": "number",
    "fieldValue": "zo0",
    "fieldLen": 255,
    "fieldNull": 1,
    "isList": 1,
    "fieldOrderNo": "1",
    "remark": "22222222222222"
  }
]
    
}

```

**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;appId|Long|appId
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**

```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除自助终端应用数据集

**请求URL:** app/dataset/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除自助终端应用数据集

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**

```
    http://localhost:8080/app/dataset/delete?id=1&id=2'
```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**

```
{
    "code":1,
	"msg":"成功"
}

```

## 自助终端应用信息字段

### 查询自助终端应用信息字段列表

**请求URL:** app/info/field/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询自助终端应用信息字段

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
datasetId|Long|否|应用数据集id
fieldCode|String|否|字段编码,字段前后添加%%模糊查询
fieldName|String|否|字段名称,字段前后添加%%模糊查询
fieldType|String|否|字段类型（input.单行输入框,textarea.多行输入框,SELECT.下拉选项框,date.日期选择框）,字段前后添加%%模糊查询
dataType|String|否|数据类型（number.数字,string.字符串）,字段前后添加%%模糊查询
fieldValue|String|否|字段值,字段前后添加%%模糊查询
fieldLen|Integer|否|数据长度，默认128
fieldNull|Integer|否|是否允许为空，(0.否,1.是)
isList|Integer|否|字段是否列表显示(0.否,1.是)
fieldOrderNo|String|否|排序号,字段前后添加%%模糊查询

**请求样例:**

```
  {
        "datasetId":2544,
        "fieldCode":"93ij7m",
        "fieldName":"0q3r6y",
        "fieldType":"3k5jlq",
        "dataType":"97wvna",
        "fieldValue":"3sjmdr",
        "fieldLen":5246,
        "fieldNull":1778,
        "isList":3582,
        "fieldOrderNo":"0moy84",
        "page":1,
        "size":10
  }

```

**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;datasetId|Long|应用数据集id
&emsp;&emsp;fieldCode|String|字段编码
&emsp;&emsp;fieldName|String|字段名称
&emsp;&emsp;fieldType|String|字段类型（input.单行输入框,textarea.多行输入框,SELECT.下拉选项框,date.日期选择框）
&emsp;&emsp;dataType|String|数据类型（number.数字,string.字符串）
&emsp;&emsp;fieldValue|String|字段值
&emsp;&emsp;fieldLen|Integer|数据长度，默认128
&emsp;&emsp;fieldNull|Integer|是否允许为空，(0.否,1.是)
&emsp;&emsp;isList|Integer|字段是否列表显示(0.否,1.是)
&emsp;&emsp;fieldOrderNo|String|排序号
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;updateTime|Date|修改时间
&emsp;&emsp;updateUserId|Long|修改用户
&emsp;&emsp;fieldTypeValue|String|字段类型值，当字段类型为多选，单选时候，预设复选值
&emsp;&emsp;defaultValue|String|字段默认值
dict|object|字典对象
&emsp;fieldType|object|字典属性对象，详见附录
&emsp;dataType|object|字典属性对象，详见附录
&emsp;fieldNull|object|字典属性对象，详见附录
&emsp;isList|object|字典属性对象，详见附录

**响应消息样例:**

```
{
    "code":1,
    "data":{
    }
}
```

### 查看自助终端应用信息字段

**请求URL:** app/info/field/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看自助终端应用信息字段，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**

```
    http://localhost/app/info/field/info?id=549
```

**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;datasetId|Long|应用数据集id
&emsp;fieldCode|String|字段编码
&emsp;fieldName|String|字段名称
&emsp;fieldType|String|字段类型（input.单行输入框,textarea.多行输入框,SELECT.下拉选项框,date.日期选择框）
&emsp;dataType|String|数据类型（number.数字,string.字符串）
&emsp;fieldValue|String|字段值
&emsp;fieldLen|Integer|数据长度，默认128
&emsp;fieldNull|Integer|是否允许为空，(0.否,1.是)
&emsp;isList|Integer|字段是否列表显示(0.否,1.是)
&emsp;fieldOrderNo|String|排序号
&emsp;remark|String|备注
&emsp;createTime|Date|创建时间
&emsp;createUserId|Long|创建用户
&emsp;updateTime|Date|修改时间
&emsp;updateUserId|Long|修改用户
&emsp;fieldTypeValue|String|字段类型值，当字段类型为多选，单选时候，预设复选值
&emsp;defaultValue|String|字段默认值
dict|object|字典对象
&emsp;fieldType|object|字典属性对象，详见附录
&emsp;dataType|object|字典属性对象，详见附录
&emsp;fieldNull|object|字典属性对象，详见附录
&emsp;isList|object|字典属性对象，详见附录

**响应消息样例:**

```
{
    "code": 1,
    "data": {
            "id":5403,
            "datasetId":8462,
            "fieldCode":"uxnplp",
            "fieldName":"uvgoit",
            "fieldType":"broj9x",
            "dataType":"zhuf5b",
            "fieldValue":"bwl7rh",
            "fieldLen":6326,
            "fieldNull":5713,
            "isList":4872,
            "fieldOrderNo":"uhok87",
            "remark":"xe10q4",
            "createTime":"2022-11-28",
            "createUserId":7834,
            "updateTime":"2022-11-28",
            "updateUserId":7212
        }
}
```

### 保存更新自助终端应用信息字段

**请求URL:** app/info/field/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新自助终端应用信息字段：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
datasetId|Long|否|应用数据集id
fieldCode|String|否|字段编码
fieldName|String|否|字段名称
fieldType|String|否|字段类型（input.单行输入框,textarea.多行输入框,SELECT.下拉选项框,date.日期选择框）
dataType|String|否|数据类型（number.数字,string.字符串）
fieldValue|String|否|字段值
fieldLen|Integer|否|数据长度，默认128
fieldNull|Integer|否|是否允许为空，(0.否,1.是)
isList|Integer|否|字段是否列表显示(0.否,1.是)
fieldOrderNo|String|否|排序号
remark|String|否|备注
fieldTypeValue|String|否|字段类型值，当字段类型为多选，单选时候，预设复选值
defaultValue|String|否|字段默认值

**请求样例:**

```
{
    "datasetId":3090,
    "fieldCode":"gc7wls",
    "fieldName":"dyrnxl",
    "fieldType":"edlnat",
    "dataType":"sw0k9c",
    "fieldValue":"6s9bm8",
    "fieldLen":475,
    "fieldNull":165,
    "isList":9826,
    "fieldOrderNo":"vq0vc7",
    "remark":"8oqw9v",
}

```

**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;datasetId|Long|应用数据集id
&emsp;&emsp;fieldCode|String|字段编码
&emsp;&emsp;fieldName|String|字段名称
&emsp;&emsp;fieldType|String|字段类型（input.单行输入框,textarea.多行输入框,SELECT.下拉选项框,date.日期选择框）
&emsp;&emsp;dataType|String|数据类型（number.数字,string.字符串）
&emsp;&emsp;fieldValue|String|字段值
&emsp;&emsp;fieldLen|Integer|数据长度，默认128
&emsp;&emsp;fieldNull|Integer|是否允许为空，(0.否,1.是)
&emsp;&emsp;isList|Integer|字段是否列表显示(0.否,1.是)
&emsp;&emsp;fieldOrderNo|String|排序号
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;updateTime|Date|修改时间
&emsp;&emsp;updateUserId|Long|修改用户

**响应消息样例:**

```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除自助终端应用信息字段

**请求URL:** app/info/field/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除自助终端应用信息字段

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**

```
    http://localhost:8080/app/info/field/delete?id=1&id=2'
```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**

```
{
    "code":1,
	"msg":"成功"
}

```

## 自助终端应用模板信息字段

### 查询自助终端应用模板信息字段列表

**请求URL:** app/info/templete/field/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询自助终端应用模板信息字段

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
appId|Long|否|应用id

**请求样例:**

```
  {
        "appId":1,
        "page":1,
        "size":10
  }

```

**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;appId|Long|应用id
&emsp;&emsp;fieldCode|String|字段编码
&emsp;&emsp;fieldName|String|字段名称
&emsp;&emsp;fieldType|String|字段类型（input.单行输入框,textarea.多行输入框,SELECT.下拉选项框,date.日期选择框）
&emsp;&emsp;dataType|String|数据类型（number.数字,string.字符串）
&emsp;&emsp;fieldValue|String|字段值
&emsp;&emsp;fieldLen|Integer|数据长度，默认128
&emsp;&emsp;fieldNull|Integer|是否允许为空，(0.否,1.是)
&emsp;&emsp;isList|Integer|字段是否列表显示(0.否,1.是)
&emsp;&emsp;fieldOrderNo|String|排序号
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;updateTime|Date|修改时间
&emsp;&emsp;updateUserId|Long|修改用户
&emsp;&emsp;fieldTypeValue|String|字段类型值，当字段类型为多选，单选时候，预设复选值
&emsp;&emsp;defaultValue|String|字段默认值
dict|object|字典对象
&emsp;fieldType|object|字典属性对象，详见附录
&emsp;dataType|object|字典属性对象，详见附录
&emsp;fieldNull|object|字典属性对象，详见附录
&emsp;isList|object|字典属性对象，详见附录

**响应消息样例:**

```
{
    "code":1,
    "data":{
    }
}
```

### 查看自助终端应用模板信息字段

**请求URL:** app/info/templete/field/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看自助终端应用模板信息字段，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**

```
    http://localhost/app/info/templete/field/info?id=549
```

**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;appId|Long|应用id
&emsp;fieldCode|String|字段编码
&emsp;fieldName|String|字段名称
&emsp;fieldType|String|字段类型（input.单行输入框,textarea.多行输入框,SELECT.下拉选项框,date.日期选择框）
&emsp;dataType|String|数据类型（number.数字,string.字符串）
&emsp;fieldValue|String|字段值
&emsp;fieldLen|Integer|数据长度，默认128
&emsp;fieldNull|Integer|是否允许为空，(0.否,1.是)
&emsp;isList|Integer|字段是否列表显示(0.否,1.是)
&emsp;fieldOrderNo|String|排序号
&emsp;remark|String|备注
&emsp;createTime|Date|创建时间
&emsp;createUserId|Long|创建用户
&emsp;updateTime|Date|修改时间
&emsp;updateUserId|Long|修改用户
&emsp;fieldTypeValue|String|字段类型值，当字段类型为多选，单选时候，预设复选值
&emsp;defaultValue|String|字段默认值
dict|object|字典对象
&emsp;fieldType|object|字典属性对象，详见附录
&emsp;dataType|object|字典属性对象，详见附录
&emsp;fieldNull|object|字典属性对象，详见附录
&emsp;isList|object|字典属性对象，详见附录

**响应消息样例:**

```
{
    "code": 1,
    "data": {
            "id":5674,
            "appId":1239,
            "fieldCode":"6x514h",
            "fieldName":"e29k47",
            "fieldType":"m9uxlg",
            "dataType":"f9xbyg",
            "fieldValue":"zgsuff",
            "fieldLen":5273,
            "fieldNull":3935,
            "isList":337,
            "fieldOrderNo":"f39igd",
            "remark":"domueh",
            "createTime":"2022-11-28",
            "createUserId":1090,
            "updateTime":"2022-11-28",
            "updateUserId":6575
        }
}
```

### 保存更新自助终端应用模板信息字段

**请求URL:** app/info/templete/field/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新自助终端应用模板信息字段：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
appId|Long|否|应用id
fieldCode|String|否|字段编码
fieldName|String|否|字段名称
fieldType|String|否|字段类型（input.单行输入框,textarea.多行输入框,SELECT.下拉选项框,date.日期选择框）
dataType|String|否|数据类型（number.数字,string.字符串）
fieldValue|String|否|字段值
fieldLen|Integer|否|数据长度，默认128
fieldNull|Integer|否|是否允许为空，(0.否,1.是)
isList|Integer|否|字段是否列表显示(0.否,1.是)
fieldOrderNo|String|否|排序号
remark|String|否|备注
fieldTypeValue|String|否|字段类型值，当字段类型为多选，单选时候，预设复选值
defaultValue|String|否|字段默认值

**请求样例:**

```
{
        "appId":1,
        "fieldCode":"title2",
        "fieldName":"标题2",
        "fieldType":"input",
        "dataType":"number",
        "fieldValue":"zo0",
        "fieldLen":255,
        "fieldNull":1,
        "isList":1,
        "fieldOrderNo":"1",
        "remark":"xxxxxxxxxxxxxxxx"
}

```

**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;appId|Long|应用id
&emsp;&emsp;fieldCode|String|字段编码
&emsp;&emsp;fieldName|String|字段名称
&emsp;&emsp;fieldType|String|字段类型（input.单行输入框,textarea.多行输入框,SELECT.下拉选项框,date.日期选择框）
&emsp;&emsp;dataType|String|数据类型（number.数字,string.字符串）
&emsp;&emsp;fieldValue|String|字段值
&emsp;&emsp;fieldLen|Integer|数据长度，默认128
&emsp;&emsp;fieldNull|Integer|是否允许为空，(0.否,1.是)
&emsp;&emsp;isList|Integer|字段是否列表显示(0.否,1.是)
&emsp;&emsp;fieldOrderNo|String|排序号
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;updateTime|Date|修改时间
&emsp;&emsp;updateUserId|Long|修改用户

**响应消息样例:**

```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除自助终端应用模板信息字段

**请求URL:** app/info/templete/field/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除自助终端应用模板信息字段

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**

```
    http://localhost:8080/app/info/templete/field/delete?id=1&id=2'
```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**

```
{
    "code":1,
	"msg":"成功"
}

```

## 自助终端应用版本历史

### 查询自助终端应用版本历史列表

**请求URL:** app/version/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询自助终端应用版本历史

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
appId|Long|否|app应用Id
appName|String|否|应用名称,字段前后添加%%模糊查询

**请求样例:**

```
  {
        "appId":1,
        "appName":"oife95",
        "page":1,
        "size":10
  }

```

**响应参数:**

参数名称| 参数类型     |描述
:---|:---------|:------
code| Integer  |结果码（-1.失败，1.成功）
msg| String   |消息
data| object   |数据对象
&emsp;per_page| Integer  |每页条数
&emsp;total| Integer  |总条数
&emsp;last_page| Integer  |总页数
&emsp;current_page| Integer  |当前页
&emsp;data| array    |结果集列表|数组
&emsp;&emsp;id| Long     |主键ID，主键，自增长
&emsp;&emsp;appId| Long     |app应用Id
&emsp;&emsp;appName| String   |应用名称
&emsp;&emsp;version| Integer  |版本号
&emsp;&emsp;notes| String   |更新说明
&emsp;&emsp;createTime| Date     |创建时间
&emsp;&emsp;updateUserId| Long     |更新用户
&emsp;&emsp;updateTime| Date     |更新时间
dict| object   |字典对象

**响应消息样例:**

```
{
    "code":1,
    "data":{
    }
}
```

### 查看自助终端应用版本历史

**请求URL:** app/version/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看自助终端应用版本历史，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**

```
    http://localhost/app/version/info?id=549
```

**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|主键ID，主键，自增长
&emsp;appId|Long|app应用Id
&emsp;appName|String|应用名称
&emsp;version|String|版本号
&emsp;notes|String|更新说明
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**

```
{
    "code": 1,
    "data": {
            "id":7243,
            "appId":2866,
            "appName":"1c09qi",
            "version":"nadvgo",
            "notes":"0h0p5e",
            "createTime":"2022-11-28",
            "updateUserId":4740,
            "updateTime":"2022-11-28"
        }
}
```


**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;appId|Long|app应用Id
&emsp;&emsp;appName|String|应用名称
&emsp;&emsp;version|String|版本号
&emsp;&emsp;notes|String|更新说明
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**

```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除自助终端应用版本历史

**请求URL:** app/version/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除自助终端应用版本历史

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**

```
    http://localhost:8080/app/version/delete?id=1&id=2'
```

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**

```
{
    "code":1,
	"msg":"成功"
}

```


### 自助终端应用使用

**请求URL:** app/version/used

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 自主终端部署

**请求参数:**

参数名称|类型| 必填  |描述
:---|:---|:----|:-------
appVersionId|Long| 是   |应用版本 Id

**请求样例:**

```
{
    "appVersionId":1
}

```

**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象

**响应消息样例:**

```
{
    "msg":"应用成功",
    "code":1,
    "data":{}
    }
}

```

### 自助终端应用预览

**请求URL:** app/version/preview

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 自主终端预览

**请求参数:**

参数名称|类型| 必填  |描述
:---|:---|:----|:-------
appVersionId|Long| 是   |应用版本 Id

**请求样例:**

```
{
    "appVersionId":1
}

```

**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|请求地址

**响应消息样例:**

```
{
    "msg":"应用成功",
    "code":1,
    "data":"http://www.baidu.com/aa/"
    }
}

```


## 微官网事项

### 查询微官网事项列表

**请求URL:** micro/matter/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询微官网事项列表

**请求参数:**

参数名称| 类型      |备注|必填|其它
---|---------|--|---|---
page| Integer |当前页|否|-
size| Integer |每页条数|否|-1代表所有
idList| List    |事项IDs|否|-


**请求样例:**

```
{
  "idList": [1,2],
  "page": 1,
  "size": 10
}
```

**响应参数:**

参数名称 | 参数类型    | 备注              |其它
---|---------|-----------------|---
code| Integer | 结果码（-1.失败，1.成功） |-
msg| String  | 消息              |-
data| object  | 数据对象            |-
&emsp;data| array   | 结果集列表           |数组
&emsp;&emsp;id| Long    | 事项id            |-
&emsp;&emsp;operateSite| String  | 站点名称            |-
&emsp;&emsp;deptName| String  | 办理部门            |-
&emsp;&emsp;matterName| String  | 事项名称            |-
&emsp;&emsp;matterNo| String  | 事项编号            |-
&emsp;&emsp;windowToTheSceneNum| Int     | 窗口到现场次数            |-
&emsp;&emsp;onlineToTheSceneNum| Int  | 网办到现场次数            |-
&emsp;&emsp;promiseTimeLimitShow| Int  | 承诺办结时限            |-        |-

**响应消息样例:**

```
{
  "data": {
    "data": [
      {
        "id": 2,
        "operateSite": "",
        "deptName": "县水利局",
        "windowToTheSceneNum": 0,
        "onlineToTheSceneNum": 0,
        "promiseTimeLimitShow": ""
      },
      {
        "id": 7,
        "operateSite": "",
        "deptName": "县文广旅局",
        "windowToTheSceneNum": 0,
        "onlineToTheSceneNum": 0,
        "promiseTimeLimitShow": ""
      }
    ],
    "pageInfo": {
      "beginIndex": 0,
      "prePageResult": 10,
      "totalResult": 2,
      "totalPage": 1,
      "currPage": 1,
      "displayPageSize": 5,
      "hasNextPage": false,
      "hasPrePage": false,
      "countPage": true
    }
  },
  "code": 1,
  "msg": "查询微官网事项列表成功"
}
```

## 样表报表服务

### 查询样报服务列表

**请求URL:** sampleform/sample/bill/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询样表报表服务

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
siteId|Long|否|站点ID
matterName|String|否|事项名称,字段前后添加%%模糊查询
materialName|String|否|材料名称,字段前后添加%%模糊查询
operTimeStart|String|否|操作开始时间
operTimeEnd|String|否|操作结束时间

**请求样例:**
```
  {
        "siteId":1,
        "matterName":"%xxxx%",
        "materialName":"%xxxxx%",
        "operTimeStart":"2023-02-23",
        "operTimeEnd":"2023-02-24",
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键，自增长
&emsp;&emsp;siteId|Long|站点ID
&emsp;&emsp;matterId|Long|事项id
&emsp;&emsp;matterName|String|事项名称
&emsp;&emsp;matterFullName|String|事项全称
&emsp;&emsp;materialName|String|材料名称
&emsp;&emsp;materialFullName|String|材料全称
&emsp;&emsp;deviceCode|String|设备编码
&emsp;&emsp;deviceName|String|设备名称
&emsp;&emsp;operTime|Date|操作时间
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;updateTime|Date|修改时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看样表报表服务

**请求URL:** sampleform/sample/bill/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看样表服务，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/sample/bill/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|主键，自增长
&emsp;siteId|Long|站点ID
&emsp;matterId|Long|事项id
&emsp;matterName|String|事项名称
&emsp;matterFullName|String|事项全称
&emsp;materialName|String|材料名称
&emsp;materialFullName|String|材料全称
&emsp;deviceCode|String|设备编码
&emsp;deviceName|String|设备名称
&emsp;operTime|Date|操作时间
&emsp;createTime|Date|创建时间
&emsp;createUserId|Long|创建用户
&emsp;updateTime|Date|修改时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":2816,
            "siteId":644,
            "matterId":9498,
            "matterName":"56bz30",
            "matterFullName":"9fyv44",
            "materialName":"kiq3e4",
            "materialFullName":"xbseak",
            "deviceCode":"5plyd7",
            "deviceName":"yt2qku",
            "operTime":"2023-02-23",
            "createTime":"2023-02-23",
            "createUserId":644,
            "updateTime":"2023-02-23"
        }
}
```


## 填单报表列表

### 查询填单报表列表

**请求URL:** fm/matter/datum/print/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询填单报表

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
siteId|Long|否|站点ID
matterName|String|否|事项名,字段前后添加%%模糊查询
materialName|String|否|材料名,字段前后添加%%模糊查询
createTimeStart|String|否|操作开始时间
createTimeEnd|String|否|操作结束时间
type|Integer|否|打印类型(1.本地打印,2.在线打印)

**请求样例:**
```
  {
        "materialName":"%xxxxx%",
        "createTimeStart":"2022-01-11",
        "createTimeEnd":"2022-01-15",
        "materialName":"%xxxxx%",
        "siteId":1,
        "page":1,
        "type":1,
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键，自增长
&emsp;&emsp;siteId|Long|站点id
&emsp;&emsp;orderId|String|打印订单
&emsp;&emsp;materialId|Long|材料Id
&emsp;&emsp;materialName|String|材料名
&emsp;&emsp;printPage|Integer|材料页数
&emsp;&emsp;type|Integer|打印类型(1.本地打印,2.在线打印)
&emsp;&emsp;docPath|String|合成doc后地址
&emsp;&emsp;formContent|String|提交的表单
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;updateTime|Date|修改时间
&emsp;&emsp;idCard|String|身份证号
&emsp;&emsp;idName|String|身份证名称
&emsp;&emsp;mobile|String|手机号码
&emsp;&emsp;matterId|Long|事项id
&emsp;&emsp;matterName|String|事项名称
&emsp;&emsp;matterCode|String|事项编码
&emsp;&emsp;deviceCode|String|设备编码
&emsp;&emsp;deviceName|String|设备名称
dict|object|字典对象
&emsp;type|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看填单报表

**请求URL:** fm/matter/datum/print/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看填单报表，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/fm/matter/datum/print/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|主键，自增长
&emsp;siteId|Long|站点id
&emsp;orderId|String|打印订单
&emsp;materialId|Long|材料Id
&emsp;materialName|String|材料名
&emsp;printPage|Integer|材料页数
&emsp;type|Integer|打印类型(1.本地打印,2.在线打印)
&emsp;docPath|String|合成doc后地址
&emsp;formContent|String|提交的表单
&emsp;createTime|Date|创建时间
&emsp;createUserId|Long|创建用户
&emsp;updateTime|Date|修改时间
&emsp;idCard|String|身份证号
&emsp;idName|String|身份证名称
&emsp;mobile|String|手机号码
&emsp;matterId|Long|事项id
&emsp;matterName|String|事项名称
&emsp;matterCode|String|事项编码
&emsp;deviceCode|String|设备编码
&emsp;deviceName|String|设备名称
dict|object|字典对象
&emsp;type|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":9177,
            "orderId":"dhhddy",
            "materialId":2805,
            "materialName":"hz30qw",
            "page":7237,
            "type":340,
            "docPath":"aw74kl",
            "formContent":"h719lm",
            "createTime":"2022-12-09",
            "createUserId":7489,
            "updateTime":"2022-12-09"
        }
}
```


## 微中台

### 获取微中台签名信息

**请求URL:** base/mid/sign

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 获取微中台签名信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
method|String|是|请求方法（post或者get）
body|String|是|请求参数体

**请求样例:**
```
{
 "method":"post",
  "body":"{\"test\":\"哈哈哈\"}"
}
```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;appId|String|应用id
&emsp;appKey|String|应用key
&emsp;timeStamp|String|时间戳
&emsp;nonce|String|随机数
&emsp;secretKey|String|密码
&emsp;sign|String|签名


**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

## 设备统计

### 查询设备统计列表

**请求URL:** m/device/stat/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询设备统计

**请求参数:**

参数名称| 类型         |必填|描述
:---|:-----------|:---|:------
page| Integer    |否|当前页
size| Integer    |否|每页条数，值为-1，查询所有记录
siteId| Long       |否|站点Id，来源基础服务平台
deviceUnActiveCount| Integer    |否|未激活设备数量
deviceUnActiveRatio| BigDecimal |否|未激活率
year| Integer    |否|年
month| Integer    |否|月
day| Integer    |否|日
selected| Integer    |否|0 今天 1 七天 2 30天 3 近三月 4 今年
createTimeStart| String     |否|开始日期
createTimeEnd| String     |否|结束日期

**请求样例:**
```
  {
        "siteId":6055,
        "deviceUnActiveCount":5180,
        "deviceUnActiveRatio":0.15
        "page":1,
        "size":10,
        "createTimeStart":2023-05-01"  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|ID
&emsp;&emsp;deviceTotalCount|Integer|设备总数
&emsp;&emsp;deviceAddCount|Integer|昨日新增减少设备数量
&emsp;&emsp;siteTotalCount|Integer|监控站点数量
&emsp;&emsp;siteAddCount|Integer|昨日新增站点数量
&emsp;&emsp;deviceOnlineCount|Integer|在线设备数量
&emsp;&emsp;deviceOnlineRatio|BigDecimal|在线率
&emsp;&emsp;deviceOfflineCount|Integer|离线设备数量
&emsp;&emsp;deviceOfflineRatio|BigDecimal|离线率
&emsp;&emsp;deviceStopCount|Integer|停用设备数量
&emsp;&emsp;deviceStopRatio|BigDecimal|停用率
&emsp;&emsp;alarmTotalCount|Integer|今日告警数量
&emsp;&emsp;alarmAddCount|Integer|昨日新增减少数量
&emsp;&emsp;pushTotalCount|Integer|今日消息推送数量
&emsp;&emsp;pushAddCount|Integer|昨日新增减少数量
&emsp;&emsp;uploadMessageTotalCount|Integer|今日上行消息数量
&emsp;&emsp;downloadMessageTotalCount|Integer|今日下行消息数量
&emsp;&emsp;year|Integer|年
&emsp;&emsp;month|Integer|月
&emsp;&emsp;day|Integer|日
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
&emsp;&emsp;siteId|Long|站点Id，来源基础服务平台
&emsp;&emsp;deviceUnActiveCount|Integer|未激活设备数量
&emsp;&emsp;deviceUnActiveRatio|BigDecimal|未激活率
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

## 站点大厅信息

### 查询站点大厅信息列表

**请求URL:** site/hall/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询站点大厅信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;siteId|Long|站点ID
&emsp;&emsp;siteName|String|站点名称
&emsp;&emsp;hallName|String|大厅名称
&emsp;&emsp;address|String|地址
&emsp;&emsp;floor|Integer|楼层
&emsp;&emsp;build|Integer|楼栋
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|修改时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```


### 根据大厅查询所属业务列表

**请求URL:** site/hall/getBusinessByHall

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 根据大厅查询所属业务列表

**请求参数:**

参数名称|类型|必填|描述
:---|:--|:---|:------
id|Long|是|大厅Id

**请求样例:**
```
  {
        "id":1
  }

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;per_page|Integer|每页条数|-
&emsp;total|Integer|总条数|-
&emsp;last_page|Integer|总页数|-
&emsp;current_page|Integer|当前页|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;siteId|Long|站点ID|-
&emsp;&emsp;siteName|String|站点名称|-
&emsp;&emsp;ancestors|String|祖级列表，逗号分隔|-
&emsp;&emsp;businessId|Long|业务ID|-
&emsp;&emsp;isBusiness|Integer|业务类型(0.一级业务,1.二级业务)|-
&emsp;&emsp;parentId|Long|业务父级ID|-
&emsp;&emsp;businessName|String|业务名称|-
&emsp;&emsp;status|Integer|业务状态 (0.停用，1.正常)|-
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-
dict|object|字典对象|-
&emsp;isBusiness|object|字典属性对象，详见附录|-
&emsp;status|object|字典属性对象，详见附录|-

**响应消息样例:**

```
{
    "code":1,
    "data":{
        "per_page":10,
        "total":0,
        "data":[],
        "last_page":0,
        "current_page":1
    },
    "query":{
        "modelCode":"phxt1",
        "modelName":"排号系统"
    }
}
```


### 查看站点大厅信息

**请求URL:** site/hall/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看站点大厅信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/site/hall/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;siteId|Long|站点ID
&emsp;siteName|String|站点名称
&emsp;hallName|String|大厅名称
&emsp;address|String|地址
&emsp;floor|Integer|楼层
&emsp;build|Integer|楼栋
&emsp;remark|String|备注
&emsp;createTime|Date|创建时间
&emsp;createUserId|Long|创建用户
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|修改时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":9840,
            "siteId":5054,
            "siteName":"i5a751",
            "hallName":"hoz3ni",
            "address":"s6vhsd",
            "floor":6966,
            "build":7397,
            "remark":"fjcm49",
            "createTime":"2023-04-25",
            "createUserId":9242,
            "updateUserId":5587,
            "updateTime":"2023-04-25"
        }
}
```

### 保存更新站点大厅信息

**请求URL:** site/hall/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新站点大厅信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
siteId|Long|否|站点ID
siteName|String|否|站点名称
hallName|String|否|大厅名称
address|String|否|地址
floor|Integer|否|楼层
build|Integer|否|楼栋
remark|String|否|备注

**请求样例:**
```
{
    "siteId":4938,
    "siteName":"8ivb5x",
    "hallName":"fjm0wv",
    "address":"fcnr01",
    "floor":700,
    "build":4881,
    "remark":"x1qvxm",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;siteId|Long|站点ID
&emsp;&emsp;siteName|String|站点名称
&emsp;&emsp;hallName|String|大厅名称
&emsp;&emsp;address|String|地址
&emsp;&emsp;floor|Integer|楼层
&emsp;&emsp;build|Integer|楼栋
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|修改时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除站点大厅信息

**请求URL:** site/hall/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除站点大厅信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/site/hall/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 大厅窗口

### 查询大厅窗口列表

**请求URL:** window/hall/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询大厅窗口

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;windowId|Long|窗口ID
&emsp;&emsp;windowName|String|窗口名称
&emsp;&emsp;hallId|Long|大厅ID
&emsp;&emsp;hallName|String|大厅名称
&emsp;&emsp;sort|Integer|排序
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;updateTime|Date|修改时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```


### 查看大厅窗口

**请求URL:** window/hall/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看大厅窗口，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/window/hall/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;windowId|Long|窗口ID
&emsp;windowName|String|窗口名称
&emsp;hallId|Long|大厅ID
&emsp;hallName|String|大厅名称
&emsp;sort|Integer|排序
&emsp;remark|String|备注
&emsp;createTime|Date|创建时间
&emsp;createUserId|Long|创建用户
&emsp;updateTime|Date|修改时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":6104,
            "windowId":6254,
            "windowName":"1c5gt9",
            "hallId":6706,
            "hallName":"kneski",
            "sort":6714,
            "remark":"g8htor",
            "createTime":"2023-04-25",
            "createUserId":5190,
            "updateTime":"2023-04-25"
        }
}
```

### 保存更新大厅窗口

**请求URL:** window/hall/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新大厅窗口：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
windowId|Long|否|窗口ID
windowName|String|否|窗口名称
hallId|Long|否|大厅ID
hallName|String|否|大厅名称
sort|Integer|否|排序
remark|String|否|备注

**请求样例:**
```
{
    "windowId":7283,
    "windowName":"0n0oca",
    "hallId":5929,
    "hallName":"ukcvnf",
    "sort":298,
    "remark":"b9xvxa",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;windowId|Long|窗口ID
&emsp;&emsp;windowName|String|窗口名称
&emsp;&emsp;hallId|Long|大厅ID
&emsp;&emsp;hallName|String|大厅名称
&emsp;&emsp;sort|Integer|排序
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;updateTime|Date|修改时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除大厅窗口

**请求URL:** window/hall/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除大厅窗口

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/window/hall/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```

## 设备告警日志

### 查询设备告警日志列表

**请求URL:** m/device/alarm/info/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询设备告警日志

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
deviceName|String|否|设备名称，前后添加%%进行模糊搜索
alarmType|Integer|否|告警类型(0.离线)
alarmStatus|Integer|否|告警状态,来自工单系统(0.未清除，1.清除未确认，2.清除已确认)
alarmTimeStart|String|否|告警开始时间
alarmTimeEnd|String|否|告警结束时间
siteId|Long|否|站点Id

**请求样例:**
```
  {
        "deviceName":"%测试%",
        "alarmType":0,
        "alarmStatus":0,
        "siteId":1,
        "page":1,
        "size":10,
        "alarmTimeStart":"2023-04-25",
        "alarmTimeEnd":"2023-04-26",
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;alarmTime|Date|告警时间
&emsp;&emsp;alarmDevice|Long|告警设备Id
&emsp;&emsp;alarmType|Integer|告警类型,(0.离线)
&emsp;&emsp;alarmLevel|Integer|告警级别(0.危险，1.次要，2.一般)
&emsp;&emsp;alarmReceivePersonnel|String|接收人员[设备管理的责任人]
&emsp;&emsp;receivePersonnelTelephone|String|接收人员电话
&emsp;&emsp;alarmStatus|Integer|告警状态,来自工单系统(0.未清除，1.清除未确认，2.清除已确认)
&emsp;&emsp;alarmContent|String|告警详细内容
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
&emsp;&emsp;siteId|Long|站点Id，来源基础服务平台
&emsp;&emsp;deviceCode|String|设备编码
&emsp;&emsp;deviceName|String|设备名称
dict|object|字典对象
&emsp;alarmType|object|字典属性对象，详见附录
&emsp;alarmLevel|object|字典属性对象，详见附录
&emsp;alarmStatus|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看设备告警日志

**请求URL:** m/device/alarm/info/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看设备告警日志，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/device/alarm/info/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|主键ID，主键，自增长
&emsp;alarmTime|Date|告警时间
&emsp;alarmDevice|Long|告警设备Id
&emsp;alarmType|Integer|告警类型,(0.离线)
&emsp;alarmLevel|Integer|告警级别(0.危险，1.次要，2.一般)
&emsp;alarmReceivePersonnel|String|接收人员[设备管理的责任人]
&emsp;receivePersonnelTelephone|String|接收人员电话
&emsp;alarmStatus|Integer|告警状态,来自工单系统(0.未清除，1.清除未确认，2.清除已确认)
&emsp;alarmContent|String|告警详细内容
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
&emsp;siteId|Long|站点Id，来源基础服务平台
&emsp;deviceCode|String|设备编码
&emsp;deviceName|String|设备名称
dict|object|字典对象
&emsp;alarmType|object|字典属性对象，详见附录
&emsp;alarmLevel|object|字典属性对象，详见附录
&emsp;alarmStatus|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":1196,
            "alarmTime":"2023-04-27",
            "alarmDevice":779,
            "alarmType":2479,
            "alarmLevel":3913,
            "alarmReceivePersonnel":"5qpgct",
            "receivePersonnelTelephone":"bi9uwy",
            "alarmStatus":5144,
            "alarmContent":"ncrl5t",
            "createTime":"2023-04-27",
            "updateUserId":4280,
            "updateTime":"2023-04-27",
            "siteId":4085,
            "deviceCode":"snkbdp",
            "deviceName":"yoerxw"
        }
}
```

### 查看设备告警日志统计

**请求URL:** m/device/alarm/info/stats

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看告警统计信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
siteId|Long|是|站点ID

**请求样例:**
```
{
  "siteId": 1
}
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;deviceTotalCount|Integer|总设备数量
&emsp;siteSize|Integer|监控站点数量
&emsp;todayAlarmInfoCount|Integer|今日告警次数
&emsp;todayAlarmDeviceCount|Integer|今日告警设备数量
&emsp;siteDeviceCollect|object|分站点统计设备数量
&emsp;siteDeviceAlarmCollect|object|分站点统计设备今日告警数量
&emsp;deviceConnTypeCollect|object|设备类型分布
&emsp;alarmTypeCollect|object|告警类型统计分布
&emsp;deviceFirmCollect|object|设备厂家排名
&emsp;alarmLevelCollect|object|今日告警等级分布
&emsp;deviceAlarmMapInfoList|arrays|实施告警消息
&emsp;&emsp;id|Long|告警消息ID
&emsp;&emsp;alarmType|String|告警消息类型
&emsp;&emsp;count|int|告警次数
&emsp;&emsp;deviceName|String|设备名称

**响应消息样例:**
```
{
  "data": {
    "deviceTotalCount": 17,
    "siteSize": 3,
    "siteDeviceCollect": {
      "四川恒升信达科技有限公司": 17
    },
    "siteDeviceAlarmCollect": {
      "四川恒升信达科技有限公司": 426
    },
    "deviceConnTypeCollect": {
      "直连设备": "100.00"
    },
    "deviceFirmCollect": {
      "未知厂商": "100.00"
    },
    "todayAlarmInfoCount": 453,
    "todayAlarmDeviceCount": 426,
    "alarmTypeCollect": {
      "离线": "100.00"
    },
    "alarmLevelCollect": {
      "一般": "100.00"
    },
    "deviceAlarmMapInfoList": [
      {
        "alarmType": "离线",
        "alarmTime": "15:03:07",
        "count": 2,
        "deviceName": ""
      },
      {
        "alarmType": "离线",
        "alarmTime": "15:01:43",
        "count": 2,
        "deviceName": ""
      },
      {
        "alarmType": "离线",
        "alarmTime": "14:11:48",
        "count": 1,
        "deviceName": ""
      },
      {
        "alarmType": "离线",
        "alarmTime": "13:55:29",
        "count": 1,
        "deviceName": ""
      },
      {
        "alarmType": "离线",
        "alarmTime": "13:23:12",
        "count": 2,
        "deviceName": ""
      },
      {
        "alarmType": "离线",
        "alarmTime": "13:21:47",
        "count": 2,
        "deviceName": ""
      },
      {
        "alarmType": "离线",
        "alarmTime": "12:22:07",
        "count": 3,
        "deviceName": ""
      },
      {
        "alarmType": "离线",
        "alarmTime": "12:20:42",
        "count": 3,
        "deviceName": ""
      },
      {
        "alarmType": "离线",
        "alarmTime": "12:09:13",
        "count": 2,
        "deviceName": ""
      },
      {
        "alarmType": "离线",
        "alarmTime": "12:07:48",
        "count": 2,
        "deviceName": ""
      },
      {
        "alarmType": "离线",
        "alarmTime": "11:51:25",
        "count": 8,
        "deviceName": ""
      },
      {
        "alarmType": "离线",
        "alarmTime": "11:22:48",
        "count": 1,
        "deviceName": ""
      },
      {
        "alarmType": "离线",
        "alarmTime": "11:18:18",
        "count": 1,
        "deviceName": ""
      },
      {
        "alarmType": "离线",
        "alarmTime": "10:45:59",
        "count": 3,
        "deviceName": ""
      },
      {
        "alarmType": "离线",
        "alarmTime": "10:18:10",
        "count": 2,
        "deviceName": ""
      }
    ],
    "siteId": 1
  },
  "code": 1,
  "msg": "操作成功"
}

```

### 查看设备告警日志统计列表

**请求URL:** m/device/alarm/info/statlist

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看告警统计信息列表

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
siteId|Long|是|站点ID

**请求样例:**
```
{
  "siteId": 1
}
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|arrays|数据列表对象
&emsp;todayAlarmInfoCount|Integer|今日告警次数
&emsp;todayAlarmDeviceCount|Integer|今日告警设备数量
&emsp;alarmTypeStr|String|告警类型
&emsp;alarmStatus|Integer|告警状态
&emsp;alarmTime|Long|告警时间
&emsp;device|object|设备详细信息

**响应消息样例:**
```
{
  "data": [
    {
      "todayAlarmInfoCount": 2,
      "todayAlarmDeviceCount": 0,
      "device": {
        "id": 826,
        "createUserId": 1,
        "createTime": 1685069567000,
        "updateUserId": 1,
        "updateTime": 1685369203000,
        "deleted": 0,
        "productCode": "dzmp",
        "switchSend": true,
        "deviceName": "电子门牌-多人",
        "deviceCode": "18-93-7f-b7-f9-4a",
        "deviceMac": "18-93-7f-b7-f9-4a",
        "siteId": 1,
        "siteCode": "511500000000-0001",
        "siteName": "宜宾市民中心",
        "platformId": 9,
        "platformName": "智慧办公",
        "productId": 19,
        "productName": "电子门牌",
        "skinName": "",
        "homeUrl": "",
        "deviceFirmname": "",
        "deviceSrc": 2,
        "deviceDataSourceWay": 0,
        "lon": "",
        "lati": "",
        "leadingOfficial": "周杨",
        "leadingOfficialTelephone": "15108243162",
        "isReceiveMess": 0,
        "devicePhotoPath": "",
        "ip": "",
        "centernum": "",
        "port": "",
        "deviceTopic": "",
        "deviceStatus": 1,
        "enabled": 1,
        "deviceAuthCode": "",
        "deviceRemark": "",
        "onlineTime": 1685369203000,
        "offlineTime": 1685072125000,
        "source": 1,
        "deviceSN": "",
        "deviceVersion": "19",
        "hallName": "",
        "showSms": 1,
        "showPrint": 1,
        "showWechatQrCode": 1
      },
      "alarmTypeStr": "离线",
      "alarmTime": 1685455603000,
      "alarmReceivePersonnel": "",
      "receivePersonnelTelephone": "",
      "alarmStatus": 0,
      "alarmContent": "",
      "deviceCode": "",
      "deviceName": ""
    },
    {
      "todayAlarmInfoCount": 1,
      "todayAlarmDeviceCount": 0,
      "device": {
        "id": 828,
      },
      "alarmTypeStr": "离线",
      "alarmTime": 1685455637000,
      "alarmReceivePersonnel": "",
      "receivePersonnelTelephone": "",
      "alarmStatus": 0,
      "alarmContent": "",
      "deviceCode": "",
      "deviceName": ""
    }
  ],
  "code": 1,
  "msg": "操作成功"
}

```

## 设备

### 查询设备列表

**请求URL:** device/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询设备

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
deviceId|Long|否|设备id
deviceName|String|否|设备名称,字段前后添加%%模糊查询
deviceCode|String|否|设备编码,字段前后添加%%模糊查询
deviceSrc|Integer|否|设备来源(0.子设备，1.网关设备，2.直连设备)
deviceStatus|Integer|否|设备状态 (0.未激活，1.离线,2.在线)

**请求样例:**
```
  {
        "deviceId":7996,
        "deviceName":"w7i721",
        "deviceCode":"vzxi39",
        "deviceSrc":9076,
        "deviceStatus":472,
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;deviceId|Long|设备id
&emsp;&emsp;deviceName|String|设备名称
&emsp;&emsp;deviceCode|String|设备编码
&emsp;&emsp;deviceMac|String|设备的MAC地址
&emsp;&emsp;siteId|Long|站点Id
&emsp;&emsp;siteCode|String|站点编号，来源基础服务平台
&emsp;&emsp;siteName|String|站点名称
&emsp;&emsp;productCode|String|产品编码
&emsp;&emsp;productName|String|产品名称
&emsp;&emsp;deviceSrc|Integer|设备来源(0.子设备，1.网关设备，2.直连设备)
&emsp;&emsp;lon|String|经度
&emsp;&emsp;lati|String|纬度
&emsp;&emsp;leadingOfficial|String|负责人
&emsp;&emsp;leadingOfficialTelephone|String|联系电话
&emsp;&emsp;deviceStatus|Integer|设备状态 (0.未激活，1.离线,2.在线)
&emsp;&emsp;deviceRemark|String|备注
&emsp;&emsp;source|Integer|设备来源(0.旧设备，1.新设备)
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;deviceSrc|object|字典属性对象，详见附录
&emsp;deviceStatus|object|字典属性对象，详见附录
&emsp;source|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

## 设备应用黑名单

### 查询设备应用黑名单列表

**请求URL:** device/blackapp/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询设备应用黑名单

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键，自增长
&emsp;&emsp;siteId|Long|站点ID
&emsp;&emsp;deviceId|Long|设备id
&emsp;&emsp;deviceCode|String|设备编码
&emsp;&emsp;deviceName|String|设备名称
&emsp;&emsp;appId|Long|应用id
&emsp;&emsp;appCode|String|应用编码
&emsp;&emsp;appName|String|应用名称
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;updateTime|Date|修改时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```


### 保存更新设备应用黑名单

**请求URL:** device/blackapp/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新设备应用黑名单：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
siteId|Long|否|站点ID
deviceId|Long|否|设备id
deviceCode|String|否|设备编码
deviceName|String|否|设备名称
appId|Long|否|应用id
appCode|String|否|应用编码
appName|String|否|应用名称

**请求样例:**
```
{
    "siteId":475,
    "deviceId":6607,
    "deviceCode":"gvi4oq",
    "deviceName":"yp2e81",
    "appId":6569,
    "appCode":"saq4z7",
    "appName":"azzcsh",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|主键，自增长
&emsp;&emsp;siteId|Long|站点ID
&emsp;&emsp;deviceId|Long|设备id
&emsp;&emsp;deviceCode|String|设备编码
&emsp;&emsp;deviceName|String|设备名称
&emsp;&emsp;appId|Long|应用id
&emsp;&emsp;appCode|String|应用编码
&emsp;&emsp;appName|String|应用名称
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;updateTime|Date|修改时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除设备应用黑名单

**请求URL:** device/blackapp/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除设备应用黑名单

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/device/blackapp/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```

## 人员流量统计

### 查询人员流量统计报表

**请求URL:** refined/realtime/dataflow/stat/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询人员流量统计

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;siteId|Long|站点Id
&emsp;&emsp;siteName|String|站点名称
&emsp;&emsp;personSum|Integer|人流总数
&emsp;&emsp;strangerSum|Integer|陌生人数量
&emsp;&emsp;recoginzeSum|Integer|识别注册群众数量
&emsp;&emsp;year|Integer|年
&emsp;&emsp;month|Integer|月
&emsp;&emsp;day|Integer|日
&emsp;&emsp;hour|Integer|小时
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建人id
&emsp;&emsp;updateTime|Date|更新时间
&emsp;&emsp;updateUserId|Long|更新人id
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

## 字典附录




